<?php
// BrowserCRM config file

//  mysql database options
$config['database']['host'] = '__mysql_host__';
$config['database']['dbname'] = '__mysql_dbname__';
$config['database']['port'] = '';
$config['database']['prefix'] = '__mysql_prefix__';
$config['database']['username'] = '__mysql_username__';
$config['database']['password'] = '__mysql_password__';

// $config['database']['hide_print_errors'] = true; // This turns off error printing

// file storage directory - absolute path to physical server dir; 
// you may want to change this to another volume on the disk as this directory can become 
// very large with Files, Mail module etc data files; 
// no trailing slash
$config['files']['dir'] = '__data_directory__';

// character set; eg english and latin languages 'iso-8859-1'; turkish 'iso-8859-9'
$config['charset'] = '__character_set__';

// if the installation is a sub directory, rather than a Virtual Host, 
// enter the path (no starting or trailing slashes)
$config['site']['websubdir'] = '__web_sub_directory__';

// system default start page; may be overridden by a user preference
$config['start_page'] = 'Person/index.php';

// ************** shouldn't need to change anything below here **************

//default login page settings
$config['login']['skin'] = 'aero';
$config['login']['lang'] = 'en';
$config['login']['advanced'] = false;

// url to help installation
$config['help']['url'] = 'http://www.browsercrm.com/help/index.php';

// path to qmail inject (also works with Postfix); should work with any MDA
// $config['modules']['Mail']['qmail'] = '/usr/sbin/sendmail -t -i';
$config['modules']['Mail']['smtp_only'] = false;


// for verifying logins against an ldap server
$config['ldap']['check'] = 0;
$config['ldap']['server'] = 'localhost';
$config['ldap']['port'] = 390;
$config['ldap']['searchbase'] = 'commonName';
$config['ldap']['filter'] = 'cn';

// tmp files directory - used for uploaded files
$config['files']['tmpdir'] = $config['files']['dir'] . '/tmp';

// site root; no trailing slash
// BCRM_DOCUMENT_ROOT is defined in prepend.inc; use instead of DOCUMENT_ROOT; 
// gives more control...for subdir installation; for Windows
if (isset($BCRM_DOCUMENT_ROOT)) {
	$config['site']['root'] = $BCRM_DOCUMENT_ROOT;
} else { 
	$config['site']['root'] = '';
}

// WebMAT directory - absolute path to physical server directory; no trailing slash
$config['webmat']['dir'] = $config['site']['root'] . '/webmat';

// Backup directory
$config['backup']['dir'] = $config['site']['root'] . '/backup';

// language; no trailing slash
$config['site']['langdir'] = $config['site']['root'] . '/lang';
// $config['site']['systemcustomlangdir'] = $config['site']['langdir'] . '/custom'; // Deprecated v4.104+
$config['site']['customlangdir'] = $config['site']['root'] . '/lang_custom';

// modules; no trailing slash
$config['modules']['basedir'] = $config['site']['root'] . '/modules';
$config['modules']['custom_basedir'] = $config['site']['root'] . '/modules_custom';
$config['modules']['extension_basedir'] = $config['site']['root'] . '/modules_ext';

// templates - could be module specific or system wide
$config['templates']['tpl_dir'] = 'templates';
$config['templates']['compile_dir'] = $config['templates']['tpl_dir'] .'/compile';
$config['templates']['cache_dir'] = $config['templates']['tpl_dir'] .'/cache';

?>
