<?php
/**
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @spelling: We will spell licence properly: licence is the noun, to license is the verb  :-) 
 * @author Matt
 * @package LicenceManager
 */

 
//TODO handle missing, corrupt licence with custom handling  

if (file_exists('txt/licence.txt')) {
	DEFINE('LICENCE_FILE', true);
} else {
	DEFINE('LICENCE_FILE', false);
}


//this file can be included directly by ioncube for an event
//or from /licence/index.php, so path will vary

//$prepend_path = '../';
$prepend_path = '';
$i = 0; $max = 4;
while (!file_exists($prepend_path . 'prepend.inc')) {
	if ($i > $max) {
	// error
	}
	$prepend_path = '../' . $prepend_path;
	$i++;
}

//if (!$config) {  //if not logged in
/*
if (file_exists($prepend_path . 'config.inc.php')) {
	include_once($prepend_path . 'config.inc.php');
} elseif (file_exists($prepend_path . 'default.config.inc.php')) {
	include_once($prepend_path . 'default.config.inc.php');	
}
*/

//load $config for skin
if (!$config['login']['lang']) {
	$config['login']['lang'] = 'en';
}

include_once($prepend_path . 'lang/en/_Global.inc');
include_once($prepend_path . 'lang/' . $config['login']['lang'] . '/_Global.inc');

include_once($prepend_path . 'lang/en/Licence.inc');
include_once($prepend_path . 'lang/' . $config['login']['lang'] . '/Licence.inc');



/**
 * @spelling: We will spell licence properly: licence is the noun, to license is the verb  :-) 
 */
class licenceViewer {

	var $content = '';
	
	var $licence_file = 'txt/licence.txt';

	/**
	 * @var token
	 * @access private
	 */
	var $start_token = '------ LICENCE FILE DATA -------';
	var $end_token =   '--------------------------------';  //32

	function main() {
		
		// echo '<p>code: ' . $code;
		// echo '<p>params: ';
		// print_r($params);
		// echo '<p>';
		
		$this->viewLicence();
		
		$this->printMessage();
	}

	function viewLicence() {
		global $L, $prepend_path;
		
		//echo '<p>writing ' .$prepend_path . $this->licence_file;echo '<p>'	;
		
		if (!file_exists($prepend_path . 'licence/' . $this->licence_file)) {
			$this->content .= '<p class="head">' . $L['licenceNoLicenceFile'] . '</p>';
			$this->content .= '<p>&nbsp;</p>';
		} else {
			//$this->content .= '<p class="head">' . $L['licenceViewProperties'] . '</p>';
			$this->content .= '<p>&nbsp;</p>';

			if (function_exists('ioncube_license_properties')) {
				//TODO test/show expiry/warning
				$this->licence_properties = ioncube_license_properties();
				//TODO, now need to manipulate ioncube array levels
				
				
			} else {
				$licence_file = $this->licence_file;
				
				
				if (is_file($licence_file)) {
					$fh = fopen($licence_file, 'r');
					$lic_body = fread($fh, 8192);
					$lic_body = base64_decode(base64_decode(str_replace(array("\r\n", "\n", "\r", $this->end_token), '', substr($lic_body, strpos($lic_body, $this->start_token) + strlen($this->start_token)))));
					foreach(explode(',', $lic_body) as $k => $v) {
						$v = explode('=', $v);
						if (strlen(trim($v[0])) > 4 && substr(trim($v[0]),0,4) == 'lic_') {
							$this->licence_properties[trim($v[0])] = trim($v[1]);
						}
					}
				}
			}
				
			if ($this->licence_properties) {
				if (is_array($this->licence_properties)) {
					$this->content .= '<table cellpadding="0" cellspacing="0" border="0"><tr><td id="bodyCell" style="padding: 10px">';
					$this->content .= '<table cellpadding="0" cellspacing="0" border="0" id="viewTbl">';
						
						foreach ($this->licence_properties as $k => $v) {
							//dont show all, eg licProductClass
							if ($v['value'] && ($k != 'licProductClass') 
								&& ($k != 'licIsTrial')
								&& (substr($k,0,10) != 'lic_hidden')
								) {
								//TODO fix padding command
								$this->content .= '<tr><th>' . ($L[$k] ? $L[$k] : $k) . ' </th><td style="padding: 6px">' . $v . '</td></tr>';
							}
						}
					$this->content .= '</table>';
					$this->content .= '</td></tr></table>';
				} else {
					$this->content .= '<p class="head">' . $L['licenceInvalidLicenceKey'] . '</p>';
					$this->content .= '<p>&nbsp;</p>';
				}

			} else {
				$this->content .= '<p class="head">' . $L['licenceErrorReadingProperties'] . '</p>';
				$this->content .= '<p>&nbsp;</p>';
			}

			
		}
		
	}
	

	
	function printMessage() {
		global $L, $prepend_path;
		
		$message_title = $L['licenceViewProperties'];
		
		$this->content .= '<p>&nbsp;</p>';
		$this->content .= '<p>&nbsp;</p>';
		$this->content .= '<p><a href="' . $prepend_path . 'licence/?framed=' . $_GET['framed'] . '">' . $L['licenceUploadLicence'] . ' &gt</a></p>';
		$this->content .= '<p>&nbsp;</p>';
		
		$message_body = $this->content;
		
		if (!$_GET['framed']) {
			$message_body .= '<p>&nbsp;</p>';
			$message_body .= '<div class="eButtTxt" align="center"><div>';
			$message_body .= '<p class="continue"><a href="' . $prepend_path . '">' . $L['licenceStart'] . ' &gt</a></p>';
			$message_body .= '</div></div>';
			$message_body .= '<p>&nbsp;</p>';
		}
		
		include($prepend_path . 'message.inc.php');
		exit();

	}
	
	function getIoncubeFileProperties() {
		if (function_exists('ioncube_file_properties')) {
			//echo 'returning';
			return ioncube_file_properties();
		} else {
			return false;
		}
	}
	
	function getIoncubeFileInfo() {
		if (function_exists('ioncube_file_info')) {
			//echo 'returning';
			return ioncube_file_info();
		} else {
			return false;
		}
	}
	
}

$licence_viewer = new licenceViewer;
$licence_viewer->main();

?>
