<?php
/**
 * Contains the User Preferences name and details
 *
 * Use this file to set up Company / User Preferences which are configured from 
 * Admin. This file is included by Front/preferences.php for User Preferences 
 * and UserAdmin/preferences.php for Company Preferences.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Admin
 */

// Note: This deliberately loads 'Front' modules preferences in the 'Admin' module

 //this files wil be included by /Front/preferences.php accessed under Admin
//which will create a form for setting system-wide UserPrefs
global $L, $USER;

$ua =& $SERVICES->getService('Authentication');

$SERVICES->getService('Modules'); 
$SERVICES->getService('Preferences'); 
$SERVICES->getService('Config');

// $front =& $SERVICES->modules->getModules('Front');

$SERVICES->getService('Language');
$SERVICES->language->getLanguage('Admin'); 
$SERVICES->language->getLanguage('Front'); 

$front_rows = array();

// --

$front_default_group = array();

$front_default_group = $ua->groups->getGroupList();

//$front_default_group[0] = $L['Unrestricted'];
//need 0 element first, as first element becomes default where there is no existing preference

//$front_default_group = bcrm_array_merge( array('0' => $L['Unrestricted']), $front_default_group);

$front_default_group[0] = $L['Unrestricted'];

//print_r($front_default_group);

$front_default_group['private_group_id'] = '[' . $L['frontUserPrivateGroup'] . ']';



// Phil 20051010
// For company preferences. Allow us to specify default values for certain preferences (eg permissions)
$use_other_pref_value = (isset($_GET['generic']) && $_GET['generic']); 
$administrators_group = $ua->groups->getAdministratorsGroupId();
$everyone_group = $ua->groups->getGroupID('Everyone');

// Default permissions

$front_rows['frontDefaultGroupView'] = dropDown(
	array(
		'type' => $front_default_group, 
		'name' => "data[frontDefaultGroupView]", 
		'value' => ($use_other_pref_value ? $everyone_group : getPref('frontDefaultGroupView')), 
		'size' => 32, 
		'label' => $L['frontDefaultGroupView']
	)
);

$front_rows['frontDefaultGroupEdit'] = dropDown(
	array(
		'type' => $front_default_group, 
		'name' => "data[frontDefaultGroupEdit]", 
		'value' => ($use_other_pref_value ? $everyone_group : getPref('frontDefaultGroupEdit')), 
		'size' => 32, 
		'label' => $L['frontDefaultGroupEdit']
	)
);

$front_rows['frontDefaultGroupAssignedTo'] = dropDown(
	array(
		'type' => $front_default_group, 
		'name' => "data[frontDefaultGroupAssignedTo]", 
		'value' => ($use_other_pref_value ? 'private_group_id' : getPref('frontDefaultGroupAssignedTo')), 
		'size' => 32, 
		'label' => $L['frontDefaultGroupAssignedTo']
	)
);

$front_rows['frontDefaultGroupOwner'] = dropDown(
	array(
		'type' => $front_default_group, 
		'name' => "data[frontDefaultGroupOwner]", 
		'value' => ($use_other_pref_value ? 'private_group_id' : getPref('frontDefaultGroupOwner')), 
		'size' => 32, 
		'label' => $L['frontDefaultGroupOwner']
	)
);

$front_rows['frontDefaultGroupAdmin'] = dropDown(
	array(
		'type' => $front_default_group, 
		'name' => "data[frontDefaultGroupAdmin]", 
		'value' => ($use_other_pref_value ? $administrators_group : getPref('frontDefaultGroupAdmin')), 
		'size' => 32, 
		'label' => $L['frontDefaultGroupAdmin']
	)
);

// Personal permissions

$front_rows['frontPersonalGroupView'] = dropDown(
	array(
		'type' => $front_default_group, 
		'name' => "data[frontPrivateGroupView]", 
		'value' => ($use_other_pref_value ? 'private_group_id' : getPref('frontPrivateGroupView')), 
		'size' => 32, 
		'label' => $L['frontPersonalGroupView']
	)
);

$front_rows['frontPersonalGroupEdit'] = dropDown(
	array(
		'type' => $front_default_group, 
		'name' => "data[frontPrivateGroupEdit]", 
		'value' => ($use_other_pref_value ? 'private_group_id' : getPref('frontPrivateGroupEdit')), 
		'size' => 32, 
		'label' => $L['frontPersonalGroupEdit']
	)
);

$front_rows['frontPersonalGroupAssignedTo'] = dropDown(
	array(
		'type' => $front_default_group, 
		'name' => "data[frontPrivateGroupAssignedTo]", 
		'value' => ($use_other_pref_value ? 'private_group_id' : getPref('frontPrivateGroupAssignedTo')), 
		'size' => 32, 
		'label' => $L['frontPersonalGroupAssignedTo']
	)
);

$front_rows['frontPersonalGroupOwner'] = dropDown(
	array(
		'type' => $front_default_group, 
		'name' => "data[frontPrivateGroupOwner]", 
		'value' => ($use_other_pref_value ? 'private_group_id' : getPref('frontPrivateGroupOwner')), 
		'size' => 32, 
		'label' => $L['frontPersonalGroupOwner']
	)
);

$front_rows['frontPersonalGroupAdmin'] = dropDown(
	array(
		'type' => $front_default_group, 
		'name' => "data[frontPrivateGroupAdmin]", 
		'value' => ($use_other_pref_value ? $administrators_group : getPref('frontPrivateGroupAdmin')), 
		'size' => 32, 
		'label' => $L['frontPersonalGroupAdmin']
	)
);

// Public settings

$front_rows['frontPublicGroupView'] = dropDown(
	array(
		'type' => $front_default_group, 
		'name' => "data[frontPublicGroupView]", 
		'value' => ($use_other_pref_value ? 'private_group_id' : getPref('frontPublicGroupView')), 
		'size' => 32, 
		'label' => $L['frontPublicGroupView']
	)
);

$front_rows['frontPublicGroupEdit'] = dropDown(
	array(
		'type' => $front_default_group, 
		'name' => "data[frontPublicGroupEdit]", 
		'value' => ($use_other_pref_value ? 'private_group_id' : getPref('frontPublicGroupEdit')), 
		'size' => 32, 
		'label' => $L['frontPublicGroupEdit']
	)
);

$front_rows['frontPublicGroupAssignedTo'] = dropDown(
	array(
		'type' => $front_default_group, 
		'name' => "data[frontPublicGroupAssignedTo]", 
		'value' => ($use_other_pref_value ? 'private_group_id' : getPref('frontPublicGroupAssignedTo')), 
		'size' => 32, 
		'label' => $L['frontPublicGroupAssignedTo']
	)
);

$front_rows['frontPublicGroupOwner'] = dropDown(
	array(
		'type' => $front_default_group, 
		'name' => "data[frontPublicGroupOwner]", 
		'value' => ($use_other_pref_value ? 'private_group_id' : getPref('frontPublicGroupOwner')), 
		'size' => 32, 
		'label' => $L['frontPublicGroupOwner']
	)
);

$front_rows['frontPublicGroupAdmin'] = dropDown(
	array(
		'type' => $front_default_group, 
		'name' => "data[frontPublicGroupAdmin]", 
		'value' => ($use_other_pref_value ? $administrators_group : getPref('frontPublicGroupAdmin')), 
		'size' => 32, 
		'label' => $L['frontPublicGroupAdmin']
	)
);

// --

//add cal rows array to global prefs_rows array
$pref_rows['Admin'] = $front_rows; 
?>