<?php
require_once("../../prepend.inc");
/**
 * Select a module to edit custom fields for.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Admin
 * @author Phil Calder
 */

$ua =& $SERVICES->getService('Authentication');
$ua->adminRestrict('Admin');

$output =& $SERVICES->getService('Output');

/**
 * Displays module editor links
 */
function main() {
	global $SERVICES, $ua, $USER, $output, $L, $PHP_SELF;
	
	$content = '';
	$content .= $output->getBeginTable();	
	$content .= $output->getTextRow($L['adminCustomFieldsIndexDescription']);
	$content .= $output->getBeginNestedViewTable();
	
	$config =& $SERVICES->getService('Config');
	$lang =& $SERVICES->getService('Language');
	$lang->getLanguage('Admin');
	$config_links = (array)$config->lookup('modules.Admin.module_editor_links');
	foreach ($config_links as $k => $v) {
		if (is_array($v) && isset($v['link']) && $v['link']) {
			$label = ($L[$v['label']] ? $L[$v['label']]: $v['label']);
			$link = '<a href="' . $v['link'] . '">' . $label . '</a>';
			$explanation = ( (isset($v['explanation']) && $v['explanation']) ? $lang->getLanguageText($v['explanation'], $v['module']) : '');
			$content .= $output->getTableRow(array($link, $explanation));
		}
	}
	
	$content .= $output->getEndNestedTable();
	$content .= $output->getEndTable();	
	
	$title = $L['adminModuleEditIndexLabel'];
	
	$window_layout = $output->getBeginTable('mainTbl', true);
	$window_layout .= $output->getTitleRow($title);
	$window_layout .= $output->getBeginRow('', true) . '<td id="bodyCell"' . ($padding ? 'style="padding: 10px"' : '') . '>';
	$window_layout .= $content;
	$window_layout .= '</td>' . $output->getEndRow(true);
	$window_layout .= $output->getEndTable(true);
	
	$output->addToBody($window_layout);
	$output->display();
	exit();
}
main();
?>