<?php
require_once("../../prepend.inc");
/**
 * Select a field type for a new custom field.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Admin
 * @author Phil Calder
 */

global $SERVICES;
$ua =& $SERVICES->getService('Authentication');
$ua->adminRestrict();

$add =& $SERVICES->getService('DataDefinition', '', 'AdminDataDefinition');

// $SERVICES->getService('Modules');
// $mod = $SERVICES->modules->getModule('Admin');
$SERVICES->getService('Language');
$SERVICES->language->getLanguage('Admin');

$SERVICES->getService('Config');

$output =& $SERVICES->getService('Output');
	
function getFormFields($item) {
	global $output, $L, $add;
	
	// An array of field 'type' keys and labels
	$validation_dropdown = $add->getFieldTypeDropdownValues();
	
	//field definitions
	$fields =  array();
	$fields['field_id'] = array('label'=>'', 'field_key'=>'field_id', 'type'=>'hidden');
	$fields['field_table'] = array('label'=>'', 'field_key'=>'field_table', 'type'=>'hidden');
	$fields['field_is_custom'] = array('label'=>$L['adminCustomFieldsIsCustomField'], 'explanation'=> 'Only development servers can create non-custom (standard) fields', 'field_key'=>'field_is_custom', 'type'=>'checkbox'); // add this: 'hidden'=>1 (and remove the label) to ensure field is custom
	$fields['type'] = array('label'=>$L['adminCustomFieldsType'], 'field_key'=>'type', 'type'=>'dropdown', 'dropdown_values'=>$validation_dropdown, 'notnull'=>1);
	
	filterFields($fields, $item);
	
	foreach ($fields as $k => $v) {
		$fields[$k]['value'] = $item[$v['field_key']];
	}
	
	return $fields;	
} // getFormFields

function filterFields(&$fields, &$item) {
	global $SERVICES;
	// print '<p>filtering: ' . $SERVICES->config->lookup('site.development') . '</p>';
	
	if (!$SERVICES->config->lookup('site.development')) { // in most cases:
		$fields['field_is_custom']['explanation'] = '';
		$fields['field_is_custom']['label'] = '';
		$fields['field_is_custom']['hidden'] = 1;
	}
}

function doSubmit() {
	global $SERVICES, $PHP_SELF, $L, $output, $add, $table;
	$item = $_POST['item'];
	
	if ($_POST['submit']) {
		//server-side data validation goes here
		$fields = getFormFields($item);	//get field definitions
		$output->validateFields($item, $fields, $error_msg); //validate $item based on the definitions in $fields; $item values will get updated
		
		if (is_array($error_msg)) {		//if server-side validation errors, return to form
			main( $item['field_id'], $item, $error_msg);
			exit();
		}
		
		//any other processing before redirecting to the next stage
		$table = $item['field_table'];
		bcrm_unset($item, 'field_table');
		
		if ($item['type']) {
			if (($item['type'] == 'dropdown') || ($item['type'] == 'multi_select')) {
				// $link = 'custom_fields_dropdown_select.php?type=' . $item['type'] . '&module=' . $module . '&table=' . $table;
				// $link = $SERVICES->config->lookup('modules.Admin.module_edit.dropdown_create.link') . '?type=' . $item['type'] . '&table=' . $table;
				$link = $SERVICES->config->lookup('modules.Admin.module_edit.dropdown_select.link') . '?type=' . $item['type'] . '&table=' . $table . '&field_is_custom=' . $item['field_is_custom'];
			} else if ($item['type'] == 'foreign') {
				// $link = 'custom_fields_dropdown_select.php?type=' . $item['type'] . '&module=' . $module . '&table=' . $table;
				// $link = $SERVICES->config->lookup('modules.Admin.module_edit.dropdown_create.link') . '?type=' . $item['type'] . '&table=' . $table;
				$link = $SERVICES->config->lookup('modules.Admin.module_edit.foreign_select.link') . '?type=' . $item['type'] . '&table=' . $table . '&field_is_custom=' . $item['field_is_custom'];
			} else {
				// $link = 'custom_fields_field_edit.php?type=' . $item['type'] . '&module=' . $module . '&table=' . $table;
				$link = $SERVICES->config->lookup('modules.Admin.module_edit.field_edit.link') . '?type=' . $item['type'] . '&table=' . $table . '&field_is_custom=' . $item['field_is_custom'];
			}
			
			doRedirect($link, $contact_id);
			exit();
			
		} else {
			$content = $output->getBeginTable();
			$content .= $output->getTextRow($L['adminCustomFieldsErrorCannotSetCustomField']);
			// $content .= $output->getTextRow('<a href="custom_fields_table_edit.php?contact_id=' . $contact_id . '&module=' . $module . '&table=' . $table . '">' . $L['Back'] . '</a>');
			$content .= $output->getTextRow('<a href="' . $SERVICES->config->lookup('modules.Admin.module_edit.table_edit.link') . '?table=' . $table . '">' . $L['Back'] . '</a>');
			$content = $output->getEndTable();
			quickPage($content);
			exit();
		}
	}
} //doSubmit

function doRedirect($nextpage) {
	global $SERVICES, $table;
	// print '<p>field create, nextpage = ' . $nextpage . '</p>';
	
	if ($nextpage) {
		header('Location: ' . $nextpage);
	} else {
		// header('Location: custom_fields_table_edit.php?contact_id=' . $contact_id . '&module=' . $module . '&table=' . $table);
		header('Location: ' . $SERVICES->config->lookup('modules.Admin.module_edit.table_edit.link') . '?table=' . $table);
	}	
	exit();
}


function main($id = '', $item = '', $error_msg = '') {
	global $PHP_SELF, $SERVICES, $output, $L, $table, $add;
	if (!$item) {  //item could be passed back from server-side data validation failure
		if (empty($table)) {
			header('Location: ' . $SERVICES->config->lookup('modules.Admin.modulelink.module_editor_index.link'));
			exit();
		}		
		$item = array(
			'field_table' => $table, 
			'field_is_custom' => 1
		);
	}
	
	$content = '';
	$content .= $output->getBeginTable('viewTbl');
	
	$title_menu = array(
		$output->getLinkHref( // admin module index
			array(
				'href' => $SERVICES->config->lookup('modules.Admin.modulelink.module_editor_index.link'), 
				'text' => $SERVICES->config->lookup('modules.Admin.modulelink.module_editor_index.label')
			)
		), 
		$output->getLinkHref( // admin module table select
			array(
				'href' => $SERVICES->config->lookup('modules.Admin.module_edit.table_select.link') . '?module=' . substr($table, 0, strpos($table, '_')), 
				'text' => $SERVICES->config->lookup('modules.Admin.module_edit.table_select.label')
			)
		), 
		$output->getLinkHref( // admin module table edit
			array(
				'href' => $SERVICES->config->lookup('modules.Admin.module_edit.table_edit.link') . $output->updateQueryString(array()), 
				'text' => $SERVICES->config->lookup('modules.Admin.module_edit.table_edit.label')
			)
		)
		
	);	
	
	// $content .= $output->getTitleRow($L['adminCustomFieldsNewFieldTypeSelectLabel'], $title_menu);
	
	$content .= $output->getFieldSpacerRow();
	
	//nested data table ------------------
	$content .= $output->getBeginNestedEditTable();
	
	//form
	$content .= $output->getBeginForm($PHP_SELF);  
	
	foreach (getFormFields($item) as $k => $v) {
		//$v['value'] = $item[$v['field_key']];
		$content .= $output->getHtmlFieldRow($v, $error_msg[$v['field_key']]);
	}
	
	$content .= $output->getFieldSpacerRow();
	$content .= $output->getSubmitRow();
	
	$content .= $output->getEndForm();
	//end form


	$content .= $output->getEndNestedTable();
	//end nested data table ------------------
	
	$content .= $output->getEndTable();
	
	// $add->printDebug($item);
	
	$output->toolbar_link_mode = true;
	$output->setActionLinksMenu($title_menu);
	$output->toolbar_link_mode = false;
	
	
	$title_text = $L['adminCustomFieldsNewFieldTypeSelectLabel'];
	$padding = true;
	
	$window_layout = $output->getBeginTable('mainTbl', true);
	$window_layout .= $output->getTitleRow($title_text);
	// $window_layout .= $output->getMenuRow($title_menu);
	$window_layout .= $output->getBeginRow('', true) . '<td id="bodyCell"' . ($padding ? 'style="padding: 10px"' : '') . '>';
	$window_layout .= $content;
	$window_layout .= '</td>' . $output->getEndRow(true);
	$window_layout .= $output->getEndTable(true);
	
	$output->addToBody($window_layout);
	$output->display();
	exit();
	
} // main

if (isset($_POST['submit'])) {
	doSubmit();
}

main();
?>