<?php
require_once("../../prepend.inc");
/**
 * Edit a Field Table.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Admin
 * @author Phil Calder
 */

global $SERVICES;
$ua =& $SERVICES->getService('Authentication');
$ua->adminRestrict();

$add =& $SERVICES->getService('DataDefinition', '', 'AdminDataDefinition');

$SERVICES->getService('Language');
$SERVICES->language->getLanguage('Admin');

$SERVICES->getService('Config');

$output =& $SERVICES->getService('Output');

function getFormFields($item) {
	global $L, $add;
	
	$basic_dropdown = $add->getBooleanDropdownValues();
	
	$validation_dropdown = $add->getFieldTypeDropdownValues();
	
	$append_only_dropdown = $add->getAppendOnlyDropdownValues();
	
	$fields = array();
	
	$fields['field_id'] = array('label'=>'', 'field_key'=>'field_id', 'type'=>'hidden');
	$fields['field_table'] = array('label'=>'', 'field_key'=>'field_table', 'type'=>'hidden');
	$fields['field_is_custom'] = array('label'=>'', 'field_key'=>'field_is_custom', 'type'=>'hidden');
	$fields['field_key'] = array('label'=>$L['adminCustomFieldsName'], 'field_key'=>'field_key', 'type'=>'text', 'notnull'=>1);
	$fields['explanation'] = array('label'=>$L['adminCustomFieldsDescription'], 'field_key'=>'explanation', 'type'=>'text');
	$fields['label'] = array('label'=>$L['adminCustomFieldsLabel'], 'field_key'=>'label', 'type'=>'text');
	$fields['list_label'] = array('label'=>$L['adminCustomFieldsListLabel'], 'field_key'=>'list_label', 'type'=>'text');
	$fields['list_detail_length'] = array('label'=>$L['adminCustomFieldsListDetailLength'], 'field_key'=>'list_detail_length', 'type'=>'text');
	$fields['type'] = array('label'=>$L['adminCustomFieldsType'], 'field_key'=>'type', 'type'=>'hidden', 'text'=>$validation_dropdown[$item['type']]);
	$fields['hidden'] = array('label'=>$L['adminCustomFieldsHidden'], 'field_key'=>'hidden', 'type'=>'dropdown', 'notnull'=>1, 'dropdown_values'=>$basic_dropdown);
	$fields['hide_empty'] = array('label'=>$L['adminCustomFieldsHideEmpty'], 'field_key'=>'hide_empty', 'type'=>'checkbox');
	$fields['calculated'] = array('label'=>$L['adminCustomFieldsCalculated'], 'field_key'=>'calculated', 'type'=>'checkbox');
	$fields['dropdown_values'] = array('label'=>$L['adminCustomFieldsDropdownValues'], 'field_key'=>'dropdown_values', 'type'=>'text');
	// Bosco 20050823 | Added to add drop down values in edit pages through popup
	$fields['config_key'] = array('label'=>$L['adminCustomFieldsConfigKey'], 'field_key'=>'config_key', 'type'=>'text');
	$fields['default_value'] = array('label'=>$L['adminCustomFieldsDefaultValue'], 'field_key'=>'default_value', 'type'=>'text');
	$fields['min'] = array('label'=>$L['adminCustomFieldsMin'], 'field_key'=>'min', 'type'=>'text');
	$fields['max'] = array('label'=>$L['adminCustomFieldsMax'], 'field_key'=>'max', 'type'=>'text');
	$fields['maxlength'] = array('label'=>$L['adminCustomFieldsMaxLength'], 'field_key'=>'maxlength', 'type'=>'text');
	$fields['width'] = array('label'=>$L['adminCustomFieldsWidth'], 'field_key'=>'width', 'type'=>'integer');
	$fields['rows'] = array('label'=>$L['adminCustomFieldsRows'], 'field_key'=>'rows', 'type'=>'integer');
	$fields['multi_edit_width'] = array('label'=>$L['adminCustomFieldsMultiEditWidth'], 'field_key'=>'multi_edit_width', 'type'=>'integer');
	$fields['notnull'] = array('label'=>$L['adminCustomFieldsNonEmpty'], 'field_key'=>'notnull', 'type'=>'dropdown', 'notnull'=>1, 'dropdown_values'=>$basic_dropdown);
	$fields['read_only'] = array('label'=>$L['adminCustomFieldsReadOnly'], 'field_key'=>'read_only', 'type'=>'dropdown', 'notnull'=>1, 'dropdown_values'=>$basic_dropdown);
	$fields['append_only'] = array('label'=>$L['adminCustomFieldsAppendOnly'], 'field_key'=>'append_only', 'type'=>'dropdown', 'notnull'=>1, 'dropdown_values'=>$append_only_dropdown);
	
	$fields['disable_filter'] = array('label'=>$L['adminCustomFieldsDisableFilter'], 'field_key'=>'disable_filter', 'type'=>'dropdown', 'notnull'=>1, 'dropdown_values'=>$basic_dropdown);
	$fields['csv'] = array('label'=>'', 'field_key'=>'csv', 'type'=>'hidden'); 
	$fields['display_name'] = array('label'=>$L['adminDataOptionsSearchTitle'], 'field_key'=>'display_name',  'type'=>'dropdown', 'dropdown_values' => $basic_dropdown); // This was the old 'Search Title' option from Data Options prior to v4
	
	$fields['field_priority'] = array('label'=>$L['adminCustomFieldsPriority'], 'field_key'=>'field_priority', 'type'=>'integer');
	$fields['priority_edit'] = array('label'=>$L['adminCustomFieldsPriorityEdit'], 'field_key'=>'priority_edit', 'type'=>'integer');
	
	$fields['foreign'] = array('label'=>'', 'field_key'=>'foreign', 'type'=>'integer', 'hidden'=>1);
	
	filterFields($fields, $item); // changes fields and item
	
	foreach ($fields as $k => $v) {
		$fields[$k]['value'] = $item[$v['field_key']];	
	}
	
	return $fields;
}

function filterFields(&$fields, &$item) {
	global $L, $add;
	
	if (isset($item['field_id']) && $item['field_id']) {
		$fields['field_key']['type'] = 'hidden';
		$fields['field_key']['text'] = $item['field_key'];
		
		$fields['calculated']['type'] = 'free';
		$fields['calculated']['text'] = '' . ($item['calculated'] ? $L['True'] : $L['False']);
	}
	
	if ($item['type'] != 'integer') { // Will probably allow other types (eg float) in the future
		bcrm_unset($fields, 'min');	
		bcrm_unset($fields, 'max');
	}
	
	if ( ($item['type'] == 'text') || ($item['type'] == 'password') ) {
		// keep the maxlength variable
	} else {
		bcrm_unset($fields, 'maxlength');
	}
	
	// Bosco 20050901 | Remove config_key field if not dropdown or multi_select	
	if ( ($item['type'] != 'dropdown') && ($item['type'] != 'multi_select') ) {
		bcrm_unset($fields, 'config_key');
	}

	if ( ($item['type'] == 'dropdown') || ($item['type'] == 'multi_select') ) {
		if ($item['type'] == 'multi_select') {
			$item['csv'] = 1; // Phil 20050509
			if (!is_array($item['default_value'])) {
				$item['default_value'] = explode(',', $item['default_value']);
			}
		} else {
			bcrm_unset($fields, 'rows');
		}
		
		$fields['default_value']['type'] = $item['type'];
		$fields['default_value']['dropdown_values'] = $add->getDropdownValues($item['dropdown_values']);
		
		$fields['dropdown_values']['type'] = 'hidden';
		
		// $fields['dropdown_values']['text'] = '<a href="custom_fields_dropdown_edit.php?table=' .  $item['dropdown_values'] . '">' . $add->getDropdownTableName($item['dropdown_values']) . '</a>';
		global $SERVICES;
		$output =& $SERVICES->getService('Output');
		$SERVICES->getService('Config');
		$dropdown_url = $SERVICES->config->lookup('modules.Admin.module_edit.dropdown_edit.link') . $output->updateQueryString(array('table'=>$item['dropdown_values']));
		
		$fields['dropdown_values']['text'] = $output->getLinkHref(
			array(
				'href' => $dropdown_url,
				'text' => $add->getDropdownTableName($item['dropdown_values'])
			)
		);
		
		if ($item['notnull']) {
			$fields['default_value']['notnull'] = 1;
		}
		
	} else {
		bcrm_unset($fields, 'dropdown_values');	
		if ($item['type'] != 'long_text') {
			bcrm_unset($fields, 'rows');
		}
	}
	
	if ($item['type'] == 'date') {
		// $fields['default_value']['type'] = $item['type'];
		$fields['default_value']['type'] = 'dropdown';
		$fields['default_value']['dropdown_values'] = $add->getDateDropdownValues();
	}
	
	if ($item['type'] == 'long_text') { // 20050330, Phil: was $field['type']
		$fields['default_value']['type'] = 'long_text';
	} else { // Phil 20060608 Append Only added (only for long_text fields)
		bcrm_unset($fields, 'append_only');	
	}
	
	if ( ($item['type'] == 'foreign') || ($item['foreign'] == 1) || $_GET['foreign_field']) {
		// print '<div>Foreign:</div>'; print_r($item); print '<hr>';
		bcrm_unset($fields, 'default_value');
		bcrm_unset($fields, 'width');
		bcrm_unset($fields, 'multi_edit_width');
		bcrm_unset($fields, 'notnull');
		// bcrm_unset($fields, 'read_only'); // Phil 20050811
		// bcrm_unset($fields, 'disable_filter'); // Phil 20050811
		bcrm_unset($fields, 'display_name');
		bcrm_unset($fields, 'calculated');
		bcrm_unset($fields, 'hidden');
		$item['foreign'] = 1;
		// global $foreign_field;
		
		$fields['field_key']['type'] = 'hidden';
		if ($foreign_field = $_GET['foreign_field']) {
			$item['field_key'] = $foreign_field;
			$fields['field_key']['text'] = $foreign_field;
			$item['foreign'] = 1;
			
			// Phil 20060606 Get explanation, label, list_label, list_detail_length, max_length
			
			$tmp_field_info = explode('.', $foreign_field);
			global $SERVICES;
			$tmp_add = $SERVICES->getService('DataDefinition', '', 'AdminDataDefinition');
			$tmp_lang =& $SERVICES->getService('Language');
			
			if (is_object($tmp_add) && is_object($tmp_lang)) {
				// Phil 20060606
				// print '<div>tmp_field_info:</div>'; print_r($tmp_field_info); print '<hr>';
				$tmp_table = $tmp_field_info[0];
				$tmp_field_key = $tmp_field_info[1];
				$tmp_table_info = explode('__', $tmp_table);
				$tmp_module = $tmp_table_info[0];
				if (strlen($tmp_table) && strlen($tmp_field_key)) {
					$tmp_add->setTable($tmp_table);
					$tmp_fields = $tmp_add->getFields();
					// print '<div>tmp_fields:</div>'; print_r($tmp_fields); print '<hr>';
					if (array_key_exists($tmp_field_key, $tmp_fields)) {
						// print '<div>tmp_field:</div>'; print_r($tmp_fields[$tmp_field_key]); print '<hr>';
						
						$item['label'] = $tmp_lang->getLanguageText($tmp_fields[$tmp_field_key]['label'], $tmp_module);
						$item['list_label'] = $tmp_lang->getLanguageText($tmp_fields[$tmp_field_key]['list_label'], $tmp_module);
						$item['explanation'] = $tmp_lang->getLanguageText($tmp_fields[$tmp_field_key]['explanation'], $tmp_module);
						// Phil 20060606 // $item['list_detail_length'] =$tmp_fields[$tmp_field_key]['list_detail_length'];
					}
				}
			}
		}
		
		// print '<div>Foreign Standard/Custom:</div>'; print_r($item); print '<hr>';
		// Phil 20051031 - custom foreign fields set to 1, standard foreign fields set to 2
		if (strpos($item['field_key'], '_custom.') === false) {
			$item['field_is_custom'] = 2; 
		}
		
	} else {
		// print '<div>Not foreign:</div>'; print_r($item); print '<hr>';
	}
	
	if (!isset($item['field_is_custom'])) { // Phil 20050509 - Needs to be custom by default
		$item['field_is_custom'] = 1;
	}
	
	// Phil 20060606
	// print '<div>Fields:</div>'; print_r($fields); print '<hr>';
	
	// Phil 20060208
	// Does not include assignedto_group_id
	$permissions_fields = array( 
		'view_group_id', 
		'edit_group_id', 
		'owner_group_id', 
		'admin_group_id', 
		'lock_permissions'
	);
	// Priority edit/view is disabled for permissions fields
	if (in_array($item['field_key'], $permissions_fields)) {
		// print '<div>Permission field: ' . $item['field_key'] . '</div>';
		$fields['priority_edit']['hidden'] = 1;
	}
	
	return $fields;
}


function doSubmit() {
	global $SERVICES, $PHP_SELF, $L, $mod, $output, $add;
	
	$item = $_POST['item'];
	$delete = (isset($_GET['action']) && ($_GET['action'] == 'delete') ? true : false);
	// print '<div>doSubmit item</div>'; print_r($item); print '<hr>'; // print_r($_GET); // print_r($_POST); // exit();
	
	if (isset($_POST['submit']) && $_POST['submit']) {
		//server-side data validation goes here
		$fields = getFormFields($item);	//get field definitions
		// print '<div>doSubmit item</div>'; print_r($fields); print '<hr>'; // print_r($_GET); // print_r($_POST); // exit();
		// print '<div>doSubmit item</div>'; print_r($item); print '<hr>'; // print_r($_GET); // print_r($_POST); // exit();
		$output->validateFields($item, $fields, $error_msg); //validate $item based on the definitions in $fields; $item values will get updated
		if (is_array($error_msg)) {		//if server-side validation errors, return to form
			// print '<div>doSubmit error_msg</div>'; print_r($error_msg); print '<hr>';
			main( $item['field_id'], $item, $error_msg);
			exit();
		}
		
		//any other processing before posting to database
		if ($item['type'] == 'multi_select') { // Phil - 20050505 - was causing db insert error (default_value was an array)
			if (isset($item['default_value']) && is_array($item['default_value'])) {
				$item['default_value'] = implode(',', $item['default_value']);
			}
		}
		
		if (!$item['foreign']) {
			$item['field_key'] = strtolower($item['field_key']);
		}
		$item['field_key'] = str_replace(' ', '_', $item['field_key']);
		
		$field_table = $item['field_table'];
		
		if ($add->setItem($item)) {
			// print '<div>doSubmit field_table: ' . $field_table . '</div>';
			doRedirect($field_table);
			exit();
			
		} else {
			// print '<div>doSubmit setItem returned false</div>';
			$content = $output->getBeginTable();
			$content .= $output->getTextRow($L['adminCustomFieldsErrorCannotSetCustomField']);
			global $SERVICES;
			
			$href = $output->getLinkHref(
				array(
					'text' => $L['Back'], 
					'href' => $SERVICES->config->lookup('modules.Admin.module_edit.table_edit.link')
				)
			);
			$content .= $output->getTextRow($href);
			// $content .= $output->getTextRow('<a href="admin_module_table_edit.php?table=' . $field_table . '">' . $L['Back'] . '</a>');
			$content = $output->getEndTable();
			
			quickPage($content);
			exit();
			
		}

	} else if ($delete) {
		header ('Location: ' . $SERVICES->config->lookup('modules.Admin.module_edit.field_delete.link') . $output->updateQueryString(array()));
		exit();
	}
	
} //doSubmit

function doRedirect($table) {
	global $SERVICES;
	header('Location: ' . $SERVICES->config->lookup('modules.Admin.module_edit.table_edit.link') . '?table=' . $table);
	exit();
}

function main() {
	global $SERVICES, $ua, $USER, $output, $L, $field_id, $type, $table, $add, $PHP_SELF, $field_is_custom;
	$index_link = $SERVICES->config->lookup('modules.Admin.modulelink.module_editor_index.link');
	
	if (!empty($field_id)) {
		$add->printDebug('Field edit, main, calling AdminDataDefinition::getField(' . $field_id . ')');
		$item = $add->getField($field_id);
	} else {
		// 'New' field
		$item = array(
			'field_table' => $table,
			'type' => $type, 
			'field_priority' => 500, 
			'field_is_custom' => $field_is_custom, 
			'calculated' => 0
		);
	}
	
	// We need default dropdown/multi_select values for new fields (and fields created in the module builder which havent been initialised yet)
	if (
		(($item['type'] == 'dropdown') || ($item['type'] == 'multi_select')) 
		&& !$item['dropdown_values']
	) {
		
		global $dropdown_table; // from query string
		if (isset($dropdown_table) && $dropdown_table) {
			// print '<p>setting default dropdown values</p>';
			$item['dropdown_values'] = $dropdown_table;
		} else {
			if ($_GET['foreign_field'] ) {
				quickPage($L['adminModuleEditorErrorFieldHasNoDropdownValues']);
				exit();
			} else {
				// print '<p>need dropdown values</p>';
				$item['table'] = ($item['field_table'] ? $item['field_table'] : $table);
				// print $SERVICES->config->lookup('modules.Admin.module_edit.dropdown_select.link') . '' . $output->updateQueryString($item);
				header('Location: ' . $SERVICES->config->lookup('modules.Admin.module_edit.dropdown_select.link') . '' . $output->updateQueryString($item));
				exit();
			}
		}
	}
	
	$index_label = $SERVICES->config->lookup('modules.Admin.modulelink.module_editor_index.label');
	
	$content = '';
	$content .= $output->getBeginTable('viewTbl');
	
	
	$title_menu = array(
		$output->getLinkHref( // admin module index page
			array(
				'href' => $index_link, 
				'text' => ($L[$index_label] ? $L[$index_label] : $index_label), 
			)
		)
	);
	
	if (isset($item['field_table']) && $item['field_table']) {
		$module = substr($item['field_table'], 0, strpos($item['field_table'], '__'));
		// print '<div>item[field_table]: ' . $item['field_table'] . ' module: ' .$module . '</div>'; print_r($item);
		$title_menu[] = $output->getLinkHref(
			array(
				'href' => $SERVICES->config->lookup('modules.Admin.module_edit.table_select.link') . $output->updateQueryString(array('module'=>$module)), 
				'text' => $SERVICES->config->lookup('modules.Admin.module_edit.table_select.label')
			)
		);
	}
	
	
	$output->toolbar_link_mode = true;
	$output->setActionLinksMenu($title_menu);
	$output->toolbar_link_mode = false;
	
	// $content .= $output->getTitleRow($L['adminCustomFieldsFieldEditLabel'] . ': ' . $item['field_table'] . ' ' . $item['field_key'], $menu);
	$title_text = $L['adminCustomFieldsFieldEditLabel'] . ': ' . $item['field_table'] . ' ' . $item['field_key'];
	// $content .= $output->getMenuRow($title_menu);
	$content .= $output->getBeginForm($PHP_SELF);
	$content .= $output->getBeginNestedEditTable();
	
	foreach (getFormFields($item) as $k => $v) {
		$content .= $output->getHtmlFieldRow($v, $error_msg[$v['field_key']]);
	}
	
	$content .= $output->getSubmitRow();
	$content .= $output->getEndNestedTable();
	$content .= $output->getEndForm();
	$content .= $output->getEndTable();
	
	$window_layout = $output->getBeginTable('mainTbl', true);
	$window_layout .= $output->getTitleRow($title_text);
	$window_layout .= $output->getBeginRow('', true) . '<td id="bodyCell"' . ($padding ? 'style="padding: 10px"' : '') . '>';
	$window_layout .= $content;
	$window_layout .= '</td>' . $output->getEndRow(true);
	$window_layout .= $output->getEndTable(true);
	
	$output->addToBody($window_layout);
	$output->display();
	exit();
}

if (isset($_POST['submit']) || isset($_GET['action'])) {
	doSubmit();
}

main();
?>
