<?php
require_once("../../prepend.inc");
/**
 * Select a field type for a new custom field.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Admin
 * @author Phil Calder
 */

global $SERVICES;

$ua =& $SERVICES->getService('Authentication');
$ua->adminRestrict();

$SERVICES->getService('Modules');
$mod =& $SERVICES->modules->getModule('Admin');

$add =& $SERVICES->getService('DataDefinition', '', 'AdminDataDefinition');

$output =& $SERVICES->getService('Output');

$SERVICES->getService('Config');

function doRedirect($nextpage) {
	global $SERVICES, $module, $table;
	if ($nextpage =='back') {
		header( 'Location: ' . $SERVICES->config->lookup('modules.Admin.module_edit.field_create.link') . '?module=' . $module . '&table=' . $table);
	} else {
		header( 'Location: ' . $SERVICES->config->lookup('modules.Admin.module_edit.table_edit.link') . '?module=' . $module . '&table=' . $table);
	}
	exit();
}


function main($id = '', $item = '', $error_msg = '') {
	global $PHP_SELF, $mod, $contact_id; //, $returnpage;
	global $SERVICES, $output, $L, $module, $table, $type, $add;
	
	if (!$type) {  
		doRedirect('back');
	}
		
	if (empty($table)) {
		header('Location: ' . $SERVICES->config->lookup('modules.Admin.modulelink.module_editor_index.link'));
		exit();
	}
	
	$module = substr($table, 0, strpos($table, '__'));
	// print '<div>module: ' . $module . '</div>';
	
	$foreign_fields = $add->getForeignFields($module, $table);
	
	$content = '';
	$content .= $output->getBeginTable();
	
	$title_menu = array(
		$output->getLinkHref(
			array(
				'href' => $SERVICES->config->lookup('modules.Admin.modulelink.module_editor_index.link'), 
				'text' => $SERVICES->config->lookup('modules.Admin.modulelink.module_editor_index.label')
			)
		), 
		$output->getLinkHref(
			array(
				'href' => $SERVICES->config->lookup('modules.Admin.module_edit.table_select.link') . $output->updateQueryString(array('type'=>'')), 
				'text' => $SERVICES->config->lookup('modules.Admin.module_edit.table_select.label')
			)
		), 
		$output->getLinkHref(
			array(
				'href' => $SERVICES->config->lookup('modules.Admin.module_edit.table_edit.link') . $output->updateQueryString(array('type'=>'')), 
				'text' => $SERVICES->config->lookup('modules.Admin.module_edit.table_edit.label')
			)
		)
	);	
	
	$output->toolbar_link_mode = true;
	$output->setActionLinksMenu($title_menu);
	$output->toolbar_link_mode = false;
	
	// $content .= $output->getTitleRow($L['adminCustomFieldsForeignSelectLabel'], $title_menu);
	
	$content .= $output->getTextRow($L['adminCustomFieldsSelectForeignField']);
	
	//nested data table ------------------
	$content .= $output->getBeginNestedListTable();
	
	$content .= $output->getHeaderRow(
		array(
			'label' => array('label' => $L['adminCustomFieldsLabel']), 
			'field_name' => array('label' => $L['adminCustomFieldsFieldName']), 
			'fields' => array('label' => $L['adminCustomFieldsSelect'])
		)
	);
	
	if (!is_array($foreign_fields) || !sizeof($foreign_fields)) {
		$content .= $output->getTextRow($L['adminCustomFieldsNoForeignFields']);
	} else {
		foreach ($foreign_fields as $k => $v) {
			// print_r($v); 
			if ($pos = strpos($v['field_key'], '__')) { // Phil 20051031 Load language for module
				// print '<div>pos: ' . substr($v['field_key'], 0, strpos($v['field_key'], '__')) . '</div>';
				$SERVICES->language->getLanguage(substr($v['field_key'], 0, strpos($v['field_key'], '__')));
			}
			// exit();
		
			if (is_array($v) ) {
				$label = $SERVICES->language->getLanguageText($v['label']);
				// print $v['field_key'] . ' = ' . $v['label'] . '<br>';
				$row = array();
				// $row[] = ($v['label'] ? $v['label'] . '' : '');
				$row[] = ($label ? $label . '' : $v['field_key']);
				$row[] = $v['field_key'];
				// if ($v['is_custom']) {
					// if (! (substr($v['field_key'], ($v['field_key']-strlen('_custom'))) == '_custom') ) {
						// print '<div>--- ' . $v['field_key'] . ' doesnt end in _custom</div>';
					// } else {
						// print '<div>+++ ' . $v['field_key'] . ' does end in _custom</div>';
					// }
				// }
				// print '<hr>';
				// exit();
				$new_query_string = $output->updateQueryString(
					array(
						'type'=> $v['type'], 
						'foreign_field'=> $v['field_key'], 
						'dropdown_table'=> $v['dropdown_values']
					)
				);
				$row[] = '<a href="' . $SERVICES->config->lookup('modules.Admin.module_edit.field_edit.link') . $new_query_string . '">' . $L['adminCustomFieldsSelect'] .'</a>';
				
				$content .= $output->getTableRow($row);
			}
		}
	}

	$content .= $output->getEndNestedTable();
	//end nested data table ------------------
	$content .= $output->getEndTable();
	//
	
	$title_text = $L['adminCustomFieldsForeignSelectLabel'];
	$padding = true;
	
	$window_layout = $output->getBeginTable('mainTbl', true);
	$window_layout .= $output->getTitleRow($title_text);
	// $window_layout .= $output->getMenuRow($title_menu);
	$window_layout .= $output->getBeginRow('', true) . '<td id="bodyCell"' . ($padding ? 'style="padding: 10px"' : '') . '>';
	$window_layout .= $content;
	$window_layout .= '</td>' . $output->getEndRow(true);
	$window_layout .= $output->getEndTable(true);
	
	$output->addToBody($window_layout);
	$output->display();
	exit();
	
} // main


if (isset($_POST['submit']) || isset($_GET['delete'])) {
	doSubmit();
}

main();

?>
