<?php
require_once("../../prepend.inc");
/**
 * Remove a module (soft delete - removes privileges to the module)
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Admin
 * @author Phil Calder
 */

$ua =& $SERVICES->getService('Authentication');
$ua->adminRestrict('Admin');

$SERVICES->getService('Modules');
$mod =& $SERVICES->modules->getModule('Admin');

$output =& $SERVICES->getService('Output');

function doSubmit() {
	global $L, $module, $mod, $PHP_SELF;
	
	if (!empty($module)) {
		if (!in_array($module, getRemovableModules())) {
			quickPage($L['adminModuleRemoveModuleNotAllowed']);
			exit();
		}
		
		if (!$mod->removePermissionsFor($module)) {
			quickPage($L['adminModuleRemoveModulePermissionsError']);
			exit();
		}
		
		if (!$mod->removeModuleFromDb($module)) {
			quickPage($L['adminModuleRemoveModuleFromDbError']);
			exit();
		}
		
		// Phil 20060925 Rebuild cache
		global $SERVICES;
		$SERVICES->getService('Config');
		$SERVICES->getService('Language');
		$SERVICES->config->removeCachedConfig();
		$SERVICES->language->removeCache();
	
		header('Location: ' . $PHP_SELF);
		exit();
	}
}

function getRemovableModules() {
	global $SERVICES, $ua, $mod;
	
	$SERVICES->getService('Modules');
	$modules = $SERVICES->modules->getModules();
	
	$custom_modules = $SERVICES->modules->getCustomModules(); //Syed 20050817
	
	if (!is_array($modules)) {
		$modules = array();	
	}
	
	foreach ($modules as $k => $v) {
		if (!$ua->adminAccess($USER['user_id'], $v) ) {
 			bcrm_unset($modules, $k);	
		} else if (!in_array($v, $custom_modules)) {
			bcrm_unset($modules, $k);
		}
	}
	return $modules;
}


function main() {
	global $SERVICES, $ua, $USER, $output, $L, $module, $PHP_SELF;
	
	$modules = getRemovableModules();
	
	$content = '';
	$content .= $output->getBeginTable('viewTbl');
	// $content .= $output->getTitleRow($L['adminModuleRemoveIndexLabel']);
	$title_text = $L['adminModuleRemoveIndexLabel'];
	
	if (sizeof($modules)) {
		$content .= $output->getTextRow($L['adminModuleRemoveIndexDescription']);
		$content .= $output->getBeginNestedViewTable();
		
		foreach ($modules as $k => $v) {
			// $delete_link = '<a href="' . $PHP_SELF . '?module=' . $v .'">' . $L['LinkDelete'] . '</a>';
			$delete_link = $output->getLinkDelete($PHP_SELF . '?module=' . $v);
			$content .= $output->getTableRow(array($v, $delete_link));	
		}
		
		$content .= $output->getEndNestedTable();
	} else {
		$content .= $output->getTextRow($L['adminModuleNoRemoveableModulesDescription']);
	}
	$content .= $output->getEndTable();	
	
	$padding = true;
	$window_layout = $output->getBeginTable('mainTbl', true);
	$window_layout .= $output->getTitleRow($title_text);
	$window_layout .= $output->getBeginRow('', true) . '<td id="bodyCell"' . ($padding ? 'style="padding: 10px"' : '') . '>';
	$window_layout .= $content;
	$window_layout .= '</td>' . $output->getEndRow(true);
	$window_layout .= $output->getEndTable(true);
	
	$output->addToBody($window_layout);
	$output->display();
	exit();
}

doSubmit();
main();
?>