<?php
require_once("../../prepend.inc");
/**
 * Edit a Table.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Admin
 * @author Phil Calder
 */

global $SERVICES;
$ua =& $SERVICES->getService('Authentication');
$ua->adminRestrict();

$SERVICES->getService('Language');
$SERVICES->language->getLanguage('Admin');

$SERVICES->getService('Config');

$output =& $SERVICES->getService('Output');

function main() {
	global $SERVICES, $output, $L, $table;
	
	$index_url = $SERVICES->config->lookup('modules.Admin.modulelink.module_editor_index.link');
	
	if (empty($table)) {
		header('Location: ' . $index_url);
		exit();
	}
	
	$add =& $SERVICES->getService('DataDefinition', '', 'AdminDataDefinition');
	
	// Does the table exist?
	if ( (!$add->countAllOptions($table)) && (!$add->countFields($table)) ) {
		// Bosco | 20050625 | Changed to add a Back link 
		quickPage('This table cannot be customised'. '<br> <br> <a href="' . $SERVICES->getGlobal('http_referer') . '">' . $L['Back'] . '</a>');
		exit();
	}
	
	// set the paging limits
	$total_count = $add->countFields($table);
	$limit = $output->setPagingLimits('frontDefaultListSize', $total_count);
	
	// Set the default order by field
	if (!isset($_GET['sort'])) {
		$sort = array(
			'field' => 'field_priority',
			'order' => 'asc'
		);
	} else {
		$sort = $_GET['sort'];
	}
	
	// Load the language for this module (so we can display labels correctly if they are language items)
	$tmp = explode('__', $table);
	$module = $tmp[0];
	// print '<p>module = ' . $module . '</p>';
	$SERVICES->language->getLanguage($module);
	
	// print $limit . '<br>';
	$items = $add->getFields($table, $limit, $sort);
	
	$field_edit_url = $SERVICES->config->lookup('modules.Admin.module_edit.field_edit.link');
	
	$index_label = $SERVICES->config->lookup('modules.Admin.modulelink.module_editor_index.label');
	
	// $new_url = $SERVICES->config->lookup('modules.Admin.module_edit.field_create.link') . '?table=' . $table;
	$new_url = $SERVICES->config->lookup('modules.Admin.module_edit.field_create.link') . $output->updateQueryString(array('table'=>$table));
	
	$module = substr($table, 0, strpos($table, '__'));
	
	$title_menu = array(
		$output->getLinkHref( // admin module index page
			array(
				'href' => $index_url, 
				'text' => ($L[$index_label] ? $L[$index_label] : $index_label), 
			)
		), 
		$output->getLinkHref(
			array(
				'href' => $SERVICES->config->lookup('modules.Admin.module_edit.table_select.link') . $output->updateQueryString(array('module'=>$module)), 
				'text' => $SERVICES->config->lookup('modules.Admin.module_edit.table_select.label')
			)
		), 
		$output->getLinkHref( // 'New'
			array(
				'href' => $new_url, 
				'text' => 'New',  // uses getLanguageText
			)
		)
	);
	
	$content = '';
	
	$content .= $output->getBeginTable();
	
	$title = $L['adminCustomFieldsTableEditLabel'] . ': ' . $table;
	// $content .= $output->getTitleRow($L['adminCustomFieldsTableEditLabel'] . ': ' . $table, $title_menu);
	
	$header = array(
		//'',
		'field_key'       => array('label' => $L['adminCustomFieldsFieldName']), 
		'label'           => array('label' => $L['adminCustomFieldsLabel']), 
		'type'            => array('label' => $L['adminCustomFieldsType']), 
		'hidden'          => array('label' => $L['adminCustomFieldsHidden']), 
		'field_is_custom' => array('label' => $L['adminCustomFieldsIsCustomField']), 
		'field_priority'  => array('label' => $L['adminCustomFieldsPriority']), 
		'priority_edit'   => array('label' => $L['adminCustomFieldsPriorityEdit']), 
		'edit' => array('label' => ''), 
		'delete' => array('label' => '')
	);
	
	$content .= $output->getBeginNestedListTable();
	
	$content .= $output->getHeaderRow($header, $sort);
	
	foreach ($items as $k => $v) {
		// print_r($v); print '<hr>';
		$row = array();
		//$row[] = '';
		//$row[] = '';
		
		$row[] = $v['field_key'];
		$row[] = $v['label'];
		$row[] = $v['type'];
		$row[] = '' . (isset($v['hidden']) && $v['hidden'] ? $L['Yes'] : $L['No']);
		$row[] = '' . (isset($v['field_is_custom']) && $v['field_is_custom'] ? $L['Yes'] : $L['No']);
		$row[] = $v['field_priority'];
		$row[] = $v['priority_edit'];
		$row[] = $output->getLinkEdit($field_edit_url . '?field_id=' . $v['field_id']);
		if (isset($v['field_is_custom']) && $v['field_is_custom']) { 
			$row[] = $output->getLinkDelete($field_edit_url . '?action=delete&field_id=' . $v['field_id']);
		} else {
			$row[] = '';
		}
		$content .= $output->getTableRow($row);
	}
	
	$content .= $output->getEndNestedTable();
	$content .= $output->getPagingRow();
	
	$content .= $output->getEndTable();
	
	// $data_options_url = 'admin_data_options_index.php?table=' . $table;
	$data_options_url = $SERVICES->config->lookup('modules.Admin.module_edit.data_options_index.link') . $output->updateQueryString(array('table'=>$table));
	$data_options_link = $output->getLinkHref(
		array(
			'href' => $data_options_url,
			'text' => 'adminDataOptionsLabel'
		)
	);
	
	$output->toolbar_link_mode = true;
	$output->setActionLinksMenu(array($data_options_link));
	$output->toolbar_link_mode = false;
	
	$output->toolbar_link_mode = true;
	$output->setActionLinksMenu($title_menu);
	$output->toolbar_link_mode = false;
	
	// ---
	$window_layout = $output->getBeginTable('mainTbl', true);
	$window_layout .= $output->getTitleRow($title, array('bookmark'=>'off'));
	
	// $window_layout .= $output->getMenuRow(array($data_options_link));
	// $window_layout .= $output->getMenuRow($title_menu);
	
	$window_layout .= $output->getBeginRow('', true) . '<td id="bodyCell"' . ($padding ? 'style="padding: 10px"' : '') . '>';
	$window_layout .= $content;
	$window_layout .= '</td>' . $output->getEndRow(true);
	$window_layout .= $output->getEndTable(true);
	
	$output->addToBody($window_layout);
	$output->display();
	exit();
}

main();
?>