<?php
/**
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Calendar
 */
includeModule('Calendar', 'inc/common_list.inc');

/** 
 * View appointments for week or month
 */
class CalendarMainWebMATList extends CalendarCommonWebMATList {
	
	/**
	 * Disabled
	 */
	function getCheckboxMenuContent() {
		return false;
	}
  
	function getDataContent() {
		global $SERVICES, $L, $USER;
		//get ouput service which needs to be used to draw grids
		
		$SERVICES->getService('DateLib');
		
		$table_labels = array();
		
		$table_labels = $this->dd->getDataDictionary();
		$table_labels = $this->excludeCalculated($table_labels);
		$table_labels = $this->getSubTableHeader($table_labels, false);
		
		//coded by cecil
		/*************preference loading begin***************/		
		// $this->form_values['type']; //gets the list type. 1--day list  2--week list
		$time_setting = $this->getTimeSetting(); //gets the time period from user setting that the day and week calendar will display
		$date_period = $this->getPeriod(); //gets date period from user setting that the day and week calendar will display
		$view_users = $this->getViewUsers(); //gets users that the user wants to view in the calendar
		/*************preference loading end***************/
		
		
		/*************data loading begin******************/
		//the actual start time that the day and week calendar will display, will  
		//be added to $data_loading  array after calling  the function loadData
		$data_loading = $this->loadData($date_period , $view_users , $time_setting);
		
		// Phil 20060525 Used to display alert flag on Calendar view (day, week)
		$alert_ids = (array)$this->db_functions->getAlertIds();
		// print_r($alert_ids); print '<hr>';
		  
		/************data loading end********************/
		
		
		/************drawing table begin***************/
		
		/***********navigation bar***********/
		
		$nav = $this->getNavigationBar($date_period); //gets the Navigator of calendar
		//display the row of navigator
		// Phil 20060307
		$header_row = array('date_range'=> array('label'=> $nav['left_link'] . ' ' . $nav['text'] . ' ' . $nav['right_link']));
		$table_content .= $this->output->getHeaderRow($header_row);
		
		$table_content .= $this->output->getBeginRow();
		$table_content .= $this->output->getBeginCell(1, 'calDWBigCell');
		$table_content .= $this->output->getBeginTable('calDWBigTable');
		
		/*******first row  --- display date*******/
		$table_content .= $this->output->getBeginRow();
		$table_content .= $this->output->getBeginCell();
		$table_content .= '';
		$table_content .= $this->output->getEndCell();
		
		
		$num_users = count($view_users); //gets the number users that are going to be viewed 
		
		//counts how many col number that one user will take up and display usernames rows 
		foreach ($date_period as $day => $val) {
			$col_span = $num_users*2;  //one user takes up one slot to display appointment and one slot to display the new link in minimum 
			$date_key = $val['date']['year'] . '-' . $val['date']['month'] . '-' . $val['date']['day'];   //date key for data_loading Y-m-d
			if ($data_loading[$date_key]) {
				foreach ($data_loading[$date_key] as $user_id => $apps) {
					//handles the overlap problem if any user gets more than one apointments in the same time slot
					if ($apps['max_user_overlap'] >1) {
						$col_span = $col_span + $apps['max_user_overlap'] - 1; 
					}
				}
			}
			
			//display usernames row
			$table_content .= $this->output->getBeginCell($col_span, 'calDWDayCell');  
			$table_content .= $val['link'].'&nbsp;(' . $SERVICES->datelib->getUserPrefDateFromTimestamp(mktime(0, 0, 0, $val['date']['month'], $val['date']['day'], $val['date']['year'])) . ')';
			$table_content .= $this->output->getEndCell();
			
			$table_content .= $this->output->getBeginCell(1, 'calDWEmptyCell');  
			$table_content .= '&nbsp;';
			$table_content .= $this->output->getEndCell();
		}
		
		$table_content .= $this->output->getEndRow();
		
		/*****second row --- display each username to view for each day******/
		
		$table_content .= $this->output->getBeginRow() ;
		
		$table_content .= $this->output->getBeginCell();
		$table_content .= '';
		$table_content .= $this->output->getEndCell();
		
		
		foreach ($date_period as $day => $val) {
		  $date_key = $val['date']['year'] . '-' . $val['date']['month'] . '-' . $val['date']['day'];
		  foreach ($view_users as $user_id => $user_detail) {
			
			$table_content .= $this->output->getBeginCell(1, 'calDWUserSpace');
			$table_content .='';
			$table_content .= $this->output->getEndCell();
			
			$col_span = $data_loading[$date_key][$user_id]['max_user_overlap'];
			
			if (!$col_span) {
			  $col_span = 1;
			}
			
			//gets link for each username so that user can click any one of usernames to view their day and week calendar 
			$view_user_link_href = $this->getFileSetHref('display_by_custom');
			$view_user_link_href = str_replace('%type%', 1 , $view_user_link_href );
			$view_user_link_href = str_replace('%date%', $date_key, $view_user_link_href );
			$view_user_link_href = str_replace('%view_all%',$user_id, $view_user_link_href );
					
			//dispaly username cell
			$table_content .= $this->output->getBeginCell($col_span, 'calDWUsernameCell');
			$table_content .= $this->output->getLinkHref( array('href' => $view_user_link_href , 'text' => $user_detail['username']) );
			$table_content .= $this->output->getEndCell();
		  }
		  
		  $table_content .= $this->output->getBeginCell(1, 'calDWEmptyCell');  
		  $table_content .= '&nbsp;';
		  $table_content .= $this->output->getEndCell();
		}
		
		$table_content .= $this->output->getEndRow();
		
		/******main rows ----display appointment*******/
		//gets link from module config for creating a new appoint in the specificed time  
		$new_link_href = $this->getFileSetHref('edit_custom');
		$new_link_href = str_replace('id=%id%&', '', $new_link_href );
		$new_link_href = str_replace('&contact_id=%contact_id%', '', $new_link_href );
		
		$times = mktime($data_loading['time_start']['hour'], $data_loading['time_start']['min'], 0); //start time that the calendar will display
		$ed_time = mktime($data_loading['time_end']['hour'], $data_loading['time_end']['min'], 0); //end time that the calendar will display
		
		while($times <= $ed_time) {
		  $cal_time = date('H:i', $times);
		  
		  $table_content .= $this->output->getBeginRow() ;
		  
		  //display each time period in the first col 
		  $table_content .= $this->output->getBeginCell(1, 'calDWTimeLabelCell');
		  $table_content .= $SERVICES->datelib->getUserPrefTimeFromTimestamp($times);
		  $table_content .= $this->output->getEndCell();
		  
		  
		  foreach ($date_period as $day => $val) {
			
			  $date = $val['date'];
			  $date_key = $val['date']['year'] . '-' . $val['date']['month'] . '-' . $val['date']['day'];
			
			  foreach ($view_users as $user_id => $user_detail) {
			  
				  $date_start = date('Y-m-d', mktime(0,0,0,$date['month'], $date['day'], $date['year'])) . '-' . date('H-i', $times);
				  //create the new link by specificed date for each user
				  $new_link = str_replace('%date%',$date_start, $new_link_href);
				  $new_link = str_replace('%user_id%', $user_id , $new_link);
				  $new_link = str_replace('%contact_id%', '0', $new_link);
				  //display new link for each user
				  $table_content .= $this->output->getBeginCell(1, 'calDWNewCell');
				  $table_content .= $this->output->getLinkHref(array('href' => $new_link , 'text' => '+',  'title' => 'Create an new appointment for ' . $user_detail['username'] 
													. ' at ' . $SERVICES->datelib->getUserPrefTimeFromTimestamp($times) . ' on ' .  date('l', mktime(0,0,0,$date['month'], $date['day'], $date['year']))));
				  $table_content .= $this->output->getEndCell();
				  //gets the max overlap of appointments on one day so that the program will decide how many col will each user takes up
				  $col_span = $data_loading[$date_key][$user_id]['max_user_overlap'];
				  
				  if (!$col_span ) {
					  $col_span = 1;
				  }
				  
				  $appointment_keys = $data_loading[$date_key][$user_id]['time_slot'][$cal_time];
				  
				  /*****display appointment begin*****/
				  //displays appointment if there is any appointment on that day for each user 
				  if ($appointment_keys) {
					  
					  $num = count($appointment_keys);
					  $col_span = $col_span -$num;
					  
					  foreach ($appointment_keys as $key => $row_span) {
						  
						  if ($row_span) {						
							  
								$cell_item = $data_loading[$date_key][$user_id]['apps'][$key];
								
								//builds display elements
								//adjusts the layout
								//$this->output->addTagContent('calDWAppCell', 'width', '140' );
								$this->output->addTagContent('calDWAppCell', 'rowspan', $row_span);
								$table_content .= $this->output->getBeginCell(1, 'calDWAppCell');
								$this->output->resetTagContent('calDWAppCell');
								//displays the appointment with link so that user can view the detail of appointments by clicking on it
								
								// Phil 20060524 formatted and added status
								// Display Category, Title (view link), Status, Date From and To
								// print_r($cell_item); print '<hr>';
								if (isset($cell_item['category_name']) && $cell_item['category_name']) { 
									$table_content .= $cell_item['category_name'] . ': '; 
								}
								
								if (isset($cell_item['status_name']) && $cell_item['status_name']) { 
									$table_content .= $cell_item['status_name'];
									
								}
								
								if ( (isset($cell_item['category_name']) && $cell_item['category_name']) || (isset($cell_item['status_name']) && $cell_item['status_name'])) {
									$table_content .= '<br>';
								}
								
								// Phil 20070426
								if (isset($cell_item['type_name']) && $cell_item['type_name']) { 
									$table_content .= $cell_item['type_name'];
									$table_content .= '<br>';
								}
								
								if (in_array($cell_item['item_id'], $alert_ids)) {
									$table_content .= $this->output->getFlagAlert() . ' ';
								}
								$table_content .= $this->output->getLinkHref( array('href' => str_replace('%id%', $cell_item['item_id'] , $this->getFileSetHref('view') ), 'text' => $cell_item['title']) );
								$table_content .= '<br>';
								
								if ($this->showItemContent() && isset($cell_item['content']) && $cell_item['content']) {
									$table_content .= $cell_item['content'];
									$table_content .= '<br>';
								}
								
								
								$table_content .= $L['calendarTextFrom'] . ':&nbsp;' . $SERVICES->datelib->getUserPrefDateFromTimestamp($cell_item['date_start']) . ',&nbsp;' . $SERVICES->datelib->getUserPrefTimeFromTimestamp($cell_item['date_start']);
								$table_content .= '<br>';
								
								$table_content .= $L['calendarTextTo'] .':&nbsp;' .  $SERVICES->datelib->getUserPrefDateFromTimestamp($cell_item['date_start']) . ',&nbsp;' . $SERVICES->datelib->getUserPrefTimeFromTimestamp($cell_item['date_end']);
								$table_content .= '<br>';
								
								
								// if (isset($cell_item['_contact_id_display_name']) && $cell_item['_contact_id_display_name']) { 
									// $table_content .= $cell_item['_contact_id_display_name'];
									// $table_content .= '<br>';
								// }
								if (isset($cell_item['_contact_id_id']) && $cell_item['_contact_id_id']) { 
									if (isset($cell_item['_contact_id_display_name']) && $cell_item['_contact_id_display_name']) { 
										$table_content .= $this->output->getLinkContact(array('id' => $cell_item['_contact_id_id'], 'display_name' => $cell_item['_contact_id_display_name']));
									} else {
										$table_content .= $this->output->getLinkContact($cell_item['_contact_id_id']);
									}
									$table_content .= '<br>';
								}
								
								if ($this->showContactDetails()) {
									
									// Phil 20061019 For displaying an extra contact field (eg custom fields)
									if (isset($cell_item['__other_contact_info']) && $cell_item['__other_contact_info']) { 
										$table_content .= $cell_item['__other_contact_info'];
										$table_content .= '<br>';
									}
									
									if (isset($cell_item['_AddressPhone__item_content']) && $cell_item['_AddressPhone__item_content']) { 
										$table_content .= $cell_item['_AddressPhone__item_content'];
										$table_content .= '<br>';
									}
									
									if (isset($cell_item['__other_phone_numbers']) && $cell_item['__other_phone_numbers']) { 
										$table_content .= $cell_item['__other_phone_numbers'];
										$table_content .= '<br>';
									}
									
									
									
									if (isset($cell_item['_AddressPostal__item_display_name']) && $cell_item['_AddressPostal__item_display_name']) { 
										$table_content .= $cell_item['_AddressPostal__item_display_name'];
										// $table_content .= '<br>';
									}
								}
								$table_content = trim($table_content, '<br>');
								$table_content .= $this->output->getEndCell();
				
						  }
					  }
					  /*****display appointment ends*****/
					  
					  //dispalys the rest of cells if the number of overlap appointments dosn;t reach maxmum 
					  while ($col_span > 0) {
						  $table_content .= $this->output->getBeginCell(1 , 'calDWBlankCell');
						  $table_content .= "&nbsp;" ;
						  $table_content .= $this->output->getEndCell();
						  
						  $col_span = $col_span - 1;
					  }
				
				  }	else {
					  //displays empty cell if there is no appointment to display
					  $per_width = 100/count($view_users);
					  $cell_width = "$per_width%";
					  
					  $this->output->addTagContent('calDWBlankCell', 'width', $cell_width);
					  $table_content .= $this->output->getBeginCell($col_span, 'calDWBlankCell');
					  $table_content .= "&nbsp;";//$col_span ;
					  $table_content .= $this->output->getEndCell();
					  $this->output->resetTagContent('calDWBlankCell');       
				  }
			  }
			 $this->output->addTagContent('calDWBlankCell', 'width', '200');
			 $table_content .= $this->output->getBeginCell(1, 'calDWEmptyCell');
			 $this->output->resetTagContent('calDWBlankCell');
			 $table_content .= '&nbsp;';
			 $table_content .= $this->output->getEndCell();
		  }
		  
		  $table_content .= $this->output->getEndRow();
		  
		  //goes to next time period.
		  $times=strtotime('+' . $data_loading['span_period'] . ' seconds' , $times);
		}
		
		$table_content .= $this->output->getBeginRow();
		$table_content .= $this->output->getBeginCell(1, 'calDWEmptyCell');  
		$table_content .= '&nbsp;';
		$table_content .= $this->output->getEndCell();
		$table_content .= $this->output->getEndRow();
		
		$table_content .= $this->output->getEndTable();
		$table_content .= $this->output->getEndCell();
		
			
		$table_content .= $this->output->getEndRow();
		
		return $table_content;
	}
	
	/**
	 * Whether to show Contact details (phone, address)
	 *
	 * @return boolean
	 * @author Phil Calder
	 */
	function showContactDetails() {
		// TODO: config seting, user preference, query string flag, only for print view
		return true;
	}
	/**
	 * Whether to show Calendar content field (as well as title)
	 *
	 * @return boolean
	 * @author Phil Calder
	 */
	function showItemContent() {
		// TODO: config seting, user preference, query string flag, only for print view
		return true;
	}
	
	/**
	 * Gets the time setting
	 * 
	 * A custom function to get time period for calendar to display 
	 * from settings table
	 * 
	 * @param N/A
	 * @return array an array of start time, end time and span period values
	 */
	function getTimeSetting() {
		global $USER;
		//gets setting from setting table
		$db_functions =& $this->mod->getDatabaseTable('settings');
		
		$item = $db_functions->getItems('','','creator_id=' . $USER['id']);
		
		if (!$item) {
			//sets the default time period if user dosn't set his own time setting 
			$r_value =  array(
				'time_start' => array('hour' => '08', 'min' => '00'),
				'time_end' => array('hour' => '18', 'min' => '00'), //mktime($end_time_pieces[0], $end_time_pieces[1], 0),
				'span_period' => 3600
			);
			
		} else {
			$item = current($item);
			$start_time_pieces = explode(':', $item['day_starts']);
			$end_time_pieces = explode(':', $item['day_ends']);
			
			$r_value = array(
				'time_start' => array('hour' => $start_time_pieces[0], 'min' => $start_time_pieces[1]),
				'time_end' => array('hour' => $end_time_pieces[0], 'min' => $end_time_pieces[1]), //mktime($end_time_pieces[0], $end_time_pieces[1], 0),
				'span_period' =>$item['slot']
			);
		}
		
		return $r_value;
	}
  
	/**
	 * Gets the date period
	 * 
	 * A custom function to get date period for calendar to display 
	 * 
	 * @param N/A
	 * @return array an array of date values and links for each day
	 */
	function getPeriod() {
		global $SERVICES , $BCRM_DOCUMENT_ROOT;
		
		// Gurdeep [20050822] Added a variable of array type. if any condition is set to true then the array will contain a value, else an empty array will be returned.
		$r_value = array();
		
		//prepare link
		$link_href = $this->getFileSetHref('display_by_custom');
		$link_href = str_replace('%type%', 1, $link_href );
		$link_href = str_replace('&view_user=%view_all%','', $link_href );
		//gets today if there is no specificed time passed to the form_values
		if ($this->form_values['date']) {
			$date_pieces = explode("-", $this->form_values['date']);
			$display_date = mktime(0,0,0,$date_pieces[1],$date_pieces[2],$date_pieces[0]); 
		} else {
			$display_date = time();
			// Phil 20060327 Corrected date calculation for user
			$display_date = $SERVICES->offsetTimezoneForRead($display_date);
		}
		
		//foms array according to the displaying time     type:  1->day  2->week
		switch ($this->form_values['type']) {
		
		case 1: //display by day     
			$link_date = date('Y-m-d', $display_date);
			$link_href_custom = str_replace('%date%',$link_date, $link_href );
			$day = date('l' , $display_date);
			$r_value = array(
			date('l' , $display_date) => array(
				'date' => array( 'year' =>date( 'Y', $display_date), 
					'month' =>date( 'm', $display_date), 
					'day' =>date( 'd', $display_date)
				), //date( 'Y-m-d', $display_date),
				'link' => $this->output->getLinkHref( array('href' => $link_href_custom, 'text' => "$day") )
			)	
			);
			
			return $r_value;
			
		case 2: //display by week
			// Phil 20070221 Uses user pref for week start (default is/was Sunday)
			$preferred_first_day_of_week = $this->getUsersPreferredWeekStart();
			$current_days_from_sunday = date('w' , $display_date);
			$offset = ($current_days_from_sunday - $preferred_first_day_of_week);
			if ($offset < 0) {
			  $display_date = strtotime('-' . (7) . ' days' , $display_date);
			  $current_days_from_sunday = date('w' , $display_date);
			}
			
			$first_day_adjustor = '-';
			if ($offset < 0) {
				$first_day_adjustor = '+';
				$offset = abs($offset);
			}
		  
			$first_day_of_week=strtotime($first_day_adjustor . ($offset) . ' days' , $display_date);
			
			$r_value = array();
			
			for ($i = 0; $i< 7; $i = $i + 1) {
				$date = strtotime("+$i days" , $first_day_of_week);
				$link_date = date('Y-m-d' , $date);
				$day = date('l' , $date);
				$r_value[$day]['date'] = array( 
					'year' =>date( 'Y', $date),
					'month' =>date( 'm', $date),
					'day' =>date( 'd', $date)
				); 
				$link_href_custom = str_replace('%date%',$link_date, $link_href );
				$r_value[$day]['link'] = $this->output->getLinkHref( array('href' => $link_href_custom, 'text' => "$day") );					
			}
			return $r_value;
		}
		
		// Gurdeep [20050822] Added a code to return empty array if all above conditionsare false
		return $r_value;	
	}
  
	/**
	 * Gets the users to view
	 * 
	 * @param N/A
	 * @return array an array of user detail and access permission
	 */
	function getViewUsers() {
		global $USER, $SERVICES,$L;
		$ua =& $SERVICES->getService('Authentication');
		// $all_users = $ua->users->getUsersList();
		$all_users = $ua->users->getAllUsersList(); // Phil 20070130 include deleted users and resources
		$db_functions =& $this->mod->getDatabaseTable($this->module_name . '__access');
		
		if (is_numeric($this->form_values['view_user'])) {
			$user_id = $this->form_values['view_user'];
			$access = $this->mod->getAccess($user_id, $USER['id']);
			if ($access) {
				$view_users[$user_id]['username'] = $all_users[$user_id];
				$view_users[$user_id]['access']   = $access;
			} else {
				quickPage($L['errNoPermissions'] . '<br> <br> ');
				exit();
			}
		} else {
			
			$items = $db_functions->getViewUsers(true); // Phil 20061025 Added arg (get selected users only)
			$view_users = array();
			if ($items) {
					foreach ($items as $key => $access_item) {
						// Phil 20060505 Check that user exists
						if (isset($all_users [$access_item['creator_id']]) && $all_users [$access_item['creator_id']]) {
							$view_users[$access_item['creator_id']]['username'] = $all_users [$access_item['creator_id']];
							$view_users[$access_item['creator_id']]['access'] = $access_item['access'];
						}
					}
				} else {
					//sets default user as the user itself
					$view_users[$USER['id']]['username'] = $USER['username'];
					$view_users[$USER['id']]['access'] = 3;
			}
			
		}
		return $view_users;
	}
  
	/** 
	 * Loads data from database by period, users span_period, start time and end time.
	 * @return array formatted data can be retrieved while displaying the calendar.
	 */
	function loadData($date_period , $view_users, $time_setting) { //$time_start , $time_end , $span_period) {
		global $SERVICES; 
		$lang =& $SERVICES->getService('Language');
		
		// $db_functions =& $this->mod->getDatabaseTable($this->module_name . '__item_user');
		// $db_functions_category =& $this->mod->getDatabaseTable( $this->module_name . '__category_dropdown');
		
		$data_loading =array();
		$items=array();
			
		//set default time period shown in the day or week calendar
		$st_hour=  $time_setting['time_start']['hour'];
		$st_min=  $time_setting['time_start']['min'];
		$ed_hour =  $time_setting['time_end']['hour'];
		$ed_min =  $time_setting['time_end']['min'];
		$span_period = $time_setting['span_period'];
		$cur_st=0;
		$cur_ed=0;
		
		foreach ($date_period as $day => $val) {
			$date = $val['date'];
	  
			$v1 = $SERVICES->offsetTimeZoneForWrite(mktime(0, 0, 0, $date['month'], $date['day'], $date['year'])); //$date_pieces[1],$date_pieces[2],$date_pieces[0]));
			$v2 = $SERVICES->offsetTimeZoneForWrite(mktime(23,59,59, $date['month'], $date['day'], $date['year']));
			
			//get the start time and end time on the current day
			$cur_st = mktime($st_hour, $st_min, 0, $date['month'], $date['day'], $date['year']);
			$cur_ed = mktime($ed_hour, $ed_min, 0, $date['month'], $date['day'], $date['year']);
			
			// echo '<br>From ' . date('Y-m-d, H:i', $cur_st) .' to ' . date('Y-m-d, H:i', $cur_ed) . '<br>';
			$items = $this->db_functions->getPeriodItems($view_users, $v1, $v2);
			
			if ($items) {
				foreach ($items as $key=> $item) {
					// print_r($item); print '<hr>';
					if (isset($item['category_name']) && $item['category_name'] && (substr($item['category_name'], 0, 2) == '__') ) {
						$item['category_name'] = $lang->getLanguageText(substr($item['category_name'], 2), 'Calendar');
					}
					
					// Phil 20060524
					if (isset($item['status_name']) && $item['status_name'] && (substr($item['status_name'], 0, 2) == '__') ) {
						$item['status_name'] = $lang->getLanguageText(substr($item['status_name'], 2), 'Calendar');
					}
					
					// Phil 20070426
					if (isset($item['type_name']) && $item['type_name'] && (substr($item['type_name'], 0, 2) == '__') ) {
						$item['type_name'] = $lang->getLanguageText(substr($item['type_name'], 2), 'Calendar');
					}
					
					$item['date_start'] = $SERVICES->offsetTimeZoneForRead($item['date_start']);
					$item['date_end'] = $item['date_start']+$item['duration'];
					
					//  $item['time_start_slot'] = $cur_st + (intval(($item['date_start'] - $cur_st) / $span_period) * $span_period);
					// $item['time_end_slot'] = $cur_st + (intval(($item['date_end'] - $cur_st) / $span_period) * $span_period);
					
					// $item['date_start_display'] = date('Y-m-d, H:i', $item['date_start']);
					// $item['date_end_display'] = date('Y-m-d, H:i', $item['date_end']);
					
					//  $item['time_start_slot_display'] = date('Y-m-d, H:i', $item['time_start_slot']);
					// $item['time_end_slot_display'] = date('Y-m-d, H:i', $item['time_end_slot']);
					
					//echo $cur_st . '  ' . $cur_ed . '<br>';
					// echo $item['item_start_slot'] . '    ' . $item['item_end_slot'] . '<br>';
					
					if (date('Ymd', $item['date_start']) != date('Ymd', $item['date_end'])) {
						//adjust the start time of appointment to the current day if it is on the previous day  
						// needs to pay attention on the condition in the future development
						if (date('Ymd' , $item['date_start']) != $date['year'] . $date['month'] . $date['day'] &  ($st_hour != '00'  ||  $st_min != '00')) {
							$st_hour = '00';
							$st_min =  '00';
							$cur_st = mktime($st_hour, $st_min, 0, $date['month'], $date['day'], $date['year']);
							//$item['time_start_slot'] = $cur_st;
						}
						
						
						//adjust the end time of appointment to the current day if it is on the next day
						if (date('Ymd' , $item['date_end']) != $date['year'] . $date['month'] . $date['day']  & ($ed_hour != '23'  || $ed_min != '59')) {
							$ed_hour =  '23';
							$ed_min =  '59';
							$cur_ed = mktime($ed_hour, $ed_min, 0, $date['month'], $date['day'], $date['year']);
							//$item['time_end_slot'] = $cur_ed + 1 - $span_period;
						}
					}
					  
					//adjust the start time of display period if the start time of one of appointments is earlier than it.
					if ($cur_st > $item['date_start'] &  ($st_hour != '00'  ||  $st_min != '00')) {
					//echo 'begin: ' . $cur_st . ' ' . date('Y/m/d, H:i', $cur_st)  . '------' . $item['date_start'] . ' ' . date('Y/m/d, H:i', $item['date_start'])  .' change to ';
						if ( date('H', $item['date_start']) == '00' ) {
							$cur_st = mktime(0, 0, 0, $date['month'], $date['day'], $date['year']);
						} else {
							$cur_st = $cur_st - (intval(($cur_st - $item['date_start'])  / $span_period) + 1 ) * $span_period;
						}
						//echo $cur_st . ' ' . date('Y/m/d, H:i', $cur_st) . '<br>';
						//$item['time_start_slot'] = $cur_st;
						//$cur_st = $item['time_start_slot'];
						$st_hour =  date('H' , $cur_st);
						$st_min = date('i' , $cur_st);
					}
					
					//adjust the end time of display period if the end time of one of appointments is later than it.						  
					if ($cur_ed < $item['date_end'] &  ($ed_hour != '23'  ||  $ed_min != '59')) {
						//echo 'end: ' . $cur_ed . date('Y/m/d, H:i', $cur_ed) . '------' . $item['date_end'] . ' ' . date('Y/m/d, H:i', $item['date_end']) . ' change to ';
						$cur_ed = $cur_st + intval( ($item['date_end'] - $cur_st) / $span_period) * $span_period;
						//echo $cur_ed . ' ' . date('Y/m/d, H:i', $cur_ed) . '<br>';
						// $item['time_end_slot'] = $cur_st;
						//$cur_ed = $item['time_end_slot'];
						$ed_hour =  date('H' , $cur_ed);
						$ed_min =  date('i' , $cur_ed);
					}
					
					$data_loading[$date['year'] .'-' . $date['month'] . '-' . $date['day']][$item['user_id']]['apps'][$item['item_id']]=$item;
				}
			}
		}
		
		$st_hour = date('H', $cur_st); 
		$st_min = date('i', $cur_st);
			
		$ed_hour = date('H', $cur_ed);
		$ed_min = date('i', $cur_ed);
		
		foreach ($data_loading as $date => $user_ids) { //loop 1 start
			$date_pieces = explode("-", $date);
			
			$cur_st = mktime($st_hour, $st_min, 0, $date_pieces[1], $date_pieces[2], $date_pieces[0]);
			$cur_ed = mktime($ed_hour, $ed_min, 0, $date_pieces[1], $date_pieces[2], $date_pieces[0]);
		
			foreach ($user_ids as $user_id => $apps) { // loop 2 start
				foreach ($apps['apps'] as $app_key =>$app) { // loop 3 start
					
					$item_st = $cur_st + ((intval(($app['date_start'] - $cur_st) / $span_period)) * $span_period);
					
					$pre_key = 0;
					
					if ($app['duration'] == 0 ) {
						$time_key = date('H:i',($item_st));
						$data_loading[$date][$user_id]['time_slot'][$time_key][$app['item_id']] = 1;
					} else {
						for ($t = $item_st; $t < $app['date_end']; $t = $t + $span_period) {
							if ($t< $cur_st) {
								continue;
							}
							
							if ($t > $cur_ed) {
								break;
							}
							  
							$time_key = date('H:i',($t));
							// //echo $time_key;
							if (!$pre_key) {
								$pre_key = $time_key;
							}
							$data_loading[$date][$user_id]['time_slot'][$time_key][$app['item_id']] = 0;
							$data_loading[$date][$user_id]['time_slot'][$pre_key][$app['item_id']]++;
						}
					}
				} //loop 3 start
				
				$max_user_overlap = 1; //stores the max number of overlap of one user in one day
				if ($data_loading[$date][$user_id]['time_slot']) {
					foreach ($data_loading[$date][$user_id]['time_slot'] as $time_key => $key) { // inner loop start
						$num = count($key); 
						if ( $num > $max_user_overlap) {
							$max_user_overlap = $num;
						}
					} //inner loop end
							 
					$data_loading[$date][$user_id]['max_user_overlap'] = $max_user_overlap;
				}
			} //loop 2 end
		} //loop 1 end
		
		$data_loading['time_start'] = array( 
			'hour' => date('H', $cur_st),
			'min' => date('i', $cur_st)
		);
			   
		$data_loading['time_end'] = array( 
			'hour' => date('H', $cur_ed),
			'min' => date('i', $cur_ed)
		);
		
		$data_loading['span_period'] = $time_setting['span_period'];
		
		return $data_loading;
	}
		
	//function that return the processed data_loading array 
	function getNavigationBar($date_period) {
		global $SERVICES, $L;
		$link_href = $this->getFileSetHref('display_by_custom');
		$link_href = str_replace('%type%', $this->form_values['type'] , $link_href );
		$cur = current($date_period);
		$end = end($date_period);
		
		$cur_date_stamp = mktime(0, 0, 0, $cur['date']['month'], $cur['date']['day'], $cur['date']['year']);
		
		$end_date_stamp = mktime(0, 0, 0, $end['date']['month'], $end['date']['day'], $end['date']['year']);
		
		$left_date = date('Y-m-d' , strtotime("-1 days" , $cur_date_stamp));
		$right_date = date('Y-m-d', strtotime("+1 days" , $end_date_stamp));
		
		$left_link = str_replace('%date%',$left_date, $link_href );
		$right_link = str_replace('%date%',$right_date, $link_href);
		
		if (is_numeric($this->form_values['view_user'])) {
			$left_link = str_replace('%view_all%',$this->form_values['view_user'], $left_link );
			$right_link = str_replace('%view_all%', $this->form_values['view_user'], $right_link);
		}
		
		$nav = array (
			'left_link'  => $this->output->getLinkHref( array('href' => $left_link , 'text' => "<<") ),
			'right_link'  => $this->output->getLinkHref( array('href' => $right_link , 'text' => ">>") )
		);
		
		switch ($this->form_values['type']) {
			case 1 :
			  $nav['text'] = $SERVICES->datelib->getUserPrefDateFromTimestamp($cur_date_stamp);
			  return $nav;
			case 2 :
			  $nav['text'] = $L['calendarTextFrom'] . '&nbsp;' . $SERVICES->datelib->getUserPrefDateFromTimestamp($cur_date_stamp) . '&nbsp;' . $L['calendarTextTo']  . '&nbsp;' . $SERVICES->datelib->getUserPrefDateFromTimestamp($end_date_stamp);
			  return $nav;			
		}
		return false;
	}
}
?>