<?php
/**
 * The main class for this module
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Calendar
 */

includeModule('Calendar', 'inc/database_tables.inc');

class Calendar extends WebMATModule {
	
	function Calendar() {
		$this->module_name = 'Calendar';
		$this->WebMATModule();
		$this->setSharedVars();
	}
		
	function getAccess($creator_id, $user_id) {
		if (!$creator_id || !$user_id) {
			return 0;
		}
		
		 if ($creator_id == $user_id) {
			return 3;
		 }
		
		 $db_functions =& $this->getDatabaseTable('access');
		 $result = $db_functions->getItems('', '', "creator_id=$creator_id AND user_id=$user_id AND active=1");
		 
		 if ($result) {
			 $item = current($result);
			 return $item['access'];
		 } else {
			 return 0;
		 }
	}
	
	function quickGetDatabaseTable($table_name, $filters) {
		$db_functions =& $this->getDatabaseTable($table_name);
		$db_functions->setDesignTimeFilters($filters);
	    return $db_functions;
	}
	
	function quickGetItems($table_name, $filters = array()) {
		$db_functions = $this->quickGetDatabaseTable($table_name, $filters);
		return $db_functions->getItems();
	}
	
	function setSharedVars() {
		global $L;
		
		$this->shared_vars['alert_in_advance'] = array
		('-1' => $L['NoAlert'],
		'0' => $L['calendarStartAlertAtStartTime'],
		'300' => '5 ' . $L['Minutes'],
		'600' => '10 ' . $L['Minutes'],
		'900' => '15 ' . $L['Minutes'],
		'1200' => '20 ' . $L['Minutes'],
		'1800' => '30 ' . $L['Minutes'],
		'2700' => '45 ' . $L['Minutes'],
		'3600' => '60 ' . $L['Minutes'],
		'7200'=> '2 ' .  $L['HoursFull'],
		'10800' => '3 ' . $L['HoursFull'],
		'14400' => '4 ' . $L['HoursFull'],
		'18000' => '5 ' . $L['HoursFull'],
		'21600' => '6 ' . $L['HoursFull'],
		'43200' => '12 '. $L['HoursFull'],
		'86400' => '1 ' . $L['DayFull'],
		'172800' => '2 ' . $L['DaysFull'],
		'259200' => '3 ' . $L['DaysFull'],
		'604800' => '7 ' . $L['DaysFull'],
		'1209600' => '14 '. $L['DaysFull']
		);
		
		$this->shared_vars['alert_end'] = array(
		'-1' => $L['calendarStopAlertManualOnly'],
		'0' => $L['calendarStopAlertAtStartTime'],
		'300' => '5 ' . $L['Minutes'],
		'600' => '10 ' . $L['Minutes'],
		'900' => '15 ' . $L['Minutes']
		);
		
	}
	
	function getSharedVars($variable_set) {
		return $this->shared_vars[$variable_set];
	}
}
?>