<?php
/**
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Calendar
 */
includeModule('Calendar', 'inc/common_list.inc');
class CalendarYearWebMATList extends CalendarCommonWebMATList {
	
	/**
	 * Disabled
	 */
	function getCheckboxMenuContent() {
		return false;
	}
	
	//disable the Description. Might be changed later
	function getDescriptionRow() {
		return '';
	}
    
	function getDataContent() {
		global $SERVICES, $L, $USER;
		$SERVICES->getService('DateLib');
		$SERVICES->getService('Preferences');
		
		$table_labels = array();
		$table_labels = $this->dd->getDataDictionary();
		$table_labels = $this->excludeCalculated($table_labels);
		$table_labels = $this->getSubTableHeader($table_labels, false);
		
		// Load view_users array
		$view_users = $this->getViewUsers();
		
		// Setup date based filtering
		if ($this->form_values['date']) {
			$current_date_str = $this->form_values['date']; // Y-m-d
			$current_date_pieces = explode('-' , $current_date_str);
			$current_date = mktime(0, 0, 0, $current_date_pieces[1], $current_date_pieces[2], $current_date_pieces[0]);
			$year = $current_date_pieces[0];
		} else {
			// Phil 20060327 Corrected date calculation for user
			$current_date = time();
			$current_date = $SERVICES->offsetTimezoneForRead($current_date);
			$current_date_str = date('Y-m-d' , $current_date); // Y-m-d
			$current_date_pieces = explode('-' , $current_date_str);
			$year = $current_date_pieces[0];
		}
		
		// Phil - Users preferred start month (1 - 12)
		$preferred_first_month = $this->getUsersPreferredYearStart(); 
		
		// Year (2) or month view
		if ($this->form_values['type'] == 4) { // pre version 5 - was 2
			// $period['start'] = 1;
			// $period['end'] = 12;
			$period['start'] = $preferred_first_month;
			$period['end'] = $preferred_first_month + 11;
			
			$period['year_view'] = 1;
		} else {
			$period['start'] = $period['end'] = $current_date_pieces[1];
			$period['year_view'] = 0;
		}
		
		
		/************drawing table begin***************/
		
		$table_content .= $this->output->getBeginRow();
		$table_content .= $this->output->getBeginCell('calDWBigTable');
		$table_content .= $this->output->getBeginTable('zeroTable');
		
		/***********navigation bar***********/ // Phil 20060307
		$nav = $this->getNavigationBar($current_date);
		$header_row = array(
			'date_range'=> array('label'=> $nav['left_link'] . ' ' . $nav['text'] . ' ' . $nav['right_link']), 
		);
		
		// Add extra header row cells if displaying year view (3 column)
		if ($this->form_values['type'] == 4) { // pre version 5 - was 2
			$header_row['_tmp1'] = ''; 
			$header_row['_tmp2'] = ''; 
		}
		$table_content .= $this->output->getHeaderRow($header_row);
		
		/***********calendar cells***********/
		
		//prepare links
		$list_link_href = $this->getFileSetHref('display_by_custom');
		$day_link_href = str_replace('%type%', 1, $list_link_href);
		$day_link_href = str_replace('&view_user=%view_all%','' , $day_link_href);
		
		$week_link_href = str_replace('%type%', 2, $list_link_href);
		$week_link_href = str_replace('&view_user=%view_all%','' , $week_link_href);
		
		$new_link_href = $this->getFileSetHref('edit_custom');
		$new_link_href = str_replace('%id%', '', $new_link_href );
		
		
		// ---------
		
		// Phil 20070221 Uses user pref for week start (default is/was Sunday)
		$preferred_first_day_of_week = $this->getUsersPreferredWeekStart();
		// print '<p>preferred_first_day_of_week ' . $preferred_first_day_of_week . '</p>';
		//here defined 1st Jan of each year as the day of the first week
		//get first Sunday of the year
		// $first_day_of_year = mktime(0, 0, 0, 1, 1, $current_date_pieces[0]);
		$first_day_of_year = mktime(0, 0, 0, $preferred_first_month, 1, $current_date_pieces[0]);
		$first_day_of_year_day_of_week = date('w', $first_day_of_year);
		
		if ($first_day_of_year_day_of_week > $preferred_first_day_of_week) {
			$yr_tmp_subtract = $first_day_of_year_day_of_week - $preferred_first_day_of_week;
			// print '<p>start of week one is a: ' . $first_day_of_year_day_of_week - $preferred_first_day_of_week . '</p>';
			// print '<div>year month: ' . date('m', $first_day_of_month) . ' ---</div>';
		} else if ($first_day_of_year_day_of_week == $preferred_first_day_of_week) {
			$yr_tmp_subtract = 0;
		} else {
			$yr_tmp_subtract = 7 + $first_day_of_year_day_of_week - $preferred_first_day_of_week;
			// print '<div>year month: ' . date('m', $first_day_of_month) . ' ---</div>';
		}
		
		
		// --------
			
		//date post from another page
		for ($month = $period['start']; $month<= $period['end'];  $month++){	
			
			$day_num = date('t' , mktime(0 , 0, 0, $month, 1 ,$current_date_pieces[0]));
		
			$first_day_of_month =  mktime(0, 0, 0, $month, 1 , $current_date_pieces[0]);
			$last_day_of_month =  mktime(23, 59, 0, $month, $day_num , $current_date_pieces[0]);
			
			//data loading for each month
			//$data_loading = $this->loadData($data_loading, $view_users, $first_day_of_month, $last_day_of_month);
			
			// if ($month % 3 == 1 ) {
				// $table_content .= $this->output->getBeginRow();
			// }
			// Phil - need to base this on preferred_first_month
			$month_of_year = 1 + (($month >= $preferred_first_month) ? ($month - $preferred_first_month) : (12 + $month - $preferred_first_month));
			// print '<p>preferred_first_month: ' . $preferred_first_month . ' month: ' . $month . ' month_of_year: ' . $month_of_year . '</p>';
			if (($month_of_year > 3) && (($month_of_year % 3) == 1) ) {
				// print '<div>begin row</div>';
				$table_content .= $this->output->getBeginRow();
			}
			
			//$this->output->addTagContent('calYMBigCell', 'width', '500');
			$table_content .= $this->output->getBeginCell(1, 'calYMBigCell');
			//$this->output->resetTagContent('calYMBigCell');
			
			/***********calendar***********/
			//$this->output->addTagContent('calCustomTable', 'width', '%33');
			//$table_content .= $this->output->getBeginTable('calCustomTable');
			//$this->output->resetTagContent('calCustomTable');
			
			$table_content .= $this->output->getBeginTable('calYMBigTable');
			if ($this->form_values['type'] == 4 ) {  // pre version 5 - was 2
				$table_content .= $this->output->getBeginRow( );
				$table_content .= $this->output->getBeginCell(8, 'calYMMonthCell');
				$month_link_href = $this->getFileSetHref('display_by_custom3');
				$date_start = date ('Y-m-d' , $first_day_of_month);
				$month_link_href = str_replace('%date%', $date_start , $month_link_href);
				$month_link_href = str_replace('%type%', 1, $month_link_href);
				$table_content .= $this->output->getLinkHref( array('href' => $month_link_href , 'text' => date('F' , $first_day_of_month)));
				$table_content .= $this->output->getEndCell();
				$table_content .= $this->output->getEndRow( );
			}
			
			$table_content .= $this->output->getBeginRow( );
			if ($this->form_values['type'] == 3) {  // pre version 5 - was 1
				$this->output->addTagContent('calYMWeekLabelCell', 'width', '9%');
			}
			$table_content .= $this->output->getBeginCell(1,  'calYMWeekLabelCell');
			$table_content .= 'Week';
			$this->output->resetTagContent('calYMWeekLabelCell');
			$table_content .= $this->output->getEndCell();
					
			//display week day from Sun to Sat. It doesn't really a matter of which date we use to calculate it.
			//$first_day_of_week=strtotime('-' . date('w' , $current_date) . ' days' , $current_date);
			
			if ($this->form_values['type'] == 3) { // pre version 5 - was 1
				$this->output->addTagContent('calYMWeekDayCell', 'width', '13%');
			}
			
			// Print days of week (eg Mon Tue Wed...) starting with users preferred first day
			// for ($i = 0; $i < 7; $i++) {
			for ($i = $preferred_first_day_of_week; $i < ($preferred_first_day_of_week + 7); $i++) {
				$table_content .= $this->output->getBeginCell(1, 'calYMWeekDayCell');
				$table_content .= date('D' , strtotime("+$i days", mktime(0, 0, 0, 1, 1, 1978)));
				$table_content .= $this->output->getEndCell();
			}
			$this->output->resetTagContent('calYMWeekDayCell');
					
			$table_content .= $this->output->getEndRow();
		
			/************week number calculation***********/
			
			$start_of_week_one = (7 + $first_day_of_year_day_of_week) - (7 + 1 - $preferred_first_day_of_week);
			
			$first_day_of_year_day_num = (date('z' , $first_day_of_year)); // 0 if first day of year in Jan 1st.
			$start_of_week_one_day_num = $first_day_of_year_day_num - $yr_tmp_subtract;
			
			$first_day_of_month_day_num = date('z', $first_day_of_month);
			$first_day_of_month_day_of_week = date('w', $first_day_of_month);
			$start_of_months_first_week_day_num = $first_day_of_year_day_num - $yr_tmp_subtract;
			
			if ($first_day_of_month_day_of_week > $preferred_first_day_of_week) {
				$mth_tmp_subtract = $first_day_of_month_day_of_week - $preferred_first_day_of_week;
				// print '<p>start of week one is a: ' . $first_day_of_year_day_of_week - $preferred_first_day_of_week . '</p>';
			} else if ($first_day_of_month_day_of_week == $preferred_first_day_of_week) {
				// do nothing
				$mth_tmp_subtract = 0;
			} else {
				// print '<div>(7+) month: ' . date('m', $first_day_of_month) . ' ---</div>';
				$mth_tmp_subtract = 7 + $first_day_of_month_day_of_week - $preferred_first_day_of_week;
			}
			$start_of_months_week_one_day_num = $first_day_of_month_day_num - $mth_tmp_subtract;
			// print '<div>year: ' . $current_date_pieces[0] . ', day_num: ' . $start_of_months_week_one_day_num . ' start_of_months_week_one date: ' . (date('Y-m-d', mktime(0,0,0,0,$start_of_months_week_one_day_num,$current_date_pieces[0]))) . '</div>';
			$tmp1_timestamp = (mktime(0,0,0,1,1,$current_date_pieces[0]) + (60 * 60 * 24 * $start_of_months_week_one_day_num));
			$tmp1_date = date('Y-m-d', $tmp1_timestamp);
			// print '<div>tmp1_timestamp: ' . $tmp1_timestamp . '</div>';
			// print '<div>tmp1_date: ' . $tmp1_date . '</div>';
			
			// print '<div>tmp: ' . ($start_of_months_week_one_day_num - $start_of_week_one_day_num) . '</div>';
			// print '<div>year week one starts on day: ' . $start_of_week_one_day_num . '</div>';
			// print '<div>month first week starts on day: ' . $start_of_months_week_one_day_num . '</div>';
			if ($start_of_months_week_one_day_num > $start_of_week_one_day_num) {
				// print '<div>greater</div>';
				$this_months_first_week_num = ceil( ($start_of_months_week_one_day_num - $start_of_week_one_day_num) / 7) + 1;
			} else if ($start_of_months_week_one_day_num == $start_of_week_one_day_num) {
				// print '<div>equal</div>';
				$this_months_first_week_num = ceil( ($start_of_months_week_one_day_num - $start_of_week_one_day_num) / 7) + 1;
			} else {
				// print '<div>less</div>';
				$this_months_first_week_num = ceil( 52 + (($start_of_months_week_one_day_num - $start_of_week_one_day_num) / 7)) + 1;
				// $this_months_first_week_num = 1;
			}
			$this_months_first_week_num = max($this_months_first_week_num, 1);
			// print '<div>first of this months day num is ' . $first_day_of_month_day_num . ' day of the year</div>';
			// print '<div>start of this months week one is the ' . $start_of_months_week_one_day_num . ' day of the year (' . $mth_tmp_subtract . ' days before 1st of month)</div>';
			// print '<div><strong>This months first week num = ' . $this_months_first_week_num . '</strong></div>';
			// print '<hr>'; 
						
			// if (date('w', $first_day_of_year) == 0) {
			// if (date('w', $first_day_of_year) == $preferred_first_day_of_week) {
				// $week_ref = 1;
				// $day_ref = 1;
			// } else {
				// $week_ref =2;
				// $day_ref =  1 + (7 - date('w', $first_day_of_year));  
			// }
			
			// if ($month == 1) {
				// $week_of_first_day = 1;
			// } else {
				// // original: 
				// $week_of_first_day = $week_ref + intval((date('z' , $first_day_of_month) + 1 - $day_ref) / 7);
			// }
			// original // $week = $week_of_first_day;
			
			$week = $this_months_first_week_num;
			
			$day = 1;
			$counter = 0;
			/******display day cells begin*****/
			while ($day <= $day_num) {
				$counter++;
				if ($counter > 60) { 
					break; // Always have a way of breaking out from a loop
				}
				//display week number
				$table_content .= $this->output->getBeginRow( );
				if ($this->form_values['type'] == 3) { // pre version 5 - was 1
					$this->output->addTagContent('calYMWeekNumberCell', 'height', '50');
				}
				$table_content .= $this->output->getBeginCell(1, 'calYMWeekNumberCell');
				$this->output->resetTagContent('calYMWeekNumberCell');
				$date_start=date('Y-m-d' , strtotime('+' . $day-1 . 'days' ,$first_day_of_month));
				$link_href = str_replace('%date%', $date_start , $week_link_href);
				$table_content .= $this->output->getLinkHref( array('href' => $link_href , 'text' => $week));
				$table_content .= $this->output->getEndCell();
				
				
				// for ($day_cal =0; $day_cal < 7; $day_cal++) {
				for ($day_cal = $preferred_first_day_of_week; $day_cal < ($preferred_first_day_of_week + 7); $day_cal++) {
					// print '<p>day_cal: ' . $day_cal . ' (day of week), day: ' . $day . '</p>';
					$cur_time_stamp = strtotime('+' . ($day - 1) . ' days', $first_day_of_month); 
					
					if ( date('w', $cur_time_stamp ) == ($day_cal % 7) && $day<=$day_num) {
						// print '<p>===== adding content, $cur_time_stamp: ' . $cur_time_stamp . ' [' . date('Y-m-d', $cur_time_stamp) . ']</p>';
						$table_content .= $this->getDayBigCell($day_link_href, $view_users, $cur_time_stamp, 'calYMDayBigCell');
						// print '<p>increment day [previous month]</p>';
						$day++;
					} else {
						//display days number which is not in the current month
						// Dont Display this if viewing a whole year.
						if (!$period['year_view']) {
							if ($day==1) {
								$subtract = -(date('w' , $first_day_of_month) + 7 - $day_cal + 1) % 7;
								$day_adjustor = '+';
								if ($subtract <= 0) {
									if ($subtract == 0) {
										$subtract = 5;
									}
									$day_adjustor = '-';
									$subtract = abs($subtract + 1);
								}
									
								$extra_time_stamp = strtotime($day_adjustor . $subtract . ' days', $first_day_of_month);
								// print '<p>[day: ' . $day . ', day_cal: ' . $day_cal . ']<br>dont increment day [a],<br>subtract: ' .$subtract . ',<br>first_day_of_month: ' . strtotime('', $first_day_of_month) . ', [date: ' . date('Y-m-d', strtotime('', $first_day_of_month)) . ']<br>extra_time_stamp: ' . $extra_time_stamp . ' [date: ' . date('Y-m-d', $extra_time_stamp) . ']</p>';
								
							} else {
								//display days number which is in the next month
								$extra_time_stamp = strtotime('+' . $day-1 . 'days' ,$first_day_of_month);
								$day++;
							}
							$table_content .= $this->getDayBigCell($day_link_href, $view_users, $extra_time_stamp, 'calYMExtraDayBigCell');
						} else {
							$table_content .= $this->output->getBeginCell(1, 'calYMNoDayBigCell');
							$table_content .= '&nbsp;';
							$table_content .= $this->output->getEndCell();
						}
					}
				}	
				$week++;			
			}
			
			$table_content .= $this->output->getEndRow( );
			
			$table_content .= $this->output->getEndTable();
			$table_content .= $this->output->getEndCell();
			
			// if ($month % 3 == 0 ) {
				// $table_content .= $this->output->getEndRow();
			// }
			// Phil - need to base this on preferred_first_month
			// print '<p>preferred_first_month: ' . $preferred_first_month . ' month: ' . $month . ' month_of_year: ' . $month_of_year . '</p>';
			if (($month_of_year > 3) && (($month_of_year % 3) == 0) ) {
				$table_content .= $this->output->getEndRow();
			}
		}
		/******display day cells end*****/
		
		$table_content .= $this->output->getEndTable();
		$table_content .= $this->output->getEndCell();
		$table_content .= $this->output->getEndRow();
		
		return $table_content;
	}
  
	function getDayBigCell($day_link_href, $view_users, $time_stamp, $tag_name) {
		global $SERVICES, $USER;
		$table_content = '';
		$date = date('Y-m-d' , $time_stamp);
		$year = date('Y', $time_stamp);
		$month = date('m', $time_stamp);
		$day = date('j', $time_stamp);
		$link_href = str_replace('%date%', $date , $day_link_href);
		  
		if ($date == date('Y-m-d' , time())) {
			$border_color = 'calYMToday';
		} else {
			$border_color = '';
		}
		
		$this->output->addTagContent($tag_name, 'class', $border_color );
		$table_content .= $this->output->getBeginCell(1, $tag_name);
		$this->output->resetTagContent($tag_name);
						
		$table_content .= $this->output->getBeginTable('zeroTable');
		
		//display day number
		$table_content .= $this->output->getBeginRow( );
		$table_content .= $this->output->getBeginCell(1, 'calYMDayNumberCell');
		$table_content .= $this->output->getLinkHref( array('href' => $link_href , 'text' => "$day"));
		$table_content .= $this->output->getEndCell();
		$table_content .= $this->output->getEndRow( );
		//gets data by specific date
		$result = $this->db_functions->getYMDItems($view_users, $year, $month, $day );								
		if ($result) {
			$view_user_link_href = $this->getFileSetHref('display_by_custom');
			$view_user_link_href = str_replace('%type%', 1 , $view_user_link_href );
			$view_user_link = str_replace('%date%', $date, $view_user_link_href );
			foreach ($view_users as $user_id => $username) {
				$table_content .= $this->output->getBeginRow();
				if ($result[$user_id]) {
					$bg_color = $SERVICES->preferences->getUserPref('calendarColorPicker', 'white', $user_id);
					$view_user_link = str_replace('%view_all%',$user_id, $view_user_link );
					$this->output->addTagContent('calYMAppCell', 'bgcolor', $bg_color);
					//$this->output->addTagContent('calYMAppCell', 'width', '50%');
					//$this->output->addTagContent('calYMAppCell', '', $bg_color);
					$table_content .= $this->output->getBeginCell(1, 'calYMAppCell'); //need bgcolor
					$this->output->resetTagContent('calYMAppCell');
					
					$title_text = $username; // default
					// Phil 20070710 - Can potentially display calendar items showing title and username, or just username
					$show_title = $this->getTitleFormat();
					$trim_length = 15;
					if ($show_title) {
						$title = $result[$user_id]['title'];
						$title = ( (strlen($title) > $trim_length) ? substr($title, 0, $trim_length) . '...' : $title);
						if (strlen($title)) {
							$title_text = $title . '<br />' . $username;
						}
					}
					
					$table_content .= $this->output->getLinkHref( 
						array(
							'class' => 'calYMLink', 
							'href' => $view_user_link, 
							'text' => $title_text, 
							'title' => str_replace('<br />', ' - ', $title_text)
						) 
					);
					
					$table_content .= $this->output->getEndCell();
				} else {
					$this->output->addTagContent('calYMNoAppCell', 'height', '0');
					$table_content .= $this->output->getBeginCell(1, 'calYMNoAppCell');
					$this->output->resetTagContent('calYMNoAppCell');
					$table_content .= '';
					$table_content .= $this->output->getEndCell();
				}
				$table_content .= $this->output->getEndRow();
			}
		} else {
			$table_content .= $this->output->getBeginRow();
			//$this->output->addTagContent('calYMNoAppCell', 'height', '0');
			$table_content .= $this->output->getBeginCell(1, 'calYMNoAppCell');
			//$this->output->resetTagContent('calYMNoAppCell');
			$table_content .= '';
			$table_content .= $this->output->getEndCell();
			$table_content .= $this->output->getEndRow();
		}
		$table_content .= $this->output->getEndTable();
		return $table_content;
	}
	
	function getTitleFormat() {
		if (isset($this->show_title) && ($this->show_title !== false) ) {
			return $this->show_title;
		}
		global $SERVICES;
		$config =& $SERVICES->getService('Config');
		$this->show_title = (boolean)$config->lookup('modules.Calendar.file_set.item.year_list.show_title');
		return $this->show_title;
	}
  
	function inversecolor($hexcode) {
		if(substr($hexcode, 0, 1) == "#") {
		$hexcode = substr($hexcode, -6);
		}
		$r = hexdec(substr($hexcode, 0, 2));
		$g = hexdec(substr($hexcode, 2, 2));
		$b = hexdec(substr($hexcode, 4, 2));
		
		$strColor = "#".dechex(255 - $r).dechex(255 - $g).dechex(255 - $b);
		return $strColor;
	}
		
	function getViewUsers(){
		global $USER, $SERVICES;
		$ua =& $SERVICES->getService('Authentication');
		$all_users = $ua->users->getUsersList(false, false, true, true); // Phil 20070130 include deleted users and resources
		
		$db_functions =& $this->mod->getDatabaseTable($this->module_name . '__access');
		$items = $db_functions->getViewUsers(true); // Phil 20061025 Added arg (get selected users only)
		
		$view_users = array();
		if ($items) {
			foreach ($items as $key => $access_item) {
				// Phil 20060505 Check that user exists
				if (isset($all_users [$access_item['creator_id']]) && $all_users [$access_item['creator_id']]) {
					$view_users[$access_item['creator_id']] =$all_users[$access_item['creator_id']]; 
				}
			}
		} else {
			$view_users[$USER['id']] = $USER['username'];
		}
		return $view_users;
	}
		
	function getNavigationBar($current_date) {
		global $SERVICES;
		$link_href = $this->getFileSetHref('display_by_custom3');
		if ($this->form_values['type'] == 4) { // pre version 5 - was 2
			$pre = mktime(0 , 0 , 0 ,  1 , 1 , date('Y' , $current_date) -1);
			$next = mktime(0 , 0 , 0 , 1 , 1 , date('Y' , $current_date) +1);
		} else {
			$pre = mktime(0 , 0 , 0 , date('m' , $current_date) -1, 1, date('Y', $current_date));
			$next = mktime(0 , 0 , 0 , date('m' , $current_date) +1, 1, date('Y', $current_date));
		}
		$left_date = $SERVICES->datelib->getUserPrefDateFromTimestamp($pre , 'Y-m-d' , '');
		$right_date = $SERVICES->datelib->getUserPrefDateFromTimestamp($next , 'Y-m-d' , '');
		
		$left_link = str_replace('%date%',$left_date, $link_href );
		$right_link = str_replace('%date%',$right_date, $link_href);
		
		$left_link = str_replace('%type%', $this->form_values['type'], $left_link);
		$right_link = str_replace('%type%', $this->form_values['type'], $right_link);
		
		$nav = array (
			  'left_link'  => $this->output->getLinkHref( array('href' => $left_link , 'text' => "<<") ),
			  'right_link'  => $this->output->getLinkHref( array('href' => $right_link , 'text' => ">>") )
			  );
		if ($this->form_values['type'] ==4) { // pre version 5 - was 2
			$nav['text'] = date('Y' , $current_date);
		} else {
			$nav['text'] = date('F Y', $current_date);
		}
		return $nav;
	}
}
?>