<?php
/**
 * The data definition for the item table
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Calendar
 */

global $SERVICES;
global $USER, $L;
$SERVICES->getService('Preferences');
$SERVICES->getService('DateLib');
//values for the dropdowns

$alert_in_advance = array(	
	'-2' => '',			//2005/05/25
	'-1' => $L['calendarNoAlertSetting'],
	'0' => $L['calendarStartAlertAtStartTime'],
	'300' => '5 ' . $L['Minutes'],
	'600' => '10 ' . $L['Minutes'],
	'900' => '15 ' . $L['Minutes'],
	'1200' => '20 ' . $L['Minutes'],
	'1800' => '30 ' . $L['Minutes'],
	'2700' => '45 ' . $L['Minutes'],
	'3600' => '60 ' . $L['Minutes'],
	'7200'=> '2 ' .  $L['HoursFull'],
	'10800' => '3 ' . $L['HoursFull'],
	'14400' => '4 ' . $L['HoursFull'],
	'18000' => '5 ' . $L['HoursFull'],
	'21600' => '6 ' . $L['HoursFull'],
	'43200' => '12 '. $L['HoursFull'],
	'86400' => '1 ' . $L['DayFull'],
	'172800' => '2 ' . $L['DaysFull'],
	'259200' => '3 ' . $L['DaysFull'],
	'604800' => '7 ' . $L['DaysFull'],
	'1209600' => '14 '. $L['DaysFull']
);

$duration_values = array(
	'900'  => '15 ' . $L['Minutes'],
	'1800' => '30 ' . $L['Minutes'],
	'2700' => '45 ' . $L['Minutes'],
	'3600' => '1 ' . $L['HourFull'],
	'7200'=> '2 ' .  $L['HoursFull'],
	'10800'=> '3 ' .  $L['HoursFull'],
	'14400'=> '4 ' .  $L['HoursFull'],
	'18000'=> '5 ' .  $L['HoursFull'],
	'21600'=> '6 ' .  $L['HoursFull'],
	'25200'=> '7 ' .  $L['HoursFull'],
	'28800'=> '8 ' .  $L['HoursFull'],
	'32400'=> '9 ' .  $L['HoursFull'],
	'36000'=> '10 ' .  $L['HoursFull'],
	'39600'=> '11 ' .  $L['HoursFull'],
	'43200'=> '12 ' .  $L['HoursFull'],
	
	// '86400'=> '1 ' .  $L['DayFull'],
	// '172800'=> '2 ' .  $L['DaysFull'],
	// '259200'=> '3 ' .  $L['DaysFull'],
	// '345600'=> '4 ' .  $L['DaysFull'],
	// '432000'=> '5 ' .  $L['DaysFull'],
	// '518400'=> '6 ' .  $L['DaysFull'],
	// '604800'=> '1 ' .  $L['WeekFull'],
	// '1209600'=> '2 ' .  $L['WeeksFull'],
	// '18144000'=> '3 ' .  $L['WeeksFull'],
);

$alert_end_length = array(
	'-2' => '',	// 20050525
	'0' => $L['calendarStopAlertManualOnly'],
	'300' => '5 ' . $L['Minutes'],
	'600' => '10 ' . $L['Minutes'],
	'900' => '15 ' . $L['Minutes']
);

$data_definition = array (
	'fields' => array(
		'id' => array('label'=>'', 'field_key'=>'id', 'type'=>'integer', 'hidden'=>1, 'field_priority' => 100),
		
		// the dropdown value from alert_in_advance for this field should be integers. 
     	// Need to fix the alert_in_advance table
		
		// the dropdown value from alert_end for this field should be integers.
		// Need to fix the alert_in_advance table
		
		'item_id' => array('label'=>'', 'field_key'=>'item_id', 'type'=>'integer', 'hidden'=>1, 'field_priority' => 101),
		'user_id' => array('label'=>$L['calendarFieldUsers'], 'field_key'=>'user_id','type'=>'multi_select', 'dropdown_values'=>'__USERSALL__', 'notnull'=>1, 'size' => 5, 'priority_edit' => 100, 'field_priority' => 102, 'disable_filter' => 1, 'allow_resources'=>1),
		'title' => array('label'=>$L['calendarFieldTitle'], 'field_key'=>'title', 'type'=>'text', 'notnull'=>1, 'max_length' => 128, 'display_name' => 1,'priority_edit' => 110, 'field_priority' => 103),	
		'category_id' => array('label'=>$L['calendarFieldCategory'], 'field_key'=>'category_id', 'type'=>'dropdown', 'dropdown_values'=>'__table(Calendar.category_dropdown)__', 'notnull'=>1, 'priority_edit' => 120, 'field_priority' => 104, 'config_key' => 'calendar_category_dropdown'),
		
		// Phil 20061002
		// config: calendar_type_dropdown 
		'type_id' => array('label'=>$L['calendarFieldType'], 'field_key'=>'type_id', 'type'=>'dropdown', 'dropdown_values'=>'__table(Calendar.type_dropdown)__', 'notnull'=>0, 'priority_edit' => 121, 'field_priority' => 105, 'config_key' => 'calendar_type_dropdown'),
		
		'content' => array('label'=>$L['calendarFieldDescription'], 'field_key'=>'content', 'type'=>'long_text','priority_edit' => 130, 'field_priority' => 105),
		
		'date_start' => array('label'=>$L['calendarFieldStart'], 'field_key'=>'date_start', 'type'=>'date_time','priority_edit' => 140, 'field_priority' => 106, 'notnull'=>1),
		'duration' => array('label'=>$L['calendarFieldDuration'], 'field_key'=>'duration', 'type'=>'dropdown','dropdown_values' =>$duration_values, 'notnull' => 1, 'priority_edit' => 150, 'field_priority' => 107),
		
		'creator_id' => array('label'=>'', 'field_key'=>'creator_id', 'type'=>'integer', 'hidden'=>1, 'priority_edit' => 190, 'field_priority' => 108),
		'created' => array('label'=>'', 'field_key'=>'created', 'type'=>'integer_date', 'hidden'=>1, 'field_priority' => 109),
		
		'contact_id' => array('label'=>$L['calendarFieldContact'], 'field_key'=>'contact_id', 'type'=>'contact', 'priority_edit'=>180, 'field_priority' => 110),
		
		// TODO - version 5 address format
		// 'AddressPhone__item.content' => array('label'=>'Phone', 'field_key'=>'AddressPhone__item.content', 'type'=>'text', 'foreign' => 1, 'priority_edit'=>185, 'field_priority' => 115, 'disable_filter' => 1),
		// 'AddressPostal__item.display_name' => array('label'=>'Address', 'field_key'=>'AddressPostal__item.display_name', 'type'=>'text', 'foreign' => 1, 'priority_edit'=>186, 'field_priority' => 116, 'disable_filter' => 1),	
		// 'Contact__item.phone1_c' => array('label'=>'Phone', 'field_key'=>'Contact__item.phone1_c', 'type'=>'text', 'foreign' => 1, 'priority_edit'=>185, 'field_priority' => 115, 'disable_filter' => 1),
		
		'alert_on' => array('label'=>$L['calendarFieldAlertOn'], 'field_key'=>'alert_on', 'type'=>'checkbox', 'list_values'=>array(0, 1, 2), 'field_priority' => 110),
		'alert_in_advance' => array('label'=>$L['calendarFieldAlertInAdvance'], 'field_key'=>'alert_in_advance', 'type'=>'dropdown', 'dropdown_values'=>$alert_in_advance, 'notnull'=>1, 'priority_edit' => 160, 'field_priority' => 111),
		'alert_end' => array('label'=>$L['calendarFieldAlertEnd'], 'field_key'=>'alert_end', 'type'=>'dropdown', 'dropdown_values'=>$alert_end_length, 'notnull'=>1,'priority_edit' => 170, 'field_priority' => 112),
		
		'last_update_user_id' => array('label'=>'', 'field_key'=>'last_update_user_id', 'type'=>'integer', 'hidden'=>1, 'priority_edit' =>200, 'field_priority' => 114),
		'last_update' => array('label'=>'', 'field_key'=>'last_update', 'type'=>'integer_date', 'hidden'=>1, 'priority_edit' =>210, 'field_priority' => 115),
		'event_information' => array('label'=>$L['calendarFieldUserStatus'], 'field_key'=>'event_information', 'type'=>'text', 'calculated'=>1, 'priority_edit' =>220, 'feld_priority' => 116)
	),
	'data_options' => array(
		'edit' => array(
			'method' => 'include',
			'values' => array('id', 'contact_id', 'date_start', 'duration', 'alert_in_advance', 'alert_end', 'user_id', 'category_id', 'type_id', 'title', 'content', 'created', 'creator_id', 'last_update_user_id', 'last_update'),
			'options' => array('exclude_hidden' => 0, 'dropdown_values' => 1)
		),
		
		'list' => array(
			'method' => 'include',
			// TODO
			// 'values' => array('category_id', 'type_id', 'title', 'date_start', 'date_end', 'user_id', 'creator_id', 'contact_id', 'AddressPhone__item.content', 'AddressPostal__item.display_name'),
			'values' => array('category_id', 'type_id', 'title', 'date_start', 'date_end', 'user_id', 'creator_id', 'contact_id'),
			// Bosco 20051129 | Added user_id in change_attributes and set type to 'text'
			'options' => array(
				array(
					'change_attributes'=>array(
						'field_key'=>'creator_id', 
						'type'=>'dropdown', 
						'label'=>$L['Creator'], 
						'dropdown_values'=>'__USERSALL__', 
						'hidden' => 0
					), 
					array(
						'field_key' => 'user_id', 
						'type' => 'text', 
						'field_priority' => 102, 
						'notnull' => 1
					)
				),
				'exclude_hidden' => 0, 
				'dropdown_values' => 1, 
				'exclude_foreign' => 0, 
				'exclude_calculated' => 0
			)
		),
		'view' => array(
			'method' => 'include',
			// TODO
			// 'values' => array('contact_id', 'AddressPhone__item.content', 'AddressPostal__item.display_name', 'title','content','date_start','duration','category_id', 'type_id', 'creator_id', 'last_update', 'last_update_user_id',  'event_information'),
			'values' => array('contact_id', 'title','content','date_start','duration','category_id', 'type_id', 'creator_id', 'last_update', 'last_update_user_id',  'event_information'),
			'options' => array(
				array(
					'change_attributes'=> array(
						'field_key'=>'last_update_user_id', 
						'type' => 'dropdown', 
						'dropdown_values'=>'__USERSALL__', 
						'label'=> $L['LastUpdatedBy'], 
						'hidden'=>0
					), 
					array(
						'field_key'=>'last_update', 
						'type' => 'date_time', 
						'label'=>$L['LastUpdated'], 
						'hidden'=>0
					),
					array(
						'field_key'=>'creator_id', 
						'type'=>'dropdown', 
						'label'=>$L['Creator'], 
						'dropdown_values'=>'__USERSALL__', 
						'hidden' => 0
					)
				), 
				'exclude_hidden' => 1, 'dropdown_values' => 1
			)
		),
		'search' => array(
			'method' => 'include',
			'values' => array('subject', 'body'),
			'options' => array('search_title' => 'title', 'dropdown_values' => 0, 'exclude_calculated' => 1)
		),
		'search_results' => array(
			'method' => 'include',
			'values' => array('category_id', 'title', 'date_start', 'user_id', 'creator_id', 'contact_id'),
			'options' => array(
				array(
					'change_attributes'=>array(
						'field_key'=>'creator_id', 
						'type'=>'dropdown', 
						'label'=>$L['Creator'], 
						'dropdown_values'=>'__USERSALL__', 
						'hidden' => 0
					), 
					array(
						'field_key' => 'user_id', 
						'type' => 'text', 
						'field_priority' => 102, 
						'notnull' => 1
					)
				)
				,
				'exclude_hidden' => 0, 
				'dropdown_values' => 1
			)
		),
		'desktop' => array(
			'method' => 'include',
			'values' => array('category_id', 'title', 'date_start', 'creator_id', 'type_id'), //, 'contact_id'),
			'options' => array(
				array(
					'change_attributes'=> array(
						'field_key'       => 'creator_id', 
						'type'            => 'dropdown', 
						'label'           => $L['Creator'], 
						'dropdown_values' =>'__USERSALL__', 
						'hidden'          => 0
					)
				),
				'exclude_hidden' => 0, 
				'dropdown_values' => 1
			)
		),
		
		// Removed 20060525
		// 'item_user_edit' => array(
			// 'method' => 'include',
			// 'values' => array('id','date_start','duration','alert_in_advance','alert_end','alert_on','user_id','category_id','title','content','created','status_id','creator_id'),
			// 'options' => array('exclude_hidden' => 0, 'dropdown_values' => 1)
		// ),
		
		'customise_calendar_times_edit' => array(
			'method' => 'include',
			'values' => array('day_starts', 'day_ends', 'slot'),
			'options' => array('exclude_hidden' => 0, 'dropdown_values' => 1)
		),
		
		'contact_view' => array(
			'method' => 'include',
			'values' => array('category_id', 'title', 'date_start', 'type_id'),
			'options' => array('exclude_hidden' => 0, 'dropdown_values' => 1)
		)
	)
);
?>