<?php
/**
 * Contains the User Preferences name and details
 *
 * Use this file to set up Company / User Preferences which are configured from 
 * Admin. This file is included by Front/preferences.php for User Preferences 
 * and UserAdmin/preferences.php for Company Preferences.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Company
 */

// use this file to set up Company / User Preferences which are configured from Admin
// this file is included by 
// Front/preferences.php for User Preferences
// and 
// UserAdmin/preferences.php for Company Preferences

global $SERVICES, $L;
	
$mod =& $SERVICES->modules->getModule("Company");
$prefs_items = array();

//When adding a new pref, you MUST insert the key and default value into the System.prefs_key table
//eg
/*
INSERT INTO `prefs_key` ( `id` , `pref_key` , `default_value` ) 
VALUES ( '', 'companyListSize', '10' );
*/


//
$options = array(
	'' => '', 
	'5' => '5', 
	'10' => '10', 
	'20' => '20', 
	'30' => '30', 
	'50' => '50', 
	'100' => '100', 
	'All' => $L['ListAll']
);

$prefs_items['companyindexListSize'] = dropDown(
	array(
		'type' => $options, 
		'name' => "data[companyindexListSize]", 
		'value' => getPref('companyindexListSize'), 
		'size' => 32, 
		'label' => $L['companyListSize']
	)
);


// Phil 200606 Deprecated, see Accounts
// $industry_db = new WebMATDropdown('Company', 'industry_dropdown');
// $items = $industry_db->getItems();
// $industry = array();
// $industry[] = '';
// if (is_array($items)) {
	// foreach ($items as $k => $v) {
		// $industry[$k] = $v['name'];
	// }
// }
// $prefs_items['companyIndustry'] = dropDown(array('type' => $industry, 'name' => "data[companyIndustry]", 'value' => getPref('companyIndustry'), 'size' => 32, 'label' => $L['companyIndustry']));
//

// Phil 200606 Deprecated, see Accounts
// $relationship_db = new WebMATDropdown('Company', 'relationship_dropdown');
// $items = $relationship_db->getItems();
// $relationship = array();
// $relationship[] = '';
// if (is_array($items)) {
	// foreach ($items as $k => $v) {
		// $relationship[$k] = $v['name'];
	// }
// }
// $prefs_items['companyRelationship'] = dropDown(array('type' => $relationship, 'name' => "data[companyRelationship]", 'value' => getPref('companyRelationship'), 'size' => 32, 'label' => $L['companyRelationship']));

// default constraint
$constraints = array(
	'0'      => $L['LabelNone'],
	'mine'   => $L['labelQfilterMine'],
	// 'alert'  => $L['labelQfilterAlert'], 
	'unseen' => $L['labelQfilterUnseen']
);
$prefs_items['companyDefaultConstraint'] = dropDown(
	array(
		'type' => $constraints, 
		'name' => "data[companyDefaultConstraint]", 
		'value' => getPref('companyDefaultConstraint'), 
		'size' => 32, 
		'label' => $L['DefaultConstraint']
	)
);

//add company rows array to global prefs_rows array
$pref_rows['Company'] = $prefs_items; 

?>