<?php
/**
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 */

includeModule('Company', 'inc/database_tables.inc');

/**
 * The main class for this module
 * 
 * @package Company
 * @author Phil Calder
 */
class Company extends WebMATModule {
	function Company() {
		$this->module_name = 'Company';
		$this->WebMATModule();
	}
	
	function getNewCompanyLink() {
		global $SERVICES;
		$SERVICES->getService('Modules');
		if ($contact =& $SERVICES->modules->getModule('Contact')) {
			return $contact->getNewCompanyLink();
		}
		return false;
	}
	
	function getNewPersonLink() {
		global $SERVICES;
		$SERVICES->getService('Modules');
		if ($contact =& $SERVICES->modules->getModule('Contact')) {
			return $contact->getNewPersonLink();
		}
		return false;
	}
	
	function getCompanyIdFromContact($contact_id) {
		
		$db_functions =& $this->getDatabaseTable('item');
		$db_functions->resetDesignTimeFilters(); // Phil 20050711
		$db_functions->setDesignTimeFilters(
			array(
				'contact_id'=>$contact_id, 
				'primary_record'=>1
			)
		);
		$item = $db_functions->getItem(false);
		
		return $item['id'];
	}
	
	function deleteCompanyByContactId($contact_id) {
		if ($company_id = $this->getCompanyIdFromContact($contact_id)) {
			$this->deleteCompany($company_id);
		}
	}
	
	function deleteCompany($id) {
		if ($db_functions =& $this->getDatabaseTable('item')) {
			$db_functions->deleteItem($id);
		}
		
	}
	
	// function contactCascadingDelete($id) {
		// print '<p>Company contactCascadingDelete(' . $id . ')</p>';
		// parent::contactCascadingDelete($id);
	// }
	
}
?>