<?php
/**
 * Contains the User Preferences name and details
 *
 * Use this file to set up Company / User Preferences which are configured from 
 * Admin. This file is included by Front/preferences.php for User Preferences 
 * and UserAdmin/preferences.php for Company Preferences.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Contact
 */

// use this file to set up Company / User Preferences which are configured from Admin
// this file is included by 
// Front/preferences.php for User Preferences
// and 
// UserAdmin/preferences.php for Company Preferences

global $SERVICES, $L;
$mod =& $SERVICES->modules->getModule("Contact");

$prefs_items = array();

//When adding a new pref, you MUST insert the key and default value into the System.prefs_key table
//eg
/*
INSERT INTO `System__prefs_key` ( `id` , `pref_key` , `default_value` ) 
VALUES ( '', 'contactListSize', '10' );
*/

// Used for various preferences	
$boolean_dropdown = array(
	'' => '', 
	'1' => $L['Yes'], 
	'0' => $L['No']
);


// Used for various preferences	
$options = array(
	'' => '',  
	'5' => '5', 
	'10' => '10', 
	'20' => '20', 
	'30' => '30', 
	'40' => '40', 
	'50' => '50', 
	'100' => '100', 
	'150' => '150', 
	'200' => '200', 
	'All' => $L['ListAll']
);

// --

$prefs_items['contactindexListSize'] = dropDown(
	array(
		'type' => $options, 
		'name' => "data[contactindexListSize]", 
		'value' => getPref('contactindexListSize'), 
		'size' => 32, 
		'label' => $L['contactListSize']
	)
);

// --

$created_options = array(
	'' => '', 
	'0' => $L['contactPrefNoAlerts'], 
	'1' => '1 ' . $L['DayFull'], 
	'2' => '2 ' . $L['DaysFull'], 
	'3' => '3 ' . $L['DaysFull'], 
	'4' => '4 ' . $L['DaysFull'], 
	'5' => '5 ' . $L['DaysFull'], 
	'6' => '6 ' . $L['DaysFull'], 
	'7' => '7 ' . $L['DaysFull'], 
	'14' => '14 ' . $L['DaysFull'], 
	'28' => '28 ' . $L['DaysFull'], 
	'All' => $L['contactPrefAnytime'], 
);

$prefs_items['contactCreatedLessThanDaysAgo'] = dropDown(
	array(
		'type' => $created_options, 
		'name' => "data[contactCreatedLessThanDaysAgo]", 
		'value' => getPref('contactCreatedLessThanDaysAgo'), 
		'size' => 32, 
		'label' => $L['contactShowAlertsOnlyForCreatedLessThanDaysAgo']
	)
);

// --

//Used for the contact selector
$prefs_items['contactcontact_selectorListSize'] = dropDown(
	array(
		'type' => $options, 
		'name' => "data[contactcontact_selectorListSize]", 
		'value' => getPref('contactcontact_selectorListSize'), 
		'size' => 32, 
		'label' => $L['contactSelectorListSize']
	)
);

// --

// Phil 20070620 - not used
// $name_format = array(
	// '' => '',
	// 'company_name: person_name' => $L['contactFieldCompanyName'] . ': ' . $L['contactFieldPersonName'], 
	// 'person_name: company_name' => $L['contactFieldPersonName'] . ': ' . $L['contactFieldCompanyName']
// );
// $prefs_items['cfgNameFormat'] = dropDown(
	// array(
		// 'type' => $name_format, 
		// 'name' => "data[cfgNameFormat]", 
		// 'value' => getPref('cfgNameFormat'), 
		// 'size' => 32, 
		// 'label' => '' . $L['frontNameFormat'] . ''
	// )
// );

//

// Used for various preferences	
$new_contact_type_dropdown = array(
	'' => '', 
	'0' => $L['contactFormPersonLabel'], 
	'1' => $L['contactFormCompanyLabel']
);

$new_contact_type = dropDown(
	array(
		'type' => $new_contact_type_dropdown, 
		'name' => "data[contactNewContactType]", 
		'value' => getPref('contactNewContactType'), 
		'size' => 32, 
		'label' => $L['contactPrefsNewContactType']
	)
);

$prefs_items['contactNewContactType'] = $new_contact_type;

// --
// Phil 200604 removed
// $contact_view_width = array(
	// '' => '',
	// '400' => 400, 
	// '500' => 500, 
	// '600' => 600, 
	// '700' => 700, 
	// '800' => 800, 
	// '900' => 900, 
	// '1000' => 1000, 
	// '1100' => 1100, 
	// '1200' => 1200, 
	// 
// );
// $prefs_items['contactItemTableWidth'] = dropDown(
	// array(
		// 'type' => $contact_view_width, 
		// 'name' => "data[contactItemTableWidth]", 
		// 'value' => getPref('contactItemTableWidth'), 
		// 'size' => 32, 
		// 'label' => '' . $L['contactItemTableWidth'] . ''
	// )
// );

// --

// $prefdelete_html = dropDown(
	// array(
		// 'type' => $boolean_dropdown, 
		// 'name' => "data[crmAllowContactDelete]", 
		// 'value' => getPref('crmAllowContactDelete'), 
		// 'size' => 32, 
		// 'label' => $L['contactPrefsAllowContactDelete']
	// )
// );
// $prefs_items['contactAllowContactDelete'] = $prefdelete_html;
$prefdelete_html = dropDown(
	array(
		'type' => $boolean_dropdown, 
		'name' => "data[contactAllowContactDelete]", 
		'value' => getPref('contactAllowContactDelete'), 
		'size' => 32, 
		'label' => $L['contactPrefsAllowContactDelete']
	)
);
$prefs_items['contactAllowContactDelete'] = $prefdelete_html;

// --

$company_depth_html = dropDown(
	array(
		'type' => $boolean_dropdown, 
		'name' => "data[contactShowCompanyDepth]", 
		'value' => getPref('contactShowCompanyDepth'), 
		'size' => 32, 
		'label' => $L['contactShowCompanyDepth']
	)
);
$prefs_items['contactShowCompanyDepth'] = $company_depth_html;

// --

$boolean_dropdown_locked = array(
	'1' => $L['contactPrefsStateLocked'], 
	'0' => $L['contactPrefsStateUnLocked']
);

$default_lock_state = dropDown(
	array(
		'type' => $boolean_dropdown_locked, 
		'name' => "data[contactDefaultLockState]", 
		'value' => getPref('contactDefaultLockState'), 
		'size' => 32, 
		'label' => $L['contactDefaultLockState']
	)
);

$prefs_items['contactDefaultLockState'] = $default_lock_state;

// --
$event_options = array(
	'' => '',  
	'1' => '1', 
	'2' => '2', 
	'3' => '3', 
	'4' => '4', 
	'6' => '6', 
	'8' => '8', 
	'10' => '10', 
	'12' => '12', 
	'26' => '26', 
	'52' => '52'
);
//Used for the contact event list and event history
$prefs_items['contactEventDefaultDateRangeAfter'] = dropDown(
	array(
		'type' => $event_options, 
		'name' => "data[contactEventDefaultDateRangeAfter]", 
		'value' => getPref('contactEventDefaultDateRangeAfter'), 
		'size' => 32, 
		'label' => $L['contactEventDefaultDateRangeAfter']
	)
);

// default constraint
$constraints = array(
	'0'      => $L['LabelNone'],
	'mine'   => $L['labelQfilterMine'],
	'alert'  => $L['labelQfilterAlert'], 
	'unseen' => $L['labelQfilterUnseen']
);
$prefs_items['contactDefaultConstraint'] = dropDown(
	array(
		'type' => $constraints, 
		'name' => "data[contactDefaultConstraint]", 
		'value' => getPref('contactDefaultConstraint'), 
		'size' => 32, 
		'label' => $L['DefaultConstraint']
	)
);
// --

// desktop option
$contact_desktop_filter = array(
	''         => '',
	'recent'   => $L['LabelLastViewed'],
	'alert'    => $L['labelQfilterAlert'], 
	'unseen'   => $L['labelQfilterUnseen'], 
	'modified' => $L['labelQfilterModified'], 
	'duplicates' => $L['contactContactDuplicates']
);
$prefs_items['contactDesktopFilter'] = dropDown(
	array(
		'type' => $contact_desktop_filter, 
		'name' => "data[contactDesktopFilter]", 
		'value' => getPref('contactDesktopFilter'), 
		'size' => 32, 
		'label' => $L['contactDesktopFilter']
	)
);
// --

//add contact rows array to global prefs_rows array
$pref_rows['Contact'] = $prefs_items;
?>