<?php
require_once("../../prepend.inc");
/**
 * Used to edit the dropdown values from the Admin menu
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Contact
 */

global $SERVICES;

$ua =& $SERVICES->getService('Authentication');
$ua->adminRestrict('UserAdmin'); //halt page execution for users who do not have Admin access for this module

includeModule('Contact', 'inc/contact_view_layout.inc');

// hardcode the dropdown config name
$_GET['dropdown_config'] = 'contact_view_setup';
$_GET['user_id'] = 0;

/**
 * Used to edit the dropdown values for the default contact view
 * 
 * @package Contact
 * @author Phil Calder
 */
class DefaultContactViewWebMATAdminDropdown extends ContactViewWebMATAdminDropdown {
	
	function DefaultContactViewWebMATAdminDropdown($post, $get, $mini_data_definition = false, $access_level = '') {
		parent::ContactViewWebMATAdminDropdown($post, $get, $mini_data_definition, $access_level);
		$this->new_menu_links[] = $this->getResetAllLink();
	}
	
	function beforeDBWrite(& $item) {
		$item['user_id'] = 0;
	}
	
	function getResetAllLink() {
		global $L;
		
		return $this->output->getLinkConfirm(
			'../Contact/admin_contact_view_default_setup.php?reset=1',
			$L['contactResetAllUsersContactView'], 
			$L['contactResetAllUsersContactViewAreYouSure'], 
			$this->toolbar_link_mode // whether to display as part of the toolbartoolbar
		);
	}
	
	function resetForAll() {
		global $SERVICES, $USER;
		$ua =& $SERVICES->getService('Authentication');
		if ($ua->adminAccess($USER['user_id'], 'UserAdmin')) {
			// print '<p>reseting</p>';
			$db =& $SERVICES->getService('Database');
			$db->delete(
				'Contact__view_dropdown', 
				'user_id > 0'
			);
			if ($db->hasError()) {
				$db->printError();	
			}
		}
	}
}

$admin_dropdown = new DefaultContactViewWebMATAdminDropdown($_POST, $_GET);

global $USER;
$admin_dropdown->setFixedUserId();
$admin_dropdown->setUserId();

if (isset($_POST['submit']) || isset($_GET['delete'])) {
	$admin_dropdown->doSubmit();
}

//show the edit page if an id has been supplied
// CUSTOM: run the reset code if reset=1
if (isset($_GET['id'])) {
	$admin_dropdown->edit( $_GET['id'] );
} else if (isset($_GET['reset']) && $_GET['reset']) {
	$admin_dropdown->resetForAll();
	header('Location: ../Contact/admin_contact_view_default_setup.php');
	exit();
}

$admin_dropdown->main(); //calls the main function
?>