<?php
/**
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Contact
 */

includeModule('Contact', 'inc/item_edit.inc');

/**
 * The Contact module Custom Fields edit class
 *
 * Sets a custom generated data definition 'on the fly' for all custom fields
 * 
 * @package Contact
 * @author Phil Calder
 */
class ContactCustomWebMATEdit extends ContactItemWebMATEdit { 
	
	/**
	 * If the data option parameter is 'custom', 
	 * this method will generate a data definition on the fly for all custom fields for the Contact module.
	 * Otherwise the parent method is called.
	 * 
	 * @param string $data_option the data_option is used to set the data option
	 */
	function setDataDefinition($data_option) {
		// print '<div>ContactCustomWebMATEdit::setDataDefinition(' . $data_option . ')</div>'; print '<hr>';
		
		// see also item_edit.inc init method
		
		if ( ($data_option == 'custom') ) {
			
			$this->dd = $this->mod->getCustomDataDefinition($data_option, $this->form_values['id'], true); // Include display name
			// print_r($this->dd); print '<hr>';
			if (is_object($this->dd)) {
				// print '<div>Deal with postal address</div>';
				// // Phil 20051124 Temporarily remove postal address fields
				// // Will incorrectly set postal address display name based only on the fields specified here
				// if (is_array($this->dd->data_dictionary)) {
					// foreach ($this->dd->data_dictionary as $k => $v) {
						// if (strpos($v['field_key'], 'AddressPostal__item.') !== false) {
							// $this->dd->changeAttributes(array('field_key' => $v['field_key'], 'read_only' => 1));
						// }
					// }
				// }
				// print '<div>returning dd</div>'; print_r($this->dd); print '<hr>';
				return;
			}
			// print '<div>dd not an object</div>';
		}
		parent::setDataDefinition($data_option); // returns above if option is 'custom'
	}
}
?>