<?php
/**
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 */
 
/**
 * @package Contact
 * @author Phil Calder
 */
// Bosco 20051129 | Changed class name from ContactSelector to ContactItemWebMATSelector
class ContactItemWebMATSelector extends WebMATSelector {
	/**
	 * creates the selector link
	 */
	function buildSelectorLink($id, $field) {
		if (empty($field['value'])) {
			global $L;
			$field['value'] = $L['Contact']  . ': ' . $id;
		}
		return parent::buildSelectorLink($id, $field);
	}
	
	/**
	 * May set a custom design time filter 
	 *
	 * 2 cases: 
	 * contact_company: ie a sub contact selector
	 * is_person: ie a company selector
	 *
	 * @author Phil Calder
	 */
	function init($module, $data_option, $post = false, $get = false, $table_name = false, $language_overwrite = false) {
		parent::init($module, $data_option, $post, $get, $table_name, $language_overwrite);
		
		// Phil 20051219
		if (isset($this->form_values['contact_company']) && $this->form_values['contact_company']) {
			if (!$this->form_values['filter']) {
				$this->form_values['filter'] = 'fnone';
			}
			$this->db_functions->setDesignTimeFilters(
				array(
					// '__special__' => array('where'=> ' (Contact__item.id <> ' . $this->form_values['contact_company'] . ') AND (Contact__item.contact_company = "' . $this->form_values['contact_company']. '")')
					'contact_company' => array('where'=> ' (Contact__item.id <> ' . $this->form_values['contact_company'] . ') AND (Contact__item.contact_company = "' . $this->form_values['contact_company']. '")')
				)
			);
			// print 'contact_company= ' . $this->form_values['contact_company'] . '<hr>';
		} else if (isset($this->form_values['is_person']) && $this->form_values['is_person']) { // Phil 20060405
			if (!$this->form_values['filter']) {
				$this->form_values['filter'] = 'fnone';
			}
			$this->db_functions->setDesignTimeFilters(
				array(
					'id' => array('where'=> ' (Contact__item.id <> ' . $this->form_values['is_person'] . ') AND (Contact__item.contact_company = Contact__item.id)')
				)
			);
		}
	}
}

?>