<?php
/**
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package ContactImport
 * @author Phil Calder
 */
 
/**
 * The edit class
 * 
 * @package ContactImport
 * @author Phil Calder
 */
class ContactImportItemWebMATEdit extends WebMATEdit {
	var $load_file_link = 'load_file';
	
	function getLoadLink() {
		global $L;
		$link_href = $this->getFileSetHref($this->load_file_link);
		//return $this->output->getLinkEdit($link_href, $L['contactImportLoadFileLink']);
		return array(
			'href' => $link_href, 
			'text' => $L['contactImportLoadFileLink'],
			'icon' => 'import.png'
		);
		
	}
	
	/**
	 * Adds a 'Load' link
	 */
	function getExtraItemLinks() {
		global $L;
		$links = parent::getExtraItemLinks();
		
		// $links['load'] = $this->getLoadLink();
		$links[$this->load_file_link] = $this->getLoadLink();
		
		return $links;
	}
	
	function getNextPageRow() {
		return '';
	}
	
	/**
	 * MCR for patch 20060710 
	 */
	function afterDataDictionary() {
		global $L;
		//parent::beforeForm($id, $item, $error_msg);
		$this->dd->changeAttributes(array('field_key' => 'title', 'explanation' => $L['contactImportFieldTitleExplanation']));
	}
	
	/**
	 */
	function doRedirect($id='') {
		if (!empty($id)) {
			// print '<div>doRedirect(' . $id . ');</div>'; exit();
			$link_href = $this->getFileSetHref('load_file');
			if (strlen($link_href)) {
				$link_href = $this->getModulePath() . $link_href;
				$link_href = str_replace("%id%",$id,$link_href);
				header("location:" . $link_href);
				exit;
			}
		}
	}
	
	// Gurdeep Singh [20050828] overrided a function to remove "Make thisitem private" field from this page
	function addMakePermissionsPrivate() {
		return '';
	}

}
?>