<?php
/**
 * The import loader
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package ContactImport
 * @author Phil Calder
 */
class ContactImportMappingWebMATEdit extends WebMATEdit {
	
	function run() {
		$this->initSaveMapping();
	}
	
	function initSaveMapping() {
		$this->store = new SessionStore(1);
		$this->map = new Mapping($this->store);
		$mapping_from = $this->map->getColMapFrom();
		$mapping_to = $this->form_values['item']['mapping'];
		$this->map->setColMapTo($mapping_to);
		$this->map->trashMapping();
//		$this->getTemplateSelectorTable();
		
	}
	
	function main() {
		global $L;
		$content .= $this->getImportMappingContentTable();
		//$this->output->addToBody($content);
		//$this->output->display();
		//return true;
		$this->mod->display($content, $L['contactImportPageTitle']);
		
	}
	
	function getImportMappingContentTable() {
		global $L;
		$this->store = new SessionStore(1);
		$this->map = new Mapping($this->store);

		$content = '';
		//$content .= $this->output->getBeginTable();
		//$content .= $this->output->getTitleRow($L['contactImportPageTitle'], array("back"=>'off', "refresh"=>'off', "bookmark"=>'off', "help"=>-1));
		$submit_url = 'import_data.php';
		
		//$content .= $this->output->getBeginRow();
		//$content .= $this->output->getBeginCell(2, 'bodyCell');
		
		
		$content .= $this->output->getBeginTable('viewTbl');
		
		$content .= $this->output->getBeginForm($submit_url, 1, '', false, "save_form");
		
		$table_row = $this->getTemplateSaveOptions();
		
		if (is_array($table_row)) {
			//print_r($table_row);exit();
			//$content .= $this->output->getTableRow($table_row, $style_flag);
			$content .= implode('', $table_row);
		}
		
		$content .= $this->output->getHtmlFieldRow(
			array(
				'label' => '',
				'type'  => 'hidden', 
				'field_key' => 'id', 
				'value' => $this->form_values['id']
			)
		);
		$content .= $this->output->getHtmlFieldRow(
			array(
				'label' => '',
				'type'  => 'hidden', 
				'field_key' => 'date_format', 
				'value' => $this->form_values['date_format']
			)
		);
		$content .= $this->output->getHtmlFieldRow(
			array(
				'label' => '',
				'type'  => 'hidden', 
				'field_key' => 'date_separator', 
				'value' => $this->form_values['date_separator']
			)
		);

		
		//$content .= $this->output->getFieldSpacerRow();
		
		$content .= $this->output->getBeginRow();
		$content .= $this->output->getBeginCell() . '&nbsp;';
		$content .= $this->output->getEndCell();
		$content .= $this->output->getBeginCell();
		$content .= $this->output->getHtmlSubmit($L['contactImportImportData']);
		$content .= $this->output->getEndForm();
		$content .= $this->output->getEndCell();
		$content .= $this->output->getEndRow();
		
		$content .= $this->output->getBeginRow();
		$content .= $this->output->getBeginCell() . '&nbsp;';
		$content .= $this->output->getEndCell();
		$content .= $this->output->getBeginCell();
		$content .= $this->output->getBeginForm("map_fields.php?id=" . $this->form_values['id'], "back_form");
		$content .= $this->output->getHtmlSubmit($L['contactImportCustomize']);
		$content .= $this->output->getEndCell();
		$content .= $this->output->getEndRow();
		
		$content .= $this->output->getEndTable();
		
		$content .= $this->output->getEndForm();
		
		// $content .= $this->output->getEndCell();
		// $content .= $this->output->getEndRow();
		// $content .= $this->output->getEndTable();
		// 
		// $content .= $this->output->getEndTable();
		
		return $content;
	}
	
	function getTemplateSelector($index) {
		$dropdown_values = $index;
		$field = array(
			'label'=>'', 
			'field_key'=>'mapping][' . $index, 
			'type'=>'dropdown', 
			'dropdown_values'=>$dropdown_values,
			'value' => "", 
			'notnull'=>0
		);
		
		return $this->output->getHtmlField($field);
		
	}

	function getTemplateSelectorTable() {
		global $L, $SERVICES;
		$db =& $SERVICES->getService('Database');
		$template_names = array();
		$content = '';
		$content .= $this->output->getBeginTable();
		
		$result = $db->select(" distinct title, template_id, ContactImport__item.owner_group_id, ContactImport__item.view_group_id, ContactImport__item.edit_group_id, ContactImport__item.admin_group_id", "ContactImport__field_mapping, ContactImport__item", " ContactImport__field_mapping.template_id = ContactImport__item.id and ContactImport__field_mapping.template_id = $this->form_values['id']", "ContactImport__field_mapping.id");
		
		while($row = $db->getRow($result)) {
			if (!in_array($row['title'], $template_names)) {
				$template_names[] = $row['title'];
			}
			
			print_r($row);
		}
		
		$row_field_selector = $this->getTemplateSelector($template_names);
		
		return $row_field_selector;
	}

		
	function getTemplateSaveOptions() {
		global $L, $SERVICES;
		$db =& $SERVICES->getService('Database');
		$id = $this->form_values['id'];
		$count = $db->quickGet('count(*)', "ContactImport__field_mapping", "template_id = " . $id);
		
		if ($count > 0) {
			$table_row[] = '<tr><td><input type="radio" name="save_type" value="None" checked> </td><td>'. $L['contactImportDoNotSaveTemplate'] . '</td></tr>';
			//$table_row[] = '<tr><td><input type="radio" name="save_type" value="New"></td><td>'. $L['contactImportSaveNewTemplate'] . '</td></tr>';
			$table_row[] = '<tr><td><input type="radio" name="save_type" value="Replace"></td><td colspan="2">'. $L['contactImportReplaceTemplate'] . '</td></tr>';
		} else {
			$table_row[] = '<tr><td><input type="radio" name="save_type" value="None"> </td><td>'. $L['contactImportDoNotSaveTemplate'] . '</td></tr>';
			
			$table_row[] = '<tr><td><input type="radio" name="save_type" value="New" checked></td><td>'. $L['contactImportSaveNewTemplate'] . '</td></tr>';
		}
		
		//$table_row[] = '<tr><td><input type="radio" name="save_type" value="Replace"></td><td colspan="2">'. $L['contactImportReplaceTemplate'] . '</td></tr>';
		
		return $table_row;
	}
	
	
}
?>