<?php
/**
 * The main class for this module
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package ContactImport
 */

includeWebMAT('module.inc');
includeModule('ContactImport', 'inc/database_tables.inc');

/**
 * The main class for this module
 * 
 * @author Phil Calder
 * @package ContactImport
 */
class ContactImport extends WebMATModule {
	function ContactImport() {
		$this->module_name = 'ContactImport';
		$this->WebMATModule();
	}
	
	/**
	 * set the title field as a display name field
	 */
	function beforeDatabaseTables($data_definition) {
		$data_definition['fields']['file_type']['list_detail_length'] = 20;
		if (isset($data_definition['fields']) && isset($data_definition['fields']['title'])) {
			$data_definition['fields']['title']['display_name'] = 1;
			return $data_definition;
		}
		return false;
	}
	
	/**
	 * Sends content to an Output display class
	 * 
	 * @param string $content A string containing content to display
	 */
	function display($content = '', $title = '') {
		global $SERVICES, $L;
		
		$this->output = $SERVICES->getService('Output'); 
		
		$window_layout = $this->output->getBeginTable('mainTbl', true);
		
		//title
		$window_layout .= $this->output->getTitleRow($title, array("bookmark"=>'off', "help"=>-1));
		
		$window_layout .= $this->output->getBeginRow('', true) . '<td id="bodyCell" style="padding: 10px">';
		
		$window_layout .= $content;
		
		$window_layout .= '</td>' . $this->output->getEndRow(true);
		$window_layout .= $this->output->getEndTable(true);
		
		$SERVICES->getService('Output');
		$SERVICES->output->addToBody($window_layout);
		$SERVICES->output->display();
		exit();
		
	}

}
?>