<?php
/**
 * Import session store functionality.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package ContactImport
 */


/**
 * Import session store functionality.
 *
 * @package ContactImport
 */
class SessionStore {

	/**
	 * Constructor method
	 * Gets the current session storage
	 */
    function SessionStore($reload = 1, $name = 'stored_values') {
    	$this->Storename = $name;
    	if($reload){
    		$this->Store = $_SESSION[$this->Storename];
    	} else {
    		$this->Store = array();
    	}
    }
    
    /**
	 * TrashStore method
	 * Saves the current session storage
	 * WARNING: Must be called if the session variables are to be saved
	 */
    function trashStore() {
		// error_reporting(E_ALL);
		//echo $this->Storename . '<br>';
    	$_SESSION[$this->Storename] = $this->Store;
    }
	
	function hardDeleteStore() {
		bcrm_unset($_SESSION, $this->Storename);
	}
		
    /**
	 * AddValue method
	 * Stores the value given, under the index given
	 */
    function addValue($index, $value){
    	$this->Store[$index] = $value;
    }
    
    /**
	 * GetValue method
	 * Retrives the stored value, under the index given
	 */
    function getValue($index){
    	return $this->Store[$index];
    }
    
    /**
	 * RemoveValue method
	 * Removes a stored index->value pair
	 * Can be deleted by index or value
	 * WARNING: Deleting by value will delete the first value found
	 */
    function removeValue($index = '', $value = ''){
    	// IF we are going by value only, find the index
    	if($index == '') {	 
    		$index = array_search($value, $this->Store);
		}
    	
    	if($index !== false) {
 	   		$this->Store[$index] = NULL;
		}
    }

}

?>