<?php
/**
 * 
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 *
 */
 
/**
 * Used to display info from the module in a contact view
 * 
 * Contains custom display format for relationship type, and custom piece filtering on 2 contact fields
 *
 * @package ContactRelationship
 * @author Phil Calder
 */
class ContactRelationshipItemWebMATContactView extends WebMATContactView { 
	
	var $custom_formats = array();
	
	/*
	function setFormatting() {
		
		$this->setContentFields(
			array(
				'relationship_type' => 'type_id', 
				'contact' => 'contact_id', 
			)
		); 
		
		$this->setContentCellsFormat(
			array(
				'label' => '',
				'content' => 'colspan="2"', 
				'links' => 'style="text-align:right"'
			)
		);		
	}
	*/
	
	/**
	 * Sets the contact fields 
	 * for displaying the contact the currect contact has a relationship with 
	 * (ie prevents the current contact from being displayed here)
	 */
	function calculatePiecesValues(& $item) {
		if ($item['contact_id'] == $this->getContactId()) {
			$item['contact_id'] = $item['contact_to'];
		}
	}
	
	/*
	function getCustomFormat($type, $content) {
		
		if (isset($this->custom_formats['type'][$content])) {
			
			return $this->custom_formats['type'][$content];
			
		}
		
		if ($type == 'relationship_type') {
			
			
			if (isset($this->mod)) {
				
				$db_functions_types =& $this->mod->getDatabaseTable('types');
				
				$type_item = $db_functions_types->getItem($content);
				
				// print_r($type_item); print '<hr>';
				
				$this->custom_formats['type'][$content] = $type_item['name'];
				
				return $this->custom_formats['type'][$content];
			
			}
			
		} else if ($type == 'contact_to') {
			
			//print '<p>contact_to ' . $type . ', ' . $content . '</p>';
			$this->custom_formats['type'][$content] = $this->output->getLinkContact($content);
			return $this->custom_formats['type'][$content];
			
		}
		
		return false;
	
	}
	*/
	
	/**
	 * Sets a contact id filter for both contact fields (contact_id, contact_to)
	 */
	function setPieceFilter() {	
		if (isset($this->db_functions) || (isset($this->mod) && is_object($this->mod))) {
			if (!isset($this->db_functions)) {
				$this->db_functions =& $this->mod->getDatabaseTable('item');
			}
			$this->db_functions->resetDesignTimeFilters();
			$this->db_functions->setDesignTimeFilters( 
				array('contact_id' => 
					array(
						'where' => ' (contact_id = "' . $this->getContactId() . '" OR contact_to = "' . $this->getContactId() . '") '
					) 
				) 
			);
		}
	}
	
}
?>