<?php
/**
 * The data definition for the item table
 * 
 * @license http://www.browsercrm.com/licence.php BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package ContactRelationship
 */

// Add data definition fields from database (standard and custom fields)
// global $SERVICES;
// $SERVICES->getService('DataDefinition');
// 
// $data_definition['fields'] = $SERVICES->datadefinition->getFields('ContactRelationship__item');
// 
// $data_definition['data_options'] = $SERVICES->datadefinition->getOptions('ContactRelationship__item');

global $SERVICES, $L;
$SERVICES->getService('Preferences');

$data_definition = array (
	'fields' => array(
		'id' => array(
			'label'=>'', 
			'field_key'=>'id', 
			'type'=>'hidden'
		),
		'created' => array(
			'label'=>'', 
			'field_key'=>'created', 
			'type'=>'hidden'
		),
		'type_id' => array(
			'label'=>$L['contactRelationshipName'], 
			'explanation' => $L['contactRelationshipNameExplanation'], 
			'field_key'=>'type_id', 
			'type'=>'dropdown', 
			'notnull'=>1, 
			'display_name' => 0, 
			'priority_edit' => 200,
			'dropdown_values' => '__table(ContactRelationship.types)__'
		),
		'contact_id' => array(
			'label'=>$L['contactRelationshipFromContact'], 
			'field_key'=>'contact_id', 
			'type'=>'contact',  
			'priority_edit' => 210,
			'notnull'=>1
		),
		'contact_to' => array(
			'label'=>$L['contactRelationshipToContact'], 
			'field_key'=>'contact_to', 
			'type'=>'contact', 
			'priority_edit' => 220,
			'notnull'=>1,
		) //,
		// 'priority' => array(
			// 'label'=>$L['Priority'], 
			// 'field_key'=>'priority', 
			// 'type'=>'integer', 
			// 'priority_edit' => 400
		// )
	),
	'data_options' => array(
		'edit' => array(
			'method' => 'exclude',
			'values' => array('created'),
			'options' => array('dropdown_values'=>1)
			),
		'list' => array(
			'method' => 'exclude',
			'values' => array(), 
			'options' => array('dropdown_values'=>1, 'exclude_hidden' => 1)
			
		),
		'view' => array(
			'method' => 'exclude',
			'values' => array(),
			'options' => array('dropdown_values'=>1, 'exclude_hidden' => 1)
		),
		'mass_list' => array(
			'method' => 'exclude',
			'values' => array(),
			'options' => array('dropdown_values'=>1, 'exclude_hidden' => 1)
		), 
		'contact_view' => array(
			'method' => 'include',
			'values' => array('type_id', 'contact_id', 'contact_to'), 
			'options' => array('dropdown_values'=>1, 'exclude_hidden' => 1)
			
		),
		'search_results' => array(
			'method' => 'include',
			'values' => array('contact_id', 'type_id', 'contact_to'), 
			'options' => array('dropdown_values'=>1, 'exclude_hidden' => 1)
			
		),
	)
);
?>