<?php
/**
 * The data definition for the types table
 * 
 * @license http://www.browsercrm.com/licence.php BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package ContactRelationship
 */

// Add data definition fields from database (standard and custom fields)
// global $SERVICES;
// $SERVICES->getService('DataDefinition');
// 
// $data_definition['fields'] = $SERVICES->datadefinition->getFields('ContactRelationship__types');
// 
// $data_definition['data_options'] = $SERVICES->datadefinition->getOptions('ContactRelationship__types');


global $SERVICES, $L;
$SERVICES->getService('Preferences');

$data_definition = array (
	'fields' => array(
		array(
			'label'=> '', 
			'field_key'=> 'id', 
			'type'=> 'hidden'
		),
		'name' => array(
			'label' => $L['contactRelationshipName'], 
			'field_key' => 'name', 
			'type' => 'text', 
			'notnull' => 1, 
			'max_length' => 64, 
			'display_name' => 1, 
			'priority_edit' => 200
		),
		'name_from' => array(
			'label' => $L['contactRelationshipFromName'], 
			'field_key' => 'name_from', 
			'type' => 'text',  
			'max_length' => 64, 
			'priority_edit' => 210
		),
		'name_to' => array(
			'label'=>$L['contactRelationshipToName'], 
			'field_key' => 'name_to', 
			'type' => 'text', 
			'max_length' => 64, 
			'priority_edit' => 220
		),
		'priority' => array(
			'label' => $L['contactRelationshipPriority'], 
			'field_key' => 'priority', 
			'type' => 'integer', 
			'priority_edit' => 400
		)
	),
	'data_options' => array(
		'edit' => array(
			'method' => 'exclude',
			'values' => array(),
			'options' => array()
			),
		'list' => array(
			'method' => 'exclude',
			'values' => array(), 
			'options' => array('exclude_hidden' => 1)
		),
		'view' => array(
			'method' => 'exclude',
			'values' => array(),
			'options' => array('exclude_hidden' => 1)
		),
		'mass_list' => array(
			'method' => 'exclude',
			'values' => array(),
			'options' => array('exclude_hidden' => 1)
		)
	)
);
?>