<?php
require_once("../../prepend.inc");
/**
 * Used to edit the dropdown values from the Admin menu
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Documents
 */


// ---------------------------------------
// Need to setup a mini data definition
$SERVICES->getService('Language');
$SERVICES->language->getLanguage('Documents');
switch ($_SESSION['dropdown_config']['table']) {
	case 'mime_type':
		// $dropdown = new WebMATDropDown('Documents', 'mime_type_category');
		$dropdown = getWebMATObject(
			'WebMATDropdown', 
			'Documents', 
			array(
				'table' => 'mime_type_category' //, 
				// 'field' => false, 
				// 'where' =>false
			)
		);
		$mini_data_definition = array(
			array('label'=>'', 'field_key'=>'id', 'type'=>'hidden'),
			array('label'=>$L['documentsMimeTypeValue'], 'field_key'=>'name', 'type'=>'text', 'notnull' => 1, 'maxlength' => 128),
			// Bosco 20050707 | Language variable was wrong, added 'Value' to the variable name
			array('label'=>$L['documentsMimeTypeCategoryValue'], 'field_key'=>'mime_type_category_id', 'type'=>'dropdown', 'dropdown_values'=>$dropdown->getValues(), 'notnull'=>1),
			array('label'=>$L['DisplayOrder'], 'field_key'=>'priority', 'type'=>'integer', 'min' => 0, 'max' => 999, 'default_value' => 100, 'notnull' => 1)
		);
	break;
	case 'mime_type_category':
		$mini_data_definition = array(
			array('label'=>'', 'field_key'=>'id', 'type'=>'hidden'),
			array('label'=>$L['documentsMimeTypeCategoryValue'], 'field_key'=>'name', 'type'=>'text', 'notnull' => 1, 'maxlength' => 128),
			array('label'=>$L['documentsMimeTypeCategoryMainType'], 'field_key'=>'main_type', 'type'=>'text', 'notnull' => 1, 'maxlength' => 32),
			array('label'=>$L['documentsMimeTypeCategoryViewable'], 'field_key'=>'view_in_browser', 'type'=>'checkbox'),
			array('label'=>$L['DisplayOrder'], 'field_key'=>'priority', 'type'=>'integer', 'min' => 0, 'max' => 999, 'default_value' => 100, 'notnull' => 1)
		);
	break;
	default:
		$mini_data_definition = false;
	break;
}
// ---------------------------------------

$admin_dropdown = getWebMATObject(
	'WebMATAdminDropdown', 
	'Documents', 
	array(
		'mini_data_definition' => $mini_data_definition
	)
);


$admin_dropdown->run();

$admin_dropdown->main();
?>
