<?php
/**
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Documents
 */

class DocumentsItemWebMATEdit extends WebMATEdit {
	/**
	 * @var array the version item
	 */
	var $version_item = false;
	
	///**
	// * A Folder is optional when a Document is linked to a contact
	// */
	// function beforeForm(&$id, &$item, &$error_msg) {
		//parent::beforeForm(&$id, &$item, &$error_msg);
		
		//if(!in_array($item['owner_group_id'],explode(',',$USER['group_string']))) {
			//$this->dd->changeAttributes(array('field_key' => 'owner_group_id', 'read_only' => 1));
		//}
		
		// if (isset($item['contact_id']) && $item['contact_id']) {
			// // folder_id is optional
			// // print_r($this->dd);
			// // $this->dd['folder_id']['notnull'] = 0;
			// foreach ($this->dd->data_dictionary as $k => $v) {
				// // print_r($v); print '<hr>';
				// if ($v['field_key'] == 'folder_id') {
					// $this->dd->data_dictionary[$k]['notnull'] = 0;
					// break;
				// }
			// }
		// }
	 //}
	
	/**
	 * any processing required before adding to the db
	 *
	 * @param array $item
	 * @param array $fields
	 * @param array $error_msg 
	 */
	function beforeDBWrite(&$item, &$fields, &$error_msg) {
		global $L,$SERVICES;
		
		if (!$item['id'] && $item['version_file']['size'] == 0 ) {
		       // Bosco | 20050629 | Added $SERVICES->getGlobal('http_referer') to show correct back link 	
		       quickPage($L['documentsUpLoadNoFileError'] . '<br> <br> <a href="' . $SERVICES->getGlobal('http_referer') . '">' . $L['Back'] . '</a>');
			exit();

		}
		
		if (!$item['id'] && !$this->form_values['id']) {
			
			// TODO: tidy up duplication here [Phil]
			
			if (!$item['file_extension']) { // Phil 20050429
				$file_ext  = array_pop(explode('.', $item['version_file']['name']));
				$item['file_extension'] = $file_ext; 
			}
			
			if (!$item['file_name']) { // Phil 20050429
				$file_ext  = array_pop(explode('.', $item['version_file']['name']));
				$file_name = basename($item['version_file']['name'], '.' . $file_ext);
				$item['file_name'] = $file_name; 
			}
			
			if (!$item['name']) {
				$file_ext  = array_pop(explode('.', $item['version_file']['name']));
				$file_name = basename($item['version_file']['name'], '.' . $file_ext);
				$item['name'] = $file_name;
			}
			
			$this->version_item = array();
			$this->version_item['version_name'] = $item['version_name'];
			bcrm_unset($item, 'version_name');	
			$this->version_item['version_text'] = $item['version_text'];
			bcrm_unset($item, 'version_text');
			$this->version_item['version_status'] = $item['version_status'];
			bcrm_unset($item, 'version_status');
			$this->version_item['version_file'] = $item['version_file'];
			bcrm_unset($item, 'version_file');
		}
		
		
	}
	
	/**
	 * any processing required after adding to the db
	 *
	 * @param array $item
	 * @param array $fields
	 * @param array $error_msg 
	 */
	function afterDBWrite(&$item, &$fields, &$error_msg, $id = false) {  //passed by reference
		global $SERVICES, $L;
		$SERVICES->getService('FileSystem');
		if (is_array($this->version_item) && !$this->version_item['error']) {
			//get the mime type id
			$mime_type_id = $this->mod->getMimeType($this->version_item['version_file']['type'], 
			$this->version_item['version_file']['name']);
			//adds the version to the database
			$db_functions =& $this->mod->getDatabaseTable('version');
			$db_functions->setMasterIds($id);
			$version_item = array();
			if ($this->version_item['version_name']) {
				$version_item['version'] = $this->version_item['version_name'];
			} else {
				$version_item['version'] = 'Version 1.0';
			}
			$version_item['notes'] = $this->version_item['version_text'];
			$version_item['status_id'] = $this->version_item['version_status'];
			$version_item['size'] = $this->version_item['version_file']['size'];
			$version_item['file_name'] = $this->version_item['version_file']['name'];
			$version_item['item_id'] = $id;
			$version_item['mime_type_id'] = $mime_type_id;

			// Bosco 20050720 | Stores the uploaded_on value in Documents__version table.
			$uploaded_on = time();
			$version_item['uploaded_on'] = $uploaded_on;
			$version_id = $db_functions->setItem($version_item);
			$SERVICES->filesystem->moveFile($version_id, 'files', $this->version_item['version_file']['location']); 
			//if ($SERVICES->filesystem->moveFile($version_id, 'Documents', $this->version_item['version_file']['location'])) {
				//updates the item with the new version information
			$new_item['id'] = $id;
			$new_item['version_id'] = $version_id;
			// Bosco 20050720 | Stores the uploaded_on value of current version in Documents__item table
			$new_item['uploaded_on'] = $uploaded_on;
			$new_item['mime_type_id'] = $mime_type_id;
			// Bosco 20050817 | Stores version file size in parent record
			$new_item['file_size_bytes'] = $version_item['size'];
			$this->db_functions->setItem($new_item);
				
				
			// } else	{
				// $this->db_functions->deleteItem($id);
				// $db_functions->deleteItem($version_id);				
				// quickPage($L['documentsUpLoadError'] .  "<br>item_id=$id,  version_id=$version_id" . '<br> <br> <a href="' . $_SESSION['return_page'] . '">' . $L['Back'] . '</a>');
			// }
			
		}
	}
}

?>