<?php
/**
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 */
 
/**
 * @package Documents
 * @author Phil Calder
 */
class DocumentsItemWebMATView extends WebMATView {
	
	/**
	 * Remove Open link if item is not browser viewable
	 */
	function getTableLinks($item) {
		$links = parent::getTableLinks($item);
		// print '<div>table links for item mime type id: ' . $item['mime_type_id']. '</div>'; print_r($links); print '<hr>';
		if (!$this->mod->isBrowserViewable($item['mime_type_id'])) {
			bcrm_unset($links, 'documentsViewDocument');
			// $links['documentsViewDocument'] = '&nbsp;';
		}
		return $links;
	}
	
	/**
	 * Builds the edit link
	 *
	 * Uses 'custom' edit link text (Edit Properties)
	 * 
	 * @param integer $id Optional id variable (for overriding this functionality)
	 * @return string containing the link
	 */
	function getEditLink($id = false) {
		global $L;
		$link_href = $this->getFileSetHref($this->edit_link);
		return $this->output->getLinkEdit($this->getModulePath() . $link_href, $L['documentsLabelEdit']);
	}
}

?>