<?php
/**
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Documents
 */

class DocumentsVersionWebMATView extends WebMATView {
	function getSubTableHeader($table_labels, $sort) {
		$parent_item = $this->db_functions->getParentItems();
		return $this->output->getHeaderRow(array($parent_item['name'], ''));
	}
	
	function editTableLinks(& $links, $id, $item) {
		$parent_item = $this->db_functions->getParentItems();
		if (!$this->mod->isBrowserViewable($parent_item['mime_type_id'])) {
			$links['documentsViewDocument'] = '';
		}
		if (!count($this->db_functions->getEditableParents())) {
			bcrm_unset($links, 'edit');
			bcrm_unset($links, 'delete');
		} else {
			if ($parent_item['version_id'] == $id) {
				$links['delete'] = '';
			}
		}
	}
	
	/**
	 * Builds the edit link
	 *
	 * Uses 'custom' edit link text (Edit Properties)
	 * 
	 * @param integer $id Optional id variable (for overriding this functionality)
	 * @return string containing the link
	 */
	function getEditLink($id = false) {
		global $L;
		$link_href = $this->getFileSetHref($this->edit_link);
		return $this->output->getLinkEdit($this->getModulePath() . $link_href, $L['documentsLabelEdit']);
	}
}
?>