<?php
/**
 * The data definition for the item table
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Documents
 */

$data_definition = array (
	'fields' => array(
		
		'id' => array('label'=>'', 'field_key'=>'id', 'type'=>'hidden'),
		'last_update' => array('label'=>'', 'field_key'=>'last_update', 'type'=>'hidden'),
		
		'folder_id' => array('label'=>$L['documentsFolder'], 'field_key'=>'folder_id', 'type'=>'dropdown', 'dropdown_values'=>'__table(Documents.folder)__',  'notnull'=>1, 'show_parents' => 1, 'priority_edit' => 500, 'config_key' => 'documents_folder'),
		'name' => array('label'=>$L['documentsName'], 'field_key'=>'name', 'type'=>'text', 'notnull'=>0, 'display_name' => 1, 'priority_edit' => 525 ),
		
		'file_name' => array('label'=>$L['documentsFileName'], 'field_key'=>'file_name', 'type'=>'text', 'notnull'=>1),
		'file_extension' => array('label'=>$L['documentsFileExtension'], 'field_key'=>'file_extension', 'type'=>'text', 'notnull'=>1),
		'file_size_bytes' => array('label'=>$L['documentsFileSize'], 'field_key'=>'file_size_bytes', 'type'=>'integer', 'notnull'=>1),
		
		'uploaded_on' => array('label'=>$L['documentsUploadedOn'], 'field_key'=>'uploaded_on', 'type'=>'date_time', 'notnull'=>1),
		'mime_type_id' => array('label'=>$L['documentsMimeType'], 'field_key'=>'mime_type_id', 'type'=>'dropdown', 'dropdown_values'=>'__table(Documents.mime_type)__', 'notnull'=>1, 'priority_edit' => 540, 'config_key' => 'documents_mime_type'),
		
		'contact_id' => array('label'=>'Contact', 'field_key'=>'contact_id', 'type'=>'contact', 'priority_edit' => 901),
		
		'view_group_id' => array('label'=>$L['ViewGroup'], 'field_key'=>'view_group_id', 'type'=>'dropdown', 'dropdown_values'=>'__GROUPS__', 'notnull'=>0, 'priority_edit' => 910, 'explanation' => $L['PermissionsGroup1Explanation']),
		'edit_group_id' => array('label'=>$L['EditGroup'], 'field_key'=>'edit_group_id', 'type'=>'dropdown', 'dropdown_values'=>'__GROUPS__', 'notnull'=>0, 'priority_edit' => 915),
		'owner_group_id' => array('label'=>$L['OwnerGroup'], 'field_key'=>'owner_group_id', 'type'=>'dropdown', 'dropdown_values'=>'__GROUPS__', 'notnull'=>0, 'priority_edit' => 920),
		'admin_group_id' => array('label'=>$L['AdminGroup'], 'field_key'=>'admin_group_id', 'type'=>'dropdown', 'dropdown_values'=>'__GROUPS__', 'notnull'=>0, 'priority_edit' => 925),
		
		'version_name' => array('label'=>$L['documentsVersion'], 'field_key'=>'version_name', 'type'=>'text', 'notnull'=>1, 'explanation' => $L['documentsVersionInfo'], 'priority_edit' => 650),
		'version_file' => array('label'=>$L['documentsFile'], 'field_key'=>'version_file', 'type'=>'file_upload', 'priority_edit' => 550),
		'version_status' => array('label'=>$L['documentsStatus'], 'field_key'=>'version_status', 'type'=>'dropdown', 'dropdown_values'=>'__table(Documents.status)__', 'notnull'=>1, 'priority_edit' => 630, 'config_key' => 'documents_status'),
		'version_text' => array('label'=>$L['documentsNotes'], 'field_key'=>'version_text', 'type'=>'long_text', 'priority_edit' => 635),
		
	),
	
	'data_options' => array(
		
		'edit' => array(
			'method' => 'exclude',
			'values' => array('version_name', 'version_text', 'version_file', 'version_status', 'file_size_bytes', 'file_name', 'file_extension', 'mime_type_id','uploaded_on'),
			'options' => array('dropdown_values' => 1)
		),
		
		'new' => array(
			'method' => 'exclude',
			'values' => array('version_id', 'mime_type_id', 'original_filename', 'file_size_bytes', 'file_name', 'file_extension', 'version_name','uploaded_on'),
			'options' => array('dropdown_values' => 1)
		),
		
		'contact_edit' => array(
			'method' => 'exclude',
			'values' => array('version_name', 'version_text', 'version_file', 'version_status', 'file_size_bytes', 'file_name', 'file_extension', 'mime_type_id','uploaded_on'),
			'options' => array('dropdown_values' => 1)
		),
		
		'contact_new' => array(
			'method' => 'exclude',
			'values' => array(
				'version_id', 
				'mime_type_id', 
				'original_filename', 
				'file_size_bytes', 
				'file_name', 
				'file_extension', 
				'version_name',
				'uploaded_on',
			),
			'options' => array('dropdown_values' => 1)
		),
		
		'contact_view' => array(
			'method' => 'include',
			'values' => array('name', 'file_name', 'file_extension', 'uploaded_on', 'file_size_bytes'),
			'options' => array('dropdown_values' => 1)
		),
		
		'dashboard' => array(
			'method' => 'include',
			'values' => array('id', 'folder_id', 'name', 'file_name', 'file_extension', 'uploaded_on', 'file_size_bytes', 'contact_id', 'owner_group_id'),
			'options' => array('dropdown_values' => 1)
		),
		
		'list' => array(
			'method' => 'include',
			'values' => array('id', 'folder_id', 'name', 'file_name', 'file_extension', 'uploaded_on', 'file_size_bytes', 'contact_id', 'owner_group_id'),
			'options' => array('exclude_hidden' => 1, 'dropdown_values' => 1)
		),
		
		'documents_selector' => array(
			'method' => 'include', 
			'values' => array('name', 'file_size_bytes'), // 'file_name', 'file_extension', 
			'options' => array('exclude_hidden' => 1, 'dropdown_values' => 1)
		),
		
		'search_results' => array(
			'method' => 'include',
			'values' => array('contact_id','name','folder_id', 'file_name', 'file_extension'),
			'options' => array('dropdown_values' => 1)
		),
	)
);
?>