<?php
/**
 * The data definition for the version table
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Documents
 */
global $SERVICES;
$SERVICES->language->getLanguage('Documents');
$data_definition = array (
	'fields' => array(
		'id' => array('label'=>'', 'field_key'=>'id', 'type'=>'hidden'),
		'item_id' => array('label'=>'', 'field_key'=>'item_id', 'type'=>'hidden'),
		'last_update' => array('label'=>'', 'field_key'=>'last_update', 'type'=>'hidden'),
		
		//array('label'=>$L['documentsMakeCurrent'], 'field_key'=>'make_current_version', 'type'=>'checkbox', 'default_value' => true,  'list_label' => $L['documentsCurrent']),
		'make_current_version' => array('label'=>$L['documentsMakeCurrent'], 'field_key'=>'make_current_version', 'type'=>'checkbox'),
		
		'version' => array('label'=>$L['documentsVersion'], 'field_key'=>'version', 'type'=>'text', 'notnull'=>0, 'maxlength'=>128),
		'version_file' => array('label'=>$L['documentsFile'], 'field_key'=>'version_file', 'type'=>'file_upload'),
		'status_id' => array('label'=>$L['documentsStatus'], 'field_key'=>'status_id', 'type'=>'dropdown', 'dropdown_values'=>'__table(Documents.status)__', 'notnull'=>1),
		'uploaded_on' => array('label'=>$L['documentsUploadedOn'], 'field_key'=>'uploaded_on', 'type'=>'date_time', 'notnull'=>1),
		'size' => array('label'=>$L['documentsSize'], 'field_key'=>'size', 'type'=>'text'),
		'mime_type_id' => array('label'=>$L['documentsMimeType'], 'field_key'=>'mime_type_id',  'type'=>'dropdown',  'dropdown_values'=>'__table(Documents.mime_type)__',  'notnull'=>1),
	),
	
	'data_options' => array(
		'edit' => array( 
			'method' => 'exclude',
			'values' => array('size', 'version_file','uploaded_on'),
			'options' => array('dropdown_values' => 1, 'exclude_calculated' => 1)
		),
		
		'new' => array(
			'method' => 'exclude',
			'values' => array('size', 'mime_type_id','uploaded_on'),
			'options' => array('dropdown_values' => 1, 'exclude_calculated' => 1)
		),
		
		'view' => array( 
			'method' => 'exclude',
			'values' => array('size', 'version_file'),
			'options' => array('dropdown_values' => 1, 'exclude_calculated' => 1)
		),
		
		'list' => array(
			'method' => 'exclude',
			'values' => array('version_file', 'make_current_version'),
			'options' => array('exclude_hidden' => 1, 'dropdown_values' => 1)
		),
	)
);
?>