<?php
/**
 * The main class for this module
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Export
 */

includeModule('Export', 'inc/database_tables.inc');

class Export extends WebMATModule {
	// Bosco @0051221 | Delimiters used in form
	var $delimiter_field_names = array('field_escaped_by', 'fields_terminated_by', 'field_enclosed_by', 'terminate_line_by');
	var $excel_version_key = 'excel_version';
	
	var $file_type_key = 'file_type';
	
	function Export() {
		$this->module_name = 'Export';
		$this->WebMATModule();
	}
	/**
	 * Returns delimiter field names
	 * @return array delimiter field names
	 */
	function getDelimiterFieldNames() {
		return $this->delimiter_field_names;
	}
	
	/**
	 * Returns excel version key
	 * @return string field key for excel version
	 */
	function getExcelVersionKey() {
		return $this->excel_version_key;
	}
	
	/**
	 * Returns download file type field key
	 * @return string file type field key
	 */
	function getFileTypeKey() {
		return $this->file_type_key;
	}
}
?>