<?php
require_once("../../prepend.inc");
/**
 * Used to edit the users menu layout
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Front
 */

global $SERVICES;
$ua =& $SERVICES->getService('Authentication');
$ua->adminRestrict(); //halt page execution for users who do not have Admin access for this module

includeModule('Front', 'inc/dashboard_layout.inc');        

// hardcode the dropdown config name
$_GET['dropdown_config'] = 'system_dashboard_dropdown';

/**
 * Used to edit the users menu layout
 * 
 * @package Front
 * @author Phil Calder
 */
class AdminDashboardLayoutDropdown extends DashboardWebMATAdminDropdown {
	
	function beforeForm(&$id, &$item, &$error_msg) {
		$id = $id; //not used in this function
		$error_msg = $error_msg; //not used in this function
		if ($item) {
			global $L, $SERVICES, $USER;
			
			$details = $this->getModuleTableNames($item['name']);
			$dropdown_where = array(
				'module_name' => $details['module_name'], 
				'table_name' => $details['table_name'], 
				'user_id' => $USER['id']
			);
			$dropdown = new WebMATDropDown('SystemBookmarks', 'item', 'name', $dropdown_where);
			$bookmarks = $dropdown->getValues();
			unset($dropdown);
			
			// $bookmarks_mod =& $SERVICES->modules->getModule('SystemBookmarks');
			// $desktop_bookmark = $bookmarks_mod->getDesktopBookmark($details['module_name'], $details['table_name']);
			// $alert_bookmark = $bookmarks_mod->getAlertBookmark($details['module_name'], $details['table_name']);
			// $item['_desktop'] = $desktop_bookmark['id'];
			// $item['_alert'] = $alert_bookmark['id'];
			
			$boolean_dropdown = array(
				// '0' => $L['frontMenuShowAlerts'], 
				'1' => $L['frontMenuHideAlerts']
			);
			$this->mini_data_definition =  array(
				'id' => array('label'=>'', 'field_key'=>'id', 'type'=>'hidden'),
				'user_id' => array('label'=>'', 'field_key'=>'user_id', 'type'=>'hidden'),
				$this->dropdown_config['field'] => array('label'=>$L['frontDashboardValueName'], 'field_key'=>$this->dropdown_config['field'], 'type'=>'text', 'notnull' => 1),
				'priority' => array('label'=>$L['DisplayOrder'], 'field_key'=>'priority', 'type'=>'integer', 'min' => 0, 'max' => 999, 'default_value' => 100, 'notnull' => 1),
				// 'desktop' => array('label'=>'Desktop', 'field_key'=>'_desktop', 'type'=>'dropdown', 'dropdown_values' => $bookmarks),
				// 'alert' => array('label'=>'Alert', 'field_key'=>'_alert', 'type'=>'dropdown', 'dropdown_values' => $bookmarks), 
				'no_alerts' => array('label'=>$L['frontMenuAlerts'], 'field_key'=>'no_alerts', 'type'=>'dropdown', 'dropdown_values' => $boolean_dropdown),
			);
			
			$this->mini_data_definition[$this->dropdown_config['field']]['type'] = 'dropdown';
			$this->mini_data_definition[$this->dropdown_config['field']]['dropdown_values'] = $this->getAvailablePieces();
		}
	}
	
	function beforeDBWrite(& $item) {
		if ( (isset($item['_desktop']) || isset($item['_alert'])) && $item['name']) {
			global $SERVICES;
			$bookmarks_mod =& $SERVICES->modules->getModule('SystemBookmarks');
			$bookmarks_db_functions =& $bookmarks_mod->getDatabaseTable('item');
			
			$details = $this->getModuleTableNames($item['name']);
			
			$dtf = array(
				'table_name' => $details['table_name'],
				'module' => $details['module_name'],
			);
		
			// if ($item['_desktop']) {
				// $bookmarks_db_functions->setItem(array('id' => $item['_desktop'], 'is_dashboard' => '1'));
			// } else {
				// $bookmarks_db_functions->resetValues(false, array('is_dashboard' => '1'), true);
			// }
			// 
			// if ($item['_alert']) {
				// $bookmarks_db_functions->setItem(array('id' => $item['_alert'], 'is_alert' => '1'));
			// } else {
				// $bookmarks_db_functions->resetValues(false, array('is_alert' => '1'), true);
			// }
			// bcrm_unset($item, '_desktop');
			// bcrm_unset($item, '_alert');
		}
	}
	
	function getModuleTableNames($name) {
		if (strstr($name, '_')) {
			$module_details = explode('_', $name);
			$detail['module_name'] = $module_details[0];
			$detail['table_name'] = $name;
		} else {
			$detail['module_name'] = $name;
			$detail['table_name'] = $name . '__item';
		}
		return $detail;
	}
}

$admin_dropdown = new DashboardWebMATAdminDropdown($_POST, $_GET);

if (isset($_POST['submit']) || isset($_GET['delete']) || isset($_GET['show_other_alerts']) ) {
	$admin_dropdown->doSubmit();
}
//show the edit page if an id has been supplied
if (isset($_GET['id'])) {
	$admin_dropdown->edit( $_GET['id'] );
} else if (isset($_GET['reset']) && $_GET['reset']) {
	$admin_dropdown->resetForUser();
	header('Location: ../../modules/Front/admin_dashboard_layout.php');
	exit();
}

$admin_dropdown->main(); //calls the main function
?>