<?php
require_once("../../prepend.inc");

/**
 * Change your BrowserCRM password.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Front
 */

$SERVICES->getService('Language');
$SERVICES->language->getLanguage('Front');

function doDisplay ($message = '') {
	global $SERVICES, $L, $PHP_SELF;

	$ua =& $SERVICES->getService('Authentication');
	$ua->groups->getGroupList();
	$output =& $SERVICES->getService('Output');
	
	if ($message) {
		if (!is_array($message)) {
			$message = array($message);	
		}
	}
	
	$content = '';
	$content .= $output->getBeginTable();
	// $content .= $output->getTitleRow($L['frontChangePassword']);
	$content .= $output->getBeginForm($PHP_SELF);
	$content .= $output->getBeginNestedTable();
	
	if ($message) {
		if (!is_array($message)) {
			$message = array($message);	
		}
		foreach ($message as $v) {
			// $content .= $output->getTextRow($output->getAlert($v));
			$content .= $output->getTextRow($v);
		}
	}
	
	$content .= $output->getHtmlFieldRow(array('label'=>$L['frontCurrentPassword'], 'type'=>'password', 'field_key'=>'oldpassword'));
	$content .= $output->getHtmlFieldRow(array('label'=>$L['frontNewPassword'], 'type'=>'password', 'field_key'=>'password1'));
	$content .= $output->getHtmlFieldRow(array('label'=>$L['frontNewPasswordAgain'], 'type'=>'password', 'field_key'=>'password2'));
	
	$content .= $output->getEndNestedTable();
	$content .= $output->getSubmitRow();
	$content .= $output->getEndForm();
	$content .= $output->getEndTable();
	
	// $output->addToBody($content);
	// $output->display();
	// exit();
	$title_text = $L['frontChangePassword'];
	
	$padding = true;
	$window_layout = $output->getBeginTable('mainTbl', true);
	$window_layout .= $output->getTitleRow($title_text, array('bookmark'=>'off'));
	$window_layout .= $output->getBeginRow('', true) . '<td id="bodyCell"' . ($padding ? 'style="padding: 10px"' : '') . '>';
	$window_layout .= $content;
	$window_layout .= '</td>' . $output->getEndRow(true);
	$window_layout .= $output->getEndTable(true);
	
	$output->addToBody($window_layout);
	$output->display();
	exit();
	
}

function doSubmit () {
    global $SERVICES, $L, $item, $create_contact, $USER;

    $ua =& $SERVICES->getService('Authentication');
	$SERVICES->getService('Language');
	$SERVICES->language->getLanguage('Front');
	$SERVICES->language->getLanguage('UserAdmin');

    $message = array();

    if (!$item['oldpassword'])  {
		$message[] = $L['frontPleaseEnterCurrentPassword'];
    }

    if (!$item['password1'])  {
		$message[] = $L['frontPleaseEnterNewPassword'];
    }

    if ($item['password1'] != $item['password2'])  {
        $message[] = $L['frontNewPasswordsDoNotMatch'];
    }

    if (sizeof($message))  {
		
        return array('message' => $message);
    
	} else {
		
		if ( ($retval = $ua->users->changePassword( $item['oldpassword'], $item['password1'])) !== true) {
			
			$message[] = $retval;
			return array('message' => $message);
			
		}
		
		// Success
		$SERVICES->getService('Config');
		$url = $SERVICES->config->getModuleHref("Admin");
		
		header('Location: ' . $url);
		exit();
			
    }
	
}

function main () {
	global $SERVICES, $L, $item, $create_contact;

	if (is_array($item)) {
		
		$result = doSubmit();
		
		if (sizeof($result['message'])) {
			
			doDisplay($result['message']);
			
		} else {
			
			$SERVICES->getService('Config');
			$url = $SERVICES->config->getModuleHref("Admin");
			header('Location: ' . $url);
			exit();
			
		}
		
	} else {
		
		doDisplay();
		
	}
	
}

main();
?>