<?php
require_once("../../prepend.inc");
/**
 * The default 'Front' module welcome page. Contains links to help users get started.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Front
 * @author Phil Calder
 */

function doSubmit() {
	global $SERVICES, $welcome_value;
	// Phil 20051021 - moved functionality to Users Service
	if ($users =& $SERVICES->getService('Users')) {
		if (isset($welcome_value)) {
			$users->setShowWelcomePage($welcome_value);
		} else {
			$welcome_value = $users->getShowWelcomePage();
		}
	}
}

// Admin user redirected to set default preferences (depends on their 'welcome' value)
// Other users redirected to their default start page
function main() {
	global $SERVICES, $L, $USER, $PHP_SELF, $welcome_value;
	
	// Prompt Admin to set Company Language, timezone, and name formats if they havent already done so
	if ($USER['user_id'] == 1) { // check for admin user
		$systemdb =& $SERVICES->getService('Database');
		$output =& $SERVICES->getService('Output');
		$lang =& $SERVICES->getService('Language');
	
		$lang->getLanguage('Front');
		$lang->getLanguage('Contact');
		$lang->getLanguage('UserAdmin');
		$lang->getLanguage('Mail');
		$lang->getLanguage('ContactImport');
		$lang->getLanguage('Admin');
		
		$ua =& $SERVICES->getService('Authentication');
		$groups = $ua->groups->getGroupsForUser($USER['id']);
		
		$welcome = $ua->users->getShowWelcomePage(); // Cant use $USER['welcome']
		
		if ($welcome == 2) {
			$prefs = array(
				0=>'cfgLanguage', 
				1=>'cfgTimeOffsetHours', 
				
				2=>'cfgNameFormat', 
				3=>'personNameFormat', 
				
				4=>'frontDefaultGroupView', 
				5=>'frontDefaultGroupEdit', 
				6=>'frontDefaultGroupAssignedTo', 
				7=>'frontDefaultGroupOwner', 
				8=>'frontDefaultGroupAdmin', 
				
				9=>'frontPrivateGroupView',
				10=>'frontPrivateGroupEdit',
				11=>'frontPrivateGroupAssignedTo',
				12=>'frontPrivateGroupOwner',
				13=>'frontPrivateGroupAdmin', 
				
				14=>'contactAllowContactDelete'
			);
			
			if (sizeof($prefs)) {
				$p_arr = array();
				$o_arr = array();
				
				foreach($prefs as $k => $name) {
					$p_arr[$k] = 'prefs_inc['.$k.']='.$name.'';
					$o_arr[$k] = 'override[' . $name . ']=1';
				}	
				
				$prefs_query = '?' . implode('&', $p_arr) . '&returnpage=welcome&include_files[0]=Contact&' . implode('&', $o_arr) . '';
				header('Location:../UserAdmin/preferences.php' . $prefs_query);
				exit();
				
			}
		}
	}
	
	header('Location:../' . $SERVICES->config->lookup('modules.Front.default_redirect'));
	exit();
}

if ( isset($_GET['ref']) && ($_GET['ref'] == 'prefs') ) {	
	$welcome_value = 1;
}

// Phil 20051021
if (isset($_GET['welcome_value'])) {
	if ($_GET['welcome_value']) {
		$welcome_value = 1;	
	} else {
		$welcome_value = 0;	
	}
}

doSubmit();
main();
?>