<?php
/**
 * The data definition
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package KnowledgeBase
 */

$data_definition = array (
	'fields' => array(
		'id' => array('label'=>'', 'field_key'=>'id', 'type'=>'hidden'),	//mysql def is: int(11) default NOT NULL auto_increment
		'subject' => array('label'=>$L['knowledgeBaseSubject'], 'field_key'=>'subject', 'type'=>'text', 'maxlength'=>128, 'notnull'=>1, 'display_name' => 1, 'priority_edit' => 500),  //mysql def is varchar(30) default NULL
		// Bosco 20050830 | Added Config key
		'dropdown_id' => array('label'=>$L['knowledgeBaseCategory'], 'field_key'=>'dropdown_id', 'type'=>'dropdown', 'dropdown_values'=>'__table(KnowledgeBase.dropdown)__', 'notnull'=>1, 'priority_edit' => 510, 'config_key' => 'knowledgeBase_dropdown'),	//mysql def is: int(11) NOT NULL default '0'
		'author' => array('label'=>$L['knowledgeBaseAuthor'], 'field_key'=>'author', 'type'=>'text', 'maxlength'=>64, 'priority_edit' => 520),	//mysql def is: varchar(255) default NULL
		'created' => array('label'=>$L['knowledgeBaseCreated'], 'field_key'=>'created', 'type'=>'integer_date', 'priority_edit' => 530),	//mysql def is: date default NULL
		'last_update' => array('label'=>'', 'field_key'=>'last_update', 'type'=>'hidden'),	//not used by mysql, this will get updated to type='encoded'
		'expiry_date' => array('label'=>$L['knowledgeBaseExpiryDate'], 'field_key'=>'expiry_date', 'type'=>'date', 'default_value' => date("Y-m-d", mktime (0,0,0,date('m'),date('d'),date('Y')+1)), 'priority_edit' => 550 ),	//mysql def is: date default NULL
		'body' => array('label'=>$L['knowledgeBaseBody'], 'field_key'=>'body', 'type'=>'long_text', 'rows'=>20, 'priority_edit' => 560),	//mysql def is: text
		'keywords' => array('label'=>$L['knowledgeBaseKeywords'], 'field_key'=>'keywords', 'type'=>'long_text', 'priority_edit' => 570),	//mysql def is: text
		'view_group_id' => array('label'=>$L['ViewGroup'], 'field_key'=>'view_group_id', 'type'=>'dropdown', 'dropdown_values'=>'__GROUPS__', 'notnull'=>0, 'priority_edit' => 910),	//mysql def is: int(11) unsigned NOT NULL default '0'
		'edit_group_id' => array('label'=>$L['EditGroup'], 'field_key'=>'edit_group_id', 'type'=>'dropdown', 'dropdown_values'=>'__GROUPS__', 'notnull'=>0, 'priority_edit' => 915),	//mysql def is: int(11) unsigned NOT NULL default '0'
		'owner_group_id' => array('label'=>$L['OwnerGroup'], 'field_key'=>'owner_group_id', 'type'=>'dropdown', 'dropdown_values'=>'__GROUPS__', 'notnull'=>0, 'priority_edit' => 920),	//mysql def is: int(11) unsigned NOT NULL default '0'
		'admin_group_id' => array('label'=>$L['AdminGroup'], 'field_key'=>'admin_group_id', 'type'=>'dropdown', 'dropdown_values'=>'__GROUPS__', 'notnull'=>0, 'priority_edit' => 925),	//mysql def is: int(11) unsigned NOT NULL default '0'
	),
	'data_options' => array(
		'edit' => array( 
			'method' => 'exclude',
			'values' => array('created'),
			'options' => array('dropdown_values' => 1)
		),
		'list' => array(
			'method' => 'exclude',
			'values' => array('user_id','view_group_id','edit_group_id','admin_group_id', 'body'),
			'options' => array('exclude_hidden' => 1, 'dropdown_values' => 1)
		),
		'article_view' => array(
			'method' => 'include',
			'values' => array('subject','author', 'body', 'last_update', 'created'),
			'options' => array('change_attributes'=> array('field_key'=>'last_update', 'type'=>'integer_date', 'label'=>$L['knowledgeBaseLastUpdate']), 'exclude_hidden' => 1)
		),
		'search' => array(
			'method' => 'include',
			'values' => array('keywords','subject','body'),
			'options' => array('search_title' => 'subject')
		),
		'event' => array(
			'method' => 'include',
			'values' => array('subject','last_updated'),
			'options' => array('event_date' => 'last_updated')
		), 
		'search_results' => array(
			'method' => 'include',
			'values' => array('subject','author','keywords'),
			'options' => array('dropdown_values' => 1)
		)
	)
);
?>