<?php
/**
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 */

//this file wil be included by /Front/preferences.php accessed under Admin
//which will create a form for setting system-wide UserPrefs
global $SERVICES, $USER; // , $L;

$m =& $SERVICES->modules->getModule('Mail'); //
includeWebMAT('WebMATDropdown.inc');

$mail_rows = array();

// --
$refresh_options = array(
	'0' => $L['mailManualCheckOnly'],
	'120' => '2 ' . $L['MinutesFull'],
	'180' => '3 ' . $L['MinutesFull'],
	'240' => '4 ' . $L['MinutesFull'],
	'300' => '5 ' . $L['MinutesFull'],
	'600' => '10 ' . $L['MinutesFull'],
	'900' => '15 ' . $L['MinutesFull'],
	'1800' => '30 ' . $L['MinutesFull']
);
$refresh_options_select_html = dropDown(array('type' => $refresh_options, 'name' => "data[mailRefresh]", 'value' => getPref('mailRefresh'), 'size' => 32, 'label' => '' . $L['mailCheckForNewPOPMailEvery'] . ''));
$mail_rows['mailRefresh'] = $refresh_options_select_html;


// --
$num_messages_format = array(
	'' => '',
	'10' => '10',
	'15' => '15',
	'20' => '20',
	'25' => '25',
	'30' => '30',
	'35' => '35',
	'40' => '40',
	'45' => '45',
	'50' => '50',
	'60' => '60',
	'80' => '80',
	'100' => '100',
	'150' => '150',
	'200' => '200'
);
$num_messages_format_select_html = dropDown(array('type' => $num_messages_format, 'name' => "data[mailindexListSize]", 'value' => getPref('mailindexListSize'), 'size' => 32, 'label' => '' . $L['mailNumberOfMailMessagesPerPage'] . ''));
$mail_rows['mailindexListSize'] = $num_messages_format_select_html;


// mailSubjectLinkLength
$amount_display = array(
	'' => '',
	'30' => '30',
	'50' => '50',
	'100' => '100',
	'All' => $L['ListAll']
);
$mail_rows['mailSubjectLinkLength'] = dropDown(array('type' => $amount_display, 'name' => "data[mailSubjectLinkLength]", 'value' => getPref('mailSubjectLinkLength'), 'size' => 32, 'label' => $L['mailSubjectLinkLength']));


//
$delete_format = array(
	'1' => 'Allow',
	'0' => 'Disallow'
);
$delete_format_select_html = dropDown(array('type' => $delete_format, 'name' => "data[mailAllowDeleteTrash]", 'value' => getPref('mailAllowDeleteTrash'), 'size' => 32, 'label' => '' . $L['mailMailDeletionPrivileges'] . ''));
$mail_rows['mailAllowDeleteTrash'] = $delete_format_select_html;


$mail_rows['mailDefaultCcAddresses'] = formInput(array('type' => 'text', 'name' => "data[mailDefaultCcAddresses]", 'value' => getPref('mailDefaultCcAddresses'), 'size' => 32, 'maxlength' => 64, 'label' => $L['mailDefaultCcAddresses']));
// 
$mail_rows['mailDefaultBccAddresses'] = formInput(array('type' => 'text', 'name' => "data[mailDefaultBccAddresses]", 'value' => getPref('mailDefaultBccAddresses'), 'size' => 32, 'maxlength' => 64, 'label' => $L['mailDefaultBccAddresses']));
// 
$mail_rows['mailDefaultSubject'] = formInput(array('type' => 'text', 'name' => "data[mailDefaultSubject]", 'value' => getPref('mailDefaultSubject'), 'size' => 32, 'maxlength' => 64, 'label' => $L['mailDefaultSubject']));
// 
//$mail_rows['mailDefaultSalutation'] = formInput(array('type' => 'text', 'name' => "data[mailDefaultSalutation]", 'value' => getPref('mailDefaultSalutation'), 'size' => 32, 'maxlength' => 64, 'label' => $L['mailDefaultSalutation']));

//
if ($SERVICES->isLicenceFileExisting()) {
	
	$tag_options = array(
		'1' => $L['Yes'],
		'0' => $L['No']
	);
	$include_tag = dropDown(array('type' => $tag_options, 'name' => "data[mailIncludeTagline]", 'value' => getPref('mailIncludeTagline'), 'size' => 32, 'label' => '' . $L['mailIncludeTagline'] . ''));
	$mail_rows['mailIncludeTagline'] = $include_tag;
}



// mail encoding
$mail_encoding = array(
	'iso-8859-1' => 'iso-8859-1',
	'iso-8859-2' => 'iso-8859-2',
	'iso-8859-9' => 'iso-8859-9'
);
$mail_rows['mailEncoding'] = dropDown(array('type' => $mail_encoding, 'name' => "data[mailEncoding]", 'value' => getPref('mailEncoding'), 'size' => 32, 'label' => $L['mailEncoding']));

$smtp_db =& $m->getDatabaseTable('smtp_account');

$items = $smtp_db->getItems();
$smtp = array();
if (is_array($items)) {
	foreach ($items as $k => $v) {
		$smtp[$k] = $v['name'];
	}
}
$mail_rows['mailSMTP'] = dropDown(array('type' => $smtp, 'name' => "data[mailSMTP]", 'value' => getPref('mailSMTP'), 'size' => 32, 'label' => $L['mailSMTP']));

// default constraint
$constraints = array(
	'0'      => $L['LabelNone'],
	'mine'   => $L['labelQfilterMine'],
	'alert'  => $L['labelQfilterAlert'], 
	'unseen' => $L['labelQfilterUnseen']
);
$mail_rows['mailDefaultConstraint'] = dropDown(
	array(
		'type' => $constraints, 
		'name' => "data[mailDefaultConstraint]", 
		'value' => getPref('mailDefaultConstraint'), 
		'size' => 32, 
		'label' => $L['DefaultConstraint']
	)
);

// Show confirmation message after sending an email

$show_sent_conf = array(
	'1' => $L['Yes'],
	'0' => $L['No']
);
$mail_rows['mailShowSentItemConfirmation'] = dropDown(
	array(
		'type' => $show_sent_conf, 
		'name' => "data[mailShowSentItemConfirmation]", 
		'value' => getPref('mailShowSentItemConfirmation'), 
		'size' => 32, 
		'label' => '' . $L['mailShowSentItemConfirmation'] . ''
	)
);


// --------------------------------------
//add rows array to global prefs_rows array
$pref_rows['Mail'] = $mail_rows; 

?>