<?php
require_once("../../prepend.inc");
/**
 * Add a document
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Mail
 */

includeWebMAT('edit.inc');

global $SERVICES;
$SERVICES->getService('FileSystem');


/**
 * Add a document
 * @package Mail
 */
class CustomEdit extends WebMATEdit {
	/**
	 *
	 * @param int $id Passed by reference.
	 * @param array $item Passed by reference.
	 * @param string $error_msg
	 */
	function beforeForm(&$id, &$item, &$error_msg) {
		// Senthil 20050705 Display the attached document information - Begin		
		$list_a = array();
		
		// Phil 20070306 Calculate number of attachments, 
		// add to item edit form and resize the curr_attachments text area
		$num_attachments = $num_docs = $num_files = $num_strings = 0; 
		
		if (is_array($_SESSION[$this->form_values['hash']]['documents'])) {
			$num_docs = sizeof($_SESSION[$this->form_values['hash']]['documents']);
			foreach ($_SESSION[$this->form_values['hash']]['documents'] as $k => $v) {
				$fsize = round($v['size']/1024,2);  // Ranga 20050705
				$list_a[] = $v['filename'] . ' ('. $fsize .'KB)';
			}
		}
		
		// String attachments
		if (is_array($_SESSION[$this->form_values['hash']]['strings'])) {
			$num_strings = sizeof($_SESSION[$this->form_values['hash']]['strings']);
			foreach ($_SESSION[$this->form_values['hash']]['strings'] as $k => $v) {
				$fsize = round($v['size']/1024,2);
				$list_a[] = $v['name'] . ' ('. $fsize .'KB)';
			}
		}
		
		
		if (is_array($_SESSION[$this->form_values['hash']]['files'])) {
			$num_files = sizeof($_SESSION[$this->form_values['hash']]['files']);
			foreach ($_SESSION[$this->form_values['hash']]['files'] as $k => $v) {
				$fsize = round($v['size']/1024,2); 
				$list_a[] = $v['name'] . ' ('. $fsize .'KB)';
			}
		}
		
		// Phil 20070306
		$num_attachments = ($num_docs + $num_files + $num_strings - 1);
		$num_attachments = max($num_attachments, 1);
		
		if (!empty($list_a)) {
			// $lists = implode(', ', $list_a);
			$lists = implode('\r\n', $list_a);
		} else {
			$lists = '';
		}
		
		// Senthil 20050705 Display the attached document information - End
		$this->output->addInitJS('" onunload="processClose()'); // onunload=""');
		$this->output->setWhitespaceCompressionSwitch(false);
		$js = '<script type="text/javascript" language="javascript">
		function processClose() {				
			window.opener.document.forms["mainform"].elements["item[curr_attachments]"].value="' . $lists . '";	
			window.opener.document.forms["mainform"].elements["item[curr_attachments]"].rows = ' . $num_attachments . ';
		}
		</script>
			';
		$this->output->addToHead($js);
		
		// set the multiselect
		$select = array();
		if (is_array($_SESSION[$this->form_values['hash']]['documents'])) {
			//print_r($_SESSION[$this->form_values['hash']]['documents']);
			foreach ($_SESSION[$this->form_values['hash']]['documents'] as $k => $v) {
				$select[$k] = $v['filename'];
			}
			$this->dd->changeAttributes(array('field_key' => 'curr_documents', 'dropdown_values' => $select, 'notnull' => 1));
		}
		// $this->dd->changeAttributes(array('field_key' => 'version_id', 'tag_extras' => ' onChange="alert(\'hello\')" ')); //submit()" '));
		$item['document_iframe'] = '../../modules/Documents/documents_selector.php';
		// $item['document'] = '../Documents/documents_selector.php';
		// $dd_item['content']['type'] = 'iframe';
		// $dd_item['content']['rows'] = 400;
		// $dd_item['content']['value'] = 'content.php?id=' . $item['id']; //$content;
	}
	
	/**
	 *
	 * @param array $item
	 * @param string $error_msg
	 */
	function getFieldRows($item, $error_msg) {
		global $L;
		$content = '';
		// Phil, TODO: check that changes to WebMATEdit::getFieldRows dont need to be appllied here (handleMetaFields)
		foreach ($this->dd->getDataStructureWithData($item) as $k => $v) {
			
			if ($v['field_key'] == 'curr_documents') {
				
				if (empty($_SESSION[$this->form_values['hash']]['documents'])) {
					continue;
				}
				
				// add remove submit button after
				$html_field = $this->output->getHtmlField($v);
				
				$content .= '
				<tr>
					<th>' . $v['label'] . (isset($v['notnull'] ) && $v['notnull'] ? '*' : '') .'</th>'
					. '<td>' . $html_field . ($error_msg ? '<br>' . $this->getAlert($error_msg) . '<br>&nbsp;' : '') . '<br>' . $this->output->getHtmlSubmit($L['mailRemove'], 'submit2', 'value=remove') . '</td>
				</tr>
				';
			} else {
				$content .= $this->output->getHtmlFieldRow($v, $error_msg[$v['field_key']]);
			}
		}
		return $content;
	}
	
	/**
	 *
	 * @param array $item Passed by reference.
	 * @param array $fields Passed by reference.
	 * @param string $error_msg
	 */
	function beforeDBWrite(&$item, &$fields, &$error_msg) {  //passed by reference
		//any other processing before posting to database
		// do the removal for any removed attachments
		if ($this->form_values['submit2'] == 'Remove') {
			if (is_array($item['curr_documents'])) { // Phil 20070306
				foreach ($item['curr_documents'] as $k => $v) {
					if (isset($_SESSION[$this->form_values['hash']]['documents'][$v])) {
						unset($_SESSION[$this->form_values['hash']]['documents'][$v]);
					}
				}
			}
		}
		
		// reform the list of attachments for main email form
		$list_a = array();
		if (is_array($_SESSION[$this->form_values['hash']]['documents'])) {
			foreach ($_SESSION[$this->form_values['hash']]['documents'] as $k => $v) {
				$list_a[] = $v['filename'] . ' (' . $v['size'] . ')';
			}
		}
		if (is_array($_SESSION[$this->form_values['hash']]['files'])) {
			foreach ($_SESSION[$this->form_values['hash']]['files'] as $k => $v) {
				$list_a[] = $v['name'] . ' (' . $v['size'] . ')';
			}
		}
		if ($this->form_values['submit2'] != 'Remove') {
			$list_a[] = $item['filename'] . ' (' . $item['size'] . ')';
		}
		if (!empty($list_a)) {
			$list = implode(', ', $list_a);
		} else {
			$list = '';
		}
		
		if ($this->form_values['submit2'] != 'Remove') {
			$_SESSION[$this->form_values['hash']]['documents'][] = $item;
		}
		
		$this->main();
		exit();
	}
	
	/**
	 * Close window js added to submit button
	 */
	function getSubmitRow() {
		global $L;
		$content = '
		<tr>
			<td>&nbsp;</td>
			<td align="left">' . 
			$this->output->getHtmlSubmit($L['mailReturnToEmail'], 'submitReturnToEmail', 'onClick="processClose(); window.close();"') . '</td>
		</tr>';
		return $content;
	}	
	
	/**
	 * Submits, sets return page
	 */
	function run() {
		if (isset($this->form_values['item'])) {
			$this->submit = 1;
			$this->doSubmit();
		}
		//Session set here so that it only happens once per edit
		$_SESSION['return_page'] = $_SERVER["HTTP_REFERER"];
	}
	
	/**
	 * Functionality disabled
	 *
	 * @deprecated version 4.153.00
	 * @see getPastLinksTable
	 */
	function getLastViewedRow() {
			return '';
	}	
	
	/**
	 * Functionality disabled
	 */
	function getPastLinksTable() {
		return false;
	}
	
	/**
	 * Functionality disabled
	 *
	 * @deprecated version 4.153.00
	 * @see getActionLinksContent
	 */
	function editTableLinks(& $links, $id, $item) {
		$links = array();
	}
	
	/**
	 * Bosco 20050817 | Overridden to remove Config Filter Links after selecting Document 
	 */
	function getTableLinks($item) {
		return array();
	}
	
	/**
	 * Functionality disabled
	 */
	function getActionLinksContent() {
		return false;
	}
	
	/**
	 * returns the title row array
	 *
	 * @param string $contact_id the contact id if required
	 * @return string a string containing the menu items
	 */
	function getTitleRowLinks() {
		$title_links = array(
			'bookmark' => 'off',
			'refresh' => 'off',
			'back'	=>'off',
			'help' => '-1'
		);
		return $title_links;
	}
}

$customEdit = new CustomEdit('Mail', 'document', $_POST, $_GET); 
$customEdit->run();
$customEdit->main();
?>
