<?php
require_once("../../prepend.inc");
/** 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 */

includeWebMAT('multi_edit.inc');

/**
 * Mail multi-edit page
 *
 * Enables certain fields to be displayed as text / read_only, then removes from item before updating database.
 *
 * @author Phil Calder
 * @package Mail
 */
class MailItemWebMATMultiEdit extends WebMATMultiEdit {
	
	/**
	 * Sets read only fields and calls parent
	 * 
	 * @author Phil Calder
	 */
	function run() {
		// print '<br>run ' . __FILE__ . '<hr>';
		$this->alterDataDefinition();
		parent::run();
	}
	
	
	/**
	 * Sets read only fields and calls parent
	 * 
	 * @author Phil Calder
	 */
	function main($method = false, $values = false, $error_msgs = false) {
		// print '<br>main ' . __FILE__ . '<hr>';
		$this->alterDataDefinition();
		parent::main($method, $values, $error_msgs);
	}
	
	/**
	 * Sets read only fields
	 */
	function alterDataDefinition() {
		$this->dd->changeAttributes(
			array(
				'field_key' => 'subject', 
				'read_only' => '1',
				'type' => 'free'
			)
		);
		$this->dd->changeAttributes(
			array(
				'field_key' => 'sender', 
				'read_only' => '1',
				'type' => 'free'
			)
		);
		$this->dd->changeAttributes(
			array(
				'field_key' => 'recipient', 
				'read_only' => '1',
				'type' => 'free'
			)
		);	
	}
	
	/**
	 * Unsets certain fields then calls parent
	 *
	 * @param array $item the item array
	 * @return array containing the item id and the error message(language key) if an error message is present
	 */
	function setItem($item = false) {
		if (is_array($item)) {
			bcrm_unset($item, 'subject');
			bcrm_unset($item, 'sender');
			bcrm_unset($item, 'recipient');
		}
		return parent::setItem($item);
	}
}
?>