<?php
/**
 * The custom edit class for the Mail module
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Mail
 */


class MailSettingsWebMATEdit extends WebMATEdit {


	/**
	 * Create, edit, remove the links, as appropriate for the given item (overrides parent)
	 *
	 * @param array $links The array of links for the item
	 * @param int $id
	 * @param array $item
	 */
	function editTableLinks(& $links, $id, $item) {
		if (array_key_exists('mailReply', $links)) {
			$links['mailReply'] = '';
		}
		if (array_key_exists('mailReplyAll', $links)) {
			$links['mailReplyAll'] = '';
		}
	}


	/**
	 * Over-ride the parent to disply a more appropriate title
	 */
	function getTitleText() {
		global $L;
		return $L['mailTitle_settingsedit'];
	}
}

?>