<?php
/**
 * The data definition for the item table
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Mail
 */

// Add data definition fields from database (standard and custom fields)
global $SERVICES, $L;
$SERVICES->getService('DataDefinition');
$SERVICES->getService('Output');

$data_definition['fields'] = $SERVICES->datadefinition->getFields('Mail__item');

$data_definition['data_options'] = $SERVICES->datadefinition->getOptions('Mail__item');

// make some alterations to the data definition - like setting the list label to be a tiny pic
$data_definition['fields']['attachments']['list_label'] = $SERVICES->output->getImageTag('img/mailAttmt.gif', $L['mailAttachment']);
$data_definition['fields']['action_required']['list_label'] = $SERVICES->output->getImageTag('img/mailActRq.gif', $L['mailActionRequired']);
$data_definition['fields']['checked_out']['list_label'] = $SERVICES->output->getImageTag('img/mailChOut.gif', $L['mailCheckedOutLabel']);
$data_definition['fields']['is_replied']['list_label'] = $SERVICES->output->getImageTag('img/mailRepld.gif', $L['mailReplied']);

// if we want to use a rich text editor (ex: htmlArea, Xinha, FCKEdit), the body textarea needs an id.
// originally the Output service did not account for this, so we get sneaky and put it in as a 'tag_extra'
// **note: as is standard, no other object on the page can have the same id
$data_definition['fields']['content']['tag_extras'] = ' id="message_body"';
$data_definition['fields']['signature']['tag_extras'] = ' id="body_signature"'; //Senthil 20050624
// 
$data_definition['fields']['content']['width']=523; // 20050616 Senthil.S To Minimize the Content
$data_definition['fields']['signature']['width']=523;  // 20050616 Senthil.S To Minimize the Siganture 

$data_definition['data_options']['advanced_filter'] = array(
	'method' => 'include',
	'values' => array('subject','sender','recipient','cc','bcc','view_group_id','edit_group_id','owner_group_id','admin_group_id'),
	'options' => array('dropdown_values' => 1)
)

?>