<?php
require_once("../../prepend.inc");
/**
 * The edit page
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Mail
 */

includeWebMAT('edit.inc');

class CustomEdit extends WebMATEdit{

	function beforeForm(&$id, &$item, &$error_msg) {
		$item['password'] = base64_decode($item['password']);

		// if no 'id', means we're adding, so default the message values
		// to the same as the others
		if (!isset($item['id'])){
			$item['message_view_group_id'] = $item['view_group_id'];
			$item['message_edit_group_id'] =  $item['edit_group_id'];
			$item['message_owner_group_id'] =  $item['owner_group_id'];
			$item['message_admin_group_id'] =  $item['admin_group_id'];
		}
		
		$this->output->setFormAutoCompleteOff();
	}
	
	function beforeDBWrite(&$item){
		global $USER;
		//echo 'beforeDBWrite';
		//echo '<br>';
		
		//
		//if its a new record, set the creator id, else unset it
		if(!isset($item['id'])){
			$item['creator_id'] = $USER['id'];
		}
		
		//base 64 encode the password
		$item['password'] = base64_encode($item['password']);
		
	}

}


$customEdit = new CustomEdit('Mail', 'edit', $_POST, $_GET, 'pop_account'); 

$customEdit->run();

$customEdit->main();

?>
