<?php
/**
 * Contains the User Preferences name and details
 *
 * Use this file to set up Company / User Preferences which are configured from 
 * Admin. This file is included by Front/preferences.php for User Preferences 
 * and UserAdmin/preferences.php for Company Preferences.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Memo
 */


// use this file to set up Company / User Preferences which are configured from Admin
// this file is included by 
// Front/preferences.php for User Preferences
// and 
// UserAdmin/preferences.php for Company Preferences


global $SERVICES, $L;
	
$mod =& $SERVICES->modules->getModule("Memo");
$prefs_items = array();

//When adding a new pref, you MUST insert the key and default value into the System.prefs_key table
//eg
/*
INSERT INTO `prefs_key` ( `id` , `pref_key` , `default_value` ) 
VALUES ( '', 'memoListSize', '10' );
*/


//
$options = array('' => '', '5' => '5', '10' => '10', '20' => '20', '30' => '30', '50' => '50', '100' => '100', 'All' => $L['ListAll']);
$prefs_items['memoindexListSize'] = dropDown(array('type' => $options, 'name' => "data[memoindexListSize]", 'value' => getPref('memoindexListSize'), 'size' => 32, 'label' => $L['memoListSize']));
//

$trim_options = array('10' => '10', '25' => '25', '50' => '50', '100' => '100', 'All' => $L['ListAll']);

$num_recipients_options = array(
	'1' => '1', 
	'2' => '2', 
	'3' => '3', 
	'4' => '4', 
	'5' => '5', 
	'10' => '10', 
	'15' => '15', 
	'20' => '20', 
	'25' => '25', 
	'All' => $L['ListAll']
);

$prefs_items['memoRecipientLength'] = dropDown(array('type' => $num_recipients_options, 'name' => "data[memoRecipientLength]", 'value' => getPref('memoRecipientLength'), 'size' => 32, 'label' => $L['memoRecipientLength']));
$prefs_items['memoTitleLength'] = dropDown(array('type' => $trim_options, 'name' => "data[memoTitleLength]", 'value' => getPref('memoTitleLength'), 'size' => 32, 'label' => $L['memoTitleLength']));


//add memo rows array to global prefs_rows array
$pref_rows['Memo'] = $prefs_items; 

?>