<?php
/**
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Memo
 */

/**
 * Memo mass edit class - provides mass archive functionality
 * 
 * @package Memo
 */ 
class MemoItemWebMATMassEdit extends WebMATMassEdit {
	
	/**
	 * sets the submit variable
	 */
	function setSubmitVariable() {
		if ($this->form_values['archive']) {
			$this->archive = $this->form_values['archive'];
			$this->delete = false;
			$this->submit = false;
		}
	}
	
	/** 
	 * sets the $ids class variable
	 */
	function setIdsVariable() {
		if ($this->form_values['archive']) {
			$ids_session = $this->form_values['archive'];
		} else {
			$ids_session = $this->form_values['delete'];
		}
		
		$this->ids = $_SESSION[$ids_session];
	}
	
	/**
	 * Changed to make is possiable to archive an item
	 */
	function doSubmitEnd($id = false) {
		if ($this->archive) {
			foreach ($this->ids as $id) {
				$this->archive = $id;
				$this->db_functions->archiveItem($this->archive);
			}
			header('Location: index.php');
			exit();
		}
	}
	
	/**
	 * Will submit on form values 'delete' or 'archive'
	 */
	function run() {
		if (isset($this->form_values['delete']) || isset($this->form_values['archive'])) {
			$this->doSubmit();
		}
		parent::run();
	}
}
?>