<?php
/**
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Opportunities
 * @author Phil Calder
 */

/**
 * Includes calculates total for amount field
 *
 * @package Opportunities
 * @author Phil Calder
 */ 
class itemOpportunitiesDatabaseTable extends WebMATDatabaseTable {
	
	/**
	 * @var amount_total
	 * @access private
	 */
	var $amount_total = 0;
	
	/**
	 * The constructor for itemOpportunitiesDatabaseTable
	 *
	 * @param string $module_name the module name
	 * @param array $data_definition the data definition
	 */
	function itemOpportunitiesDatabaseTable($module_name, $data_definition) {
		$this->table_name = 'Opportunities__item';
		$this->WebMATDatabaseTable($module_name, $data_definition); //calls the constructor for WebMATDatabaseTable
	}
	
	/**
	 * Calculates a calculated value
	 * 
	 * @param array $dd_item the items with dd structure
	 */
	function calculateValues(& $dd_item, $item) {
		// print '<div>item[id]: ' . $item['id'] . ' amount: ' . $item['amount'] . '</div>';
		//$dd_item['field_key']['value'] = $dd_item['field_key']['value'] + $dd_item['field_key']['value'];
		if (is_array($item) && isset($item['id']) && $item['id'] && isset($item['amount']) && $item['amount']) {
			if (function_exists('floatVal')) { // php >= 4.2.0
				$this->amount_total += floatVal($item['amount']);
				// print '<div>running total: ' . $this->amount_total . '</div>';
			}
		}
	}
	
	function getAmountTotal() {
		return $this->amount_total;
	}
}
?>