<?php
/**
 * The main display page
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Mail
 */

/**
 * Displays an amount total summary
 * 
 * @package Mail
 * @author Phil Calder
 */
class OpportunitiesItemWebMATList extends WebMATList {
	
	function getSummaryContent() {
		$content = '';
		if ($description = $this->getAmountTotal()) {
			if (strlen($description)) {
				$padding = true;
				$content = $this->output->getBeginRow('', true) . '<td id="bodyCell"' . ($padding ? 'style="padding: 10px"' : '') . '>';
				$content .= $description;
				$content .= '</td>' . $this->output->getEndRow(true);
			}
		}
		return $content;
	}
	
	function getAmountTotal() {
		$total = false;
		if ($total = $this->db_functions->getAmountTotal()) {
			$tmp_field = array(
				'type' => 'currency',
				'value' => $total
			);
			$total = $this->output->getStringField($tmp_field);
			global $L;
			// $total = '<strong>' . $L['opportunitiesAmountTotal'] . '</strong>: ' . $total;
			$total = $L['opportunitiesAmountTotal'] . ': ' . $total;
		}
		return $total;
	}
}
?>