<?php
require_once("../../prepend.inc");
/**
 * Combine contacts form.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Search
 * @author Phil Calder
 */

global $SERVICES;
$SERVICES->getService('Modules');

$output =& $SERVICES->getService('Output');

$search_mod  =& $SERVICES->modules->getModule('Search');
$contact_mod =& $SERVICES->modules->getModule('Contact');

function getContacts() {
	global $contact_mod, $contacts;
	
	$db_functions =& $contact_mod->getDatabaseTable('item');
	$items = array();
	
	foreach ($contacts as $id => $v) {
		
		if ($v) {
			// print '<p>id: ' . $id . '</p>';
			$item = $db_functions->getItem($id);
			if ($db_functions->isEditable($v['id'], $item)) {
				$items[$id] = $item;
			}
			
		}
		
	}
	
	return $items;
	
}

function getFieldDefinitions() {
	global $contact_mod;
	
	$db_functions =& $contact_mod->getDatabaseTable('item');
	
	$fields = $db_functions->getDataDefinitionFields();
	
	// print '<div>fields</div>'; print_r($fields); print '<hr>';
	
	$field_types = array();
	foreach ($fields as $k => $v) { 
		
		// $field_types[$v['field_key']] = array(
			// 'type' => $v['type']
		// );
		$field_types[$v['field_key']] = $v;
		
	}
	
	return $field_types;
	
}

function getModulesToReassignFor() {
	
	global $SERVICES;
	$SERVICES->getService('Config');
	$SERVICES->getService('Modules');
	$modules_to_reassign =& $SERVICES->config->lookup('modules.Contact.reassign');
	
	$items = array();
	
	if (is_array($modules_to_reassign)) {
		
		foreach ($modules_to_reassign as $k => $v) {
			
			// print '<div>Module: ' . $v['module'] . '</div>';
			$temp_mod =& $SERVICES->modules->getModule($v['module']);
			
			if (method_exists($temp_mod, 'reassignItemForcontact')) {
				
				$items[$v['module']] = $temp_mod;
				
			}
			unset($temp_mod);
			
		}
	
	}
	
	return $items;
	
}

/**
 * Calls the Contact module delete method for the given item
 *
 * @param integer $id The contact id
 * @author Phil Calder
 */
function deleteContact($id) {
	global $contact_mod;
	
	// $db_functions =& $contact_mod->getDatabaseTable('item');
	// 
	// return $db_functions->deleteItem($id);
	$contact_mod->deleteItem($id);
	
}

function doRedirect($contact_id) {
	
	header('Location: ../Contact/contact_view.php?id=' . $contact_id);
	
	exit();
	
}

function doSubmit() {
	global $contacts, $contact_master, $combine, $item, $contact_fields, $search_mod, $contact_mod;
	
	// print_r($_POST); print '<hr>'; 
	// print '<p>master: ' . $contact_master . '</p>';
	// print '<p>contacts:<br>'; print_r(array_keys($contacts)); print '</p>';
	
	$items = getContacts();
	
	$new_contact = array();
	
	foreach($combine as $k => $v) {
		
		$new_contact[$k] = $items[$v][$k];
		
	}
	
	$new_contact['id'] = $contact_master;
	
	// print_r($new_contact);
	
	$db_functions =& $contact_mod->getDatabaseTable('item');
	$db_functions->setItem($new_contact);
	
	
	// print '<p>combine: </p>';
	// print_r($combine);
	// print '<hr>';
	// exit();
	
	$items = getContacts();
	$modules = getModulesToReassignFor();
	
	foreach (array_keys($items) as $contact_id) {
		
		// print '<hr>';
	
		if ($contact_id != $contact_master) {
			
			foreach ($modules as $mod_name => $mod) {
				
				// print '<div>' . $mod_name . '::reassignItemForcontact(' . $contact_id . ', ' . $contact_master . ')</div>';
				$mod->reassignItemForcontact($contact_id, $contact_master);
				
			}
			
			deleteContact($contact_id);
			
		}
		
	}
	
	doRedirect($contact_master);
	
	// -----------------------------------------
	// print_r($items); print '<hr>';
	
	// print_r(array_keys($modules)); print '<hr>';
	
}

function displayCombine() {
	global $contacts, $contact_master, $search_mod, $contact_mod, $output;
	
	// ------- Phil - testing ----------------
	/**
	$db_functions =& $contact_mod->getDatabaseTable('item');
	
	$data_definition = $db_functions->getDataDefinition();
	$data_option = ''; // todo - change this to  'combine'
	
	// print '<div>data_definition</div>'; print_r($data_definition); print '<hr>';
	
	$contact_dd = getWebMATObject(
		'WebMATDataDictionary', 
		'Contact', 
		array(
			'data_definition' => $data_definition, 
			'data_option' => $data_option
		)
	);
	
	$items = getContacts();
	$items_w_data = array();
	
	if (is_array($items)) {
		foreach ($items as $k => $v) {
			$items_w_data[$k] = $contact_dd->getDataStructureWithData($v);
		}
	}
	// print_r($items_w_data); exit('-----------');
	// print '<div>contact_dd->data_dictionary</div>'; print_r($contact_dd->data_dictionary); print '<hr>';
	if (is_array($contact_dd->data_dictionary)) {
		foreach ($contact_dd->data_dictionary as $k_1 => $v_i) {
			$row = array();
			// $row[] = $v_i['field_key'] . ' - ' . $v_i['label'];
			$row[] = ($v_i['label'] ? $v_i['label'] : $v_i['field_key']);
			foreach ($items_w_data as $k => $v) {
				$row[] = $v[$v_i['field_key']]['value'];
				// print_r($v); print '<hr>';
			}
			// print '<div>row</div>'; print_r($row); print '<hr>';
		}
	}
	exit('---------- exit ------------');
	
	
	// print_r($contact_dd); exit('-----------');
	*/
	// ------- end test ----------------------
	
	$items = getContacts();
	
	// print_r($items);
	
	$field_definitions = getFieldDefinitions();
	
	// print_r($field_types); exit('---');
	// print '<p>master: ' . $contact_master . '</p>';
	
	$hidden_fields = '';
	$hidden_fields .= $output->getHtmlField(
		array(
			'label' => '',
			'type' => 'hidden', 
			'field_key' => 'contact_master',
			'value' => $contact_master
		)
	);
	
	$fields = array_keys($tmp_keys = current($items));
	
	// print_r($fields); print '<hr>'; print_r($items); print '<hr>';
	
	$header = array('Fields');
	foreach ($items as $k => $item) {	
		
		$hidden_fields .= $output->getHtmlField(
			array(
				'label' => '',
				'type' => 'hidden', 
				'field_key' => 'contacts][' . $k,
				'value' => '1'
			)
		);
		
		if ($item['active']) {
			$header[] = ''; // for the checkbox
			$header[] = $k;
			$header[] = ''; // for spacing
		} else {
			bcrm_unset($items, $k);
		}
		
		
	}
	
	$table_content = '';
	foreach ($fields as $fk => $fv) {
		
		// if (  $field_definitions[$fv]['type'] != 'hidden' ) {
		if ( $field_definitions[$fv]['type'] && $field_definitions[$fv]['type'] != 'hidden' ) {
			
			$row = array();
			// $row[] = $fv;
			$row[] = $field_definitions[$fv]['label'];
			
			foreach ($items as $k => $item) {
				
				if ($item['active']) { // Search combine returns deleted contacts as well - ignore these
					$checked = ($k == $contact_master ? ' checked' : '');
					
					// $row[] = '<input type="radio" name="item[combine[' . $fv . ']]" value="' . $k . '"' . $checked . '>';
					$row[] = '<input type="radio" name="item[combine][' . $fv . ']" value="' . $k . '"' . $checked . '>';

					$row[] = $output->getStringField(
						array(
							'type'  => $field_definitions[$fv]['type'], 
							'value' => $item[$fv], 
							'dropdown_values' => $field_definitions[$fv]['dropdown_values']
						)
					);
					$row[] = '';
					// print '<div>' . $fv . ': ' . $item[$fv] . '</div>'; print '<hr>';
				}
				
			}
			
			$table_content .= $output->getTableRow($row);
		
		}
		
	}
	
	global $PHP_SELF;
	
	$content = '';
	
	$content .= $output->getBeginForm($PHP_SELF);
	
	$content .= $hidden_fields;
	
	$content .= $output->getBeginTable();
	
	// --
	$content .= $output->getBeginNestedTable();
	
	$content .= $output->getHeaderRow($header);
	
	$content .= $table_content;
	
	$content .= $output->getEndNestedTable();
	// --
	
	$content .= $output->getSubmitRow();
	$content .= $output->getEndTable();
	$content .= $output->getEndForm();
	
	quickPage($content);
	
	exit();
	
}

function main() {
	global $contacts, $contact_master, $combine, $search_mod, $contact_mod, $item;
	
	$combine = ($combine ? $combine : $item['combine']);
	$contacts = ($contacts ? $contacts : $item['contacts']);
	$contact_master = ($contact_master ? $contact_master : $item['contact_master']);
	
	if (is_array($contacts) && (sizeof($contacts) > 1) && $contact_master) {
		
	} else {
		
		global $L;
		
		$content = $L['searchCombineRequire']; // 'No contacts to combine';
		quickPage($content);
		exit();
		
	}
	
	
	global $submit;
	
	if (isset($submit) && $submit && is_array($combine)) {
		
		doSubmit();
		
	} else {
	
		// print '<p>-- main -- display combine form </p>';
		displayCombine();
	
	}
	
}

main();

?>
