<?php
/**
 * Contains the User Preferences name and details
 *
 * Use this file to set up Company / User Preferences which are configured from 
 * Admin. This file is included by Front/preferences.php for User Preferences 
 * and UserAdmin/preferences.php for Company Preferences.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Tasks
 */

// use this file to set up Company / User Preferences which are configured from Admin
// this file is included by 
// Front/preferences.php for User Preferences
// and 
// UserAdmin/preferences.php for Company Preferences

global $SERVICES, $L;
	
$mod =& $SERVICES->modules->getModule('Tasks');
$prefs_items = array();

//When adding a new pref, you MUST insert the key and default value into the System.prefs_key table
//eg
/*
INSERT INTO `prefs_key` ( `id` , `pref_key` , `default_value` ) 
VALUES ( '', 'tasksListSize', '10' );
*/


//
$options = array(
	'' => '',  
	'5' => '5', 
	'10' => '10', 
	'20' => '20', 
	'30' => '30', 
	'50' => '50', 
	'100' => '100', 
	'All' => $L['ListAll']
);

$prefs_items['tasksindexListSize'] = dropDown(
	array(
		'type' => $options, 
		'name' => "data[tasksindexListSize]", 
		'value' => getPref('tasksindexListSize'), 
		'size' => 32, 
		'label' => $L['tasksListSize']
	)
);
//

//define prefs alert properties
$default_alert_time = $mod->getSharedVars('alert_in_advance');

$prefs_items['tasksDefaultAlertAdvance'] = dropDown(
	array(
		'type' => $default_alert_time, 
		'name' => "data[tasksDefaultAlertAdvance]", 
		'value' => getPref('tasksDefaultAlertAdvance'), 
		'size' => 32, 
		'label' => $L['tasksDefaultAlertTimeInAdvance'] 
	)
);

//
$default_alert_length = $mod->getSharedVars('alert_end');

$prefs_items['tasksDefaultAlertEnd'] = dropDown(
	array(
		'type' => $default_alert_length, 
		'name' => "data[tasksDefaultAlertEnd]", 
		'value' => getPref('tasksDefaultAlertEnd'), 
		'size' => 32, 
		'label' => $L['tasksAlertLengthAfterStartTime']
	)
);

//define prefs: default date
$default_date = array(	
	'0' => $L['tasksToday'],
	'1' => $L['tasksTomorrow'],
	'7' => $L['tasks7Days']
);

$prefs_items['tasksDefaultDate'] = dropDown(
	array(
		'type' => $default_date, 
		'name' => "data[tasksDefaultDate]", 
		'value' => getPref('tasksDefaultDate'), 
		'size' => 32, 
		'label' => $L['tasksDefaultDate']
	)
);

//define prefs: default time
$default_time = array(	
	'1' => $L['tasksCurrentTime'],
	'2' => $L['tasksEndOfDay']
);

$prefs_items['tasksDefaultTime'] = dropDown(
	array(
		'type' => $default_time, 
		'name' => "data[tasksDefaultTime]", 
		'value' => getPref('tasksDefaultTime'), 
		'size' => 32, 
		'label' => $L['tasksDefaultTime']
	)
);

$amount_display = array(
	'' => '',
	'30' => '30',
	'50' => '50',
	'100' => '100',
	'All' => $L['ListAll']
);
$prefs_items['tasksSummaryDescriptionLength'] = dropDown(
	array(
		'type' => $amount_display, 
		'name' => "data[tasksSummaryDescriptionLength]", 
		'value' => getPref('tasksSummaryDescriptionLength'), 
		'size' => 32, 
		'label' => $L['tasksDescriptionLengthInTasksList']
	)
);

// default constraint
$constraints = array(
	'0'      => $L['LabelNone'],
	'mine'   => $L['labelQfilterMine'],
	'alert'  => $L['labelQfilterAlert'], 
	'unseen' => $L['labelQfilterUnseen']
);
$prefs_items['mailDefaultConstraint'] = dropDown(
	array(
		'type' => $constraints, 
		'name' => "data[tasksDefaultConstraint]", 
		'value' => getPref('tasksDefaultConstraint'), 
		'size' => 32, 
		'label' => $L['DefaultConstraint']
	)
);
	
//add tasks rows array to global prefs_rows array
$pref_rows['Tasks'] = $prefs_items; 
?>