<?php
/**
 * The list view class
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Tasks
 */

/**
 * @package Tasks
 * @author Phil Calder
 */
class TasksItemWebMATList extends WebMATList{
		
	/**
	 * Gets the table links and adds them to the item row
	 *
	 * @param array $table_row 
	 * @return array the table row array with the extra values.
	 */
	function getItemLinks($table_row, $item){
		if (!is_array($table_row)) {
			$table_row = array();
		}
		
		foreach ($this->getTableLinks($item) as $k => $v) {
			//you can remove links here
			if($k != 'delete'){
				$table_row[] = $v;
			}
		}
		return $table_row;
	}
	
	/**
	 * Handles the (optional) Close link
	 */
	function editTableLinks(& $links, $id, $item) {
		//do test
		if (!$item['is_closed']) {
			if($this->db_functions->isEditable($id,$item)){
			   $links['close'] = $this->output->getLinkHref(array('href' => $this->getFileSetHref('close'), 'text' => 'Close'));
			} else {
				$links['close'] = '&nbsp;';
			}
		} else {
			$links['close'] = '&nbsp;';
		}
		// Bosco 20060328 | To Remove Extra Close link
		bcrm_unset($links, 'tasksClose');
	}
	
	function getNewLinks() {
		global $L;
		$priority_link = false;
		if ($new_link = $this->getNewLink()) {
		
			$contact_id = $this->getContactId();
			$priority_link_href = str_replace(
				'%id%', 
				'', 
				(str_replace('%contact_id%', $contact_id ,$this->getFileSetHref('priority')))
			);
			$priority_link = array(
				'href' => $priority_link_href,
				'text' => $L['tasksLinkPriorityNew'],
				'icon' => 'add.png',
				'title' => $L['tasksLinkPriorityNew']
			);
		}
		
		return array(
			'new'   => $new_link, 
			'priority' => $priority_link
		);
	}
	
	// removed - version 5 - no priority tasks anymore
	// function getNewLink() {
		// $new_link = parent::getNewLink();
		// if (strlen($new_link)) {
			// $new_link = str_replace('%priority%', '0', $new_link);
		// }
		// return $new_link;
	// }
	
	// removed version 5 - no priority tasks
	// function replaceLinkVariables($id, $item, $links) {
		// if (is_object($this->mod)) {
			// $links = $this->mod->replaceLinkVariables($id, $item, $links);
		// }
		// return parent::replaceLinkVariables($id, $item, $links);
	// }
}
?>