<?php
/**
 * The data definition for the item table
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package Template
 */

/*
// Add data definition fields from database (standard and custom fields)
global $SERVICES;
$SERVICES->getService('DataDefinition');

$data_definition['fields'] = $SERVICES->datadefinition->getFields('Template__item');

$data_definition['data_options'] = $SERVICES->datadefinition->getOptions('Template__item');

global $SERVICES;
$mod =& $SERVICES->modules->getModule('Template');
//$db_functions =& $mod->getDatabaseTable('item');
*/

$data_definition = array (
	'fields' => array(
		'id'=> array('label'=>'', 'field_key'=>'id', 'type'=>'integer', 'hidden'=>1, 'priority_edit' => 100),	//mysql def is: int(11) default NOT NULL auto_increment
		
		// 'last_update'=> array('label'=>'', 'field_key'=>'last_update', 'type'=>'hidden'),	//not used by mysql, this will get updated to type='encoded'
		'last_update'=> array('label'=>'', 'field_key'=>'last_update', 'type'=>'integer_date', 'hidden'=>1, 'priority_edit' => 900),	//not used by mysql, this will get updated to type='encoded'
		
		'detail1'=> array('label'=>'Detail label1 (30)', 'field_key'=>'detail1', 'type'=>'text', 'explanation' => 'Search Field' , 'notnull'=>1, 'multi_edit_width' => 180, 'display_name' => 1, 'priority_edit' => 110),  //mysql def is varchar(30) default NULL
		'contact_id'=> array('label'=>'Contact', 'field_key'=>'contact_id', 'type'=>'contact', 'notnull'=>0, 'priority_edit' => 120),	//mysql def is: int(11) NOT NULL default '0'
		
		'detail2'=> array('label'=>'Password label2 (255)', 'field_key'=>'detail2', 'type'=>'password', 'maxlength'=>255, 'notnull'=>1, 'priority_edit' => 130),
		'detail3'=> array('label'=>'Detail label3 (10)', 'field_key'=>'detail3', 'type'=>'text', 'maxlength'=>10, 'notnull'=>1, 'default_value' => '45', 'multi_edit_width' => 100, 'priority_edit' => 140),	//mysql def is: varchar(10) default NULL
		'email'=> array('label'=>'Detail Email', 'field_key'=>'email', 'type'=>'email', 'maxlength'=>255, 'priority_edit' => 150),	//mysql def is: varchar(10) default NULL
		'detail_int1'=> array('label'=>'Detail integer1 ', 'field_key'=>'detail_int1', 'type'=>'integer', 'explanation' => 'Search Field', 'multi_edit_width' => 100, 'priority_edit' => 160),	//mysql def is: int(11) default NULL
		'detail_int2'=> array('label'=>'Detail integer2 (1-10)', 'field_key'=>'detail_int2', 'type'=>'integer', 'min'=>1, 'max'=>10, 'explanation' => 'This is my text', 'priority_edit' => 170),	//mysql def is: int(11) default NULL
		'detail_int3'=> array('label'=>'Detail integer3 ', 'field_key'=>'detail_int3', 'type'=>'integer', 'notnull'=>1, 'priority_edit' => 180),	//mysql def is: unsigned NOT NULL default '0'
		'detail_float1'=> array('label'=>'Detail float1 (10,2)', 'field_key'=>'detail_float1', 'type'=>'float', 'multi_edit_width' => 100, 'priority_edit' => 190),	//mysql def is: float(10,2) default NULL
		'detail_float2'=> array('label'=>'Detail float2 (10,2)', 'field_key'=>'detail_float2', 'type'=>'float', 'notnull'=>1, 'priority_edit' => 200),	//mysql def is: float(10,2) unsigned NOT NULL default '0.00'
		'detail_currency'=> array('label'=>'Detail Currency', 'field_key'=>'detail_currency', 'type'=>'currency', 'priority_edit' => 210),	//mysql def is: float(10,2) unsigned NOT NULL default '0.00'
		'detail_percentage'=> array('label'=>'Detail Percentage', 'field_key'=>'detail_percentage', 'type'=>'percentage', 'multi_edit_width' => 100, 'priority_edit' => 220),	//mysql def is: float unsigned NOT NULL default '0'
		'detail_long1'=> array('label'=>'Detail Longtext1', 'field_key'=>'detail_long1', 'type'=>'long_text',  'explanation' => 'Search Field', 'priority_edit' => 230),	//mysql def is: text
		'detail_long2'=> array('label'=>'Detail Longtext2', 'field_key'=>'detail_long2', 'type'=>'long_text', 'notnull'=>1, 'list_label' => 'Long2', 'list_detail_length' => 30, 'priority_edit' => 240),	//mysql def is: text
		'detail_long3'=> array('label'=>'Detail Longtext3 (max 64)', 'field_key'=>'detail_long3', 'type'=>'long_text', 'notnull'=>1, 'max'=>64, 'priority_edit' => 250),	//mysql def is: text
		'detail_date1'=> array('label'=>'Detail Date', 'field_key'=>'detail_date1', 'type'=>'date', 'priority_edit' => 260),	//mysql def is: date default NULL
		'detail_date2'=> array('label'=>'End Date', 'field_key'=>'detail_date2', 'type'=>'date', 'priority_edit' => 270),	//mysql def is: date default NULL
		'detail_date3'=> array('label'=>'Date', 'field_key'=>'detail_date3', 'type'=>'date', 'notnull'=>1 , 'default_value' => date("Y-m-d", mktime (0,0,0,date('m'),date('d')+14,date('Y'))), 'priority_edit' => 280 ),	//mysql def is: date default NULL
		'detail_date4'=> array('label'=>'Integer Date', 'field_key'=>'detail_date4', 'type'=>'integer_date', 'priority_edit' => 290),	//mysql def is: int(11) NOT NULL default '0'
		// Bosco 20050830 | Added Config Key 
		'dropdown_id'=> array('label'=>'Dropdown', 'field_key'=>'dropdown_id', 'type'=>'dropdown', 'dropdown_values'=>'__table(Template.dropdown)__', 'notnull'=>1, 'multi_edit_width' => 100, 'config_key' => 'template_dropdown', 'priority_edit' => 300),	//mysql def is: int(11) NOT NULL default '0'
		// Bosco 20050830 | Added Config Key 
		'dropdown2_id' => array('label'=>'Dropdown 2', 'field_key'=>'dropdown2_id', 'type'=>'dropdown', 'dropdown_values'=>'__table(Template.dropdown2)__', 'notnull'=>1, 'config_key' => 'template_dropdown2', 'priority_edit' => 310),	//mysql def is: int(11) NOT NULL default '0'
		// 'category_id' => array('label'=>$L['accountingCashbookCategory'], 'field_key'=>'category_id', 'type'=>'dropdown', 'dropdown_values'=>'__table(Template.nested_dropdown)__', 'notnull'=>1, 'show_parents' => 1),
		// 'category_id' => array('label'=>'Category (Cashbook)', 'field_key'=>'category_id', 'type'=>'dropdown', 'dropdown_values'=>'__table(Template.nested_dropdown)__', 'notnull'=>1, 'show_parents' => 1),
		
		'send_to_groups' => array('label'=>'Send To (groups)', 'field_key'=>'send_to_groups', 'type'=>'multi_select', 'dropdown_values'=>'__GROUPS__', 'notnull'=>1, 'csv' => '1', 'priority_edit' => 320),	//mysql def is: text
		// Bosco 20050830 | Added Config Key 
		'detail_multiple_ids' => array('label'=>'Multi_select', 'field_key'=>'detail_multiple_ids', 'type'=>'multi_select', 'dropdown_values'=>'__table(Template.dropdown)__', 'csv' => '1', 'config_key' => 'template_dropdown', 'priority_edit' => 330),	//mysql def is: text
		'detail_checkbox' => array('label'=>'Checkbox', 'field_key'=>'detail_checkbox', 'type'=>'checkbox', 'priority_edit' => 340),	//mysql def is: tinyint(1) NOT NULL default '0'
		'calc'=> array('label'=>'Calculated', 'field_key'=>'calc', 'type'=>'integer', 'notnull'=>1, 'calculated'=>1, 'priority_edit' => 350),	//Calculated Values
	
		// Foreign Fields - grabs data linked to a contact
		//contact id required using foreign fields array('label'=>'Email (foreign)', 'field_key'=>'AddressEmail__item.content', 'type'=>'text', 'foreign'=>1),	// Contacts primary email address
		//contact id required using foreign fields array('label'=>'Phone (foreign)', 'field_key'=>'AddressPhone__item.content', 'type'=>'text', 'foreign'=>1),	// Contacts primary phone number
		
		'view_group_id' => array('label'=>'Visible To (group)', 'field_key'=>'view_group_id', 'type'=>'dropdown', 'dropdown_values'=>'__GROUPS__', 'priority_edit' => 800),	//mysql def is: int(11) unsigned NOT NULL default '0'
		'edit_group_id' => array('label'=>'Editable By (group)', 'field_key'=>'edit_group_id', 'type'=>'dropdown', 'dropdown_values'=>'__GROUPS__', 'priority_edit' => 810),	//mysql def is: int(11) unsigned NOT NULL default '0'
		'owner_group_id' => array('label'=>'Assigned To (group)', 'field_key'=>'owner_group_id', 'type'=>'dropdown', 'dropdown_values'=>'__GROUPS__', 'priority_edit' => 820),	//mysql def is: int(11) unsigned NOT NULL default '0'
		'admin_group_id' => array('label'=>'Administered By (group)', 'field_key'=>'admin_group_id', 'type'=>'dropdown', 'dropdown_values'=>'__GROUPS__', 'priority_edit' => 830),	//mysql def is: int(11) unsigned NOT NULL default '0'
		
	
	),
	'data_options' => array(
		'edit' => array( 
			'options' => array('dropdown_values' => 1, 'exclude_calculated' => 1)
		),
		'multi_edit' => array(
			'method' => 'include',
			'values' => array('id', 'detail1', 'detail3', 'detail_int1', 'detail_float1', 'detail_percentage', 'dropdown_id', 'contact_id'),
			'options' => array('dropdown_values' => 1, 'exclude_calculated' => 1, 'exclude_hidden' => 1)
		),
		'list' => array(
			'method' => 'exclude',
			'values' => array('detail_date4', 'dropdown2_id', 'detail_int3', 'user_id', 'send_to_groups', 'editableby_group_id', 'group_id', 'detail_long3', 'detail_float1', 'detail_date2', 'detail_long1', 'detail2', 'detail3', 'detail_date1', 'detail_int2', 'detail_float2'),
			'options' => array('exclude_hidden' => 1, 'dropdown_values' => 1)
		),
		'search' => array(
			'method' => 'include',
			'values' => array('detail1','detail_long1','detail_int1'),
			// 'options' => array('search_title' => 'detail1', 'dropdown_values' => 1, 'exclude_calculated' => 1) // Search title removed (see display_name param for fields)
			'options' => array('dropdown_values' => 1, 'exclude_calculated' => 1)
		),
		// Deprecated v4
		// 'event' => array(
			// 'method' => 'include',
			// 'values' => array('detail1', 'detail_date1'),
			// 'options' => array('event_date' => 'detail_date3', 'exclude_calculated' => 1)
		// ),
		'desktop' => array(
			'method' => 'include',
			'values' => array('detail1', 'detail_date3')
		),
		'mass_list' => array(
			'method' => 'include',
			'values' => array('detail1'),
			'options' => array('exclude_calculated' => 1, 'exclude_hidden' => 1)
		),
		'contact_view' => array(
			'method' => 'include',
			'values' => array('detail1', 'detail_date3')
		)
	)
);
?>