<?php
require_once("../../prepend.inc");
/**
 * Administrators can edit the default email that can be sent when a 
 * contact is converted into a BrowserCRM user.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package UserAdmin
 * @author Phil Calder
 * Temporarily Disabled - needs reimplementing for version 5
 */
 
header('Location: ../../modules/Front/modules.php');
exit();

// ---------------------------------------------------------------------------------

$ua =& $SERVICES->getService('Authentication');
$ua->adminRestrict();
 
$SERVICES->getService('Language');
$SERVICES->language->getLanguage('UserAdmin');

$SERVICES->getService('Modules');
$uam =& $SERVICES->modules->getModule('UserAdmin');

$output =& $SERVICES->getService('Output');

$content = '';

// This page uses the UserAdmin module (uam) - this is NOT the same as the Authentication service (ua).

function getFormFields($item) {
	global $L, $ua, $output;
	
	//field definitions
	$fields =  array( 
		// array('label'=>'', 'field_key'=>'returnpage', 'type'=>'hidden'),
		array('label'=>$L['useradminAdminEmailSender'], 'field_key'=>'sender', 'type'=>'text', 'notnull'=>1, 'max'=>255), 
		array('label'=>$L['useradminAdminEmailSubject'], 'field_key'=>'subject', 'type'=>'text', 'notnull'=>1, 'max'=>255), 
		array('label'=>$L['useradminAdminEmailBody'], 'field_key'=>'body', 'type'=>'long_text', 'notnull'=>1), 
		array('label'=>$L['useradminAdminEmailURL'], 'field_key'=>'url', 'type'=>'text', 'notnull'=>1, 'max'=>255)
	);
	
	foreach ($fields as $k => $v) {
		
		$fields[$k]['value'] = $item[$v['field_key']];
		
	}
	
	return $fields;
	
}

function doSubmit() {
	global $PHP_SELF, $L, $mod, $ua, $uam, $output, $returnpage;
	
	$item = $_POST['item'];
	
	
	
	if ($_POST['submit']) {
		
		//server-side data validation goes here
		$fields = getFormFields($item);	//get field definitions
		
		$output->validateFields($item, $fields, $error_msg); //validate $item based on the definitions in $fields; $item values will get updated
		
		if (is_array($error_msg)) {		//if server-side validation errors, return to form
			main( $item['id'], $item, $error_msg);
			exit();
		}
		
		// print_r($item); exit();
		
		$uam->setEmailDefaults($item);
		
		header('Location: ../Admin/index.php');
		
		exit();
		
	}
	
}

function main($id = '', $item = '', $error_msg = '') {
	global $USER, $PHP_SELF, $L, $mod, $output, $ua, $uam;
	
	if (!$item) {  //item could be passed back from server-side data validation failure
		
		// -- New users can be sent a default email - if the relevant fields are not set, prompt the user todo so
		$item = $uam->getEmailDefaults();
			
	}
	
	
	//if page was called from events, preserve this for return
	if (!isset($item['returnpage'])) {
		
		if (isset($_GET['returnpage'])) {
			$item['returnpage'] = $_GET['returnpage'];
		}
		
	}	
	
	//initialise $content variable for the page
	$content = '';
	
	$content .= $output->getBeginTable();
	$content .= $output->getTitleRow($L['useradminLinkAdminEmailFields']);
	
	//nested data table ------------------
	$content .= $output->getBeginNestedTable();
	
	//form
	$content .= $output->getBeginForm($PHP_SELF);  
	//or, to exclude javascript input validation for your form, call it like this:   $content .= $output->getBeginForm($PHP_SELF, 0);
	
	foreach (getFormFields($item) as $k => $v) {
		
		//$v['value'] = $item[$v['field_key']];
		$content .= $output->getHtmlFieldRow($v, $error_msg[$v['field_key']]);
		
	}
	
	$content .= $output->getSpacerRow();
	$content .= $output->getSubmitRow();
	// $content .= $output->getSpacerRow();
	
	$content .= $output->getEndForm();
	//end form


	$content .= $output->getEndNestedTable();
	//end nested data table ------------------
	
	$content .= $output->getEndTable();
	
	$output->addToBody($content);
	
	$output->display();
	
	exit();

}


if (isset($_POST['submit'])) {
	
	doSubmit();
	
}



main();

?>