<?php
require_once("../../prepend.inc");
/**
 * Change a BrowserCRM username.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package UserAdmin
 * @author Phil Calder
 */

$ua =& $SERVICES->getService('Authentication');
$ua->adminRestrict();

$SERVICES->getService('Language');
$SERVICES->language->getLanguage('UserAdmin');

$output =& $SERVICES->getService('Output');

function doDisplay($user_id, $message = '') {
	global $SERVICES, $L, $ua, $output, $PHP_SELF;
	$content = '';
	$content .= $output->getBeginTable();
	// $content .= $output->getTitleRow($L['useradminModuleLabel']);
	
	if ($message) {
		// $content .= $output->getTextRow($output->getAlert($message));
		$content .= $output->getTextRow($message);
	}
	
	$content .= $output->getTextRow($L['useradminChangeUsernameFor'] . ' ' . $ua->users->getUsername($user_id));
	$content .= $output->getBeginForm($PHP_SELF);
	$content .= $output->getHtmlFieldRow(array('label'=>'', 'field_key'=>'user_id', 'type'=>'hidden', 'value'=>$user_id));
	$content .= $output->getBeginNestedEditTable();
	$content .= $output->getHtmlFieldRow(array('label'=>$L['useradminNewUsername'], 'field_key'=>'username', 'type'=>'text', 'value'=>$ua->users->getUsername($user_id)));
	$content .= $output->getSubmitRow();
	$content .= $output->getEndNestedTable();
	$content .= $output->getEndForm();
	$content .= $output->getEndTable();
	
	// $output->addToBody($content);
	// $output->display();
	// exit();
	
	// ---
	$action_links = array(
		'<a href="users.php">' . $L['useradminAdminUsersListAndMailAccounts'] . '</a>'
	);
	$output->toolbar_link_mode = true;
	$output->setActionLinksMenu((array)$action_links);
	$output->toolbar_link_mode = false;
	
	$window_layout = $output->getBeginTable('mainTbl', true);
	$window_layout .= $output->getTitleRow($L['useradminModuleLabel'], array('bookmark'=>'off'));
	$window_layout .= $output->getBeginRow('', true) . '<td id="bodyCell"' . ($padding ? 'style="padding: 10px"' : '') . '>';
	$window_layout .= $content;
	$window_layout .= '</td>' . $output->getEndRow(true);
	$window_layout .= $output->getEndTable(true);
	
	$output->addToBody($window_layout);
	$output->display();
	exit();
	
}

function doSubmit() {
	global $SERVICES, $L, $ua, $item;
	
	$item['username'] = ucfirst($item['username']);

	if (!$item['username']) {
		return array('message' => $L['useradminPleaseEnterNewUsername']);
	}
  
	if (in_array($item['username'], $ua->users->getUsersList())) {
		return array('message' => $L['useradminUsernameAlreadyInUse']);
	}
	
	if (!$ua->users->isValidUsername($item['username'])) {
		return array('message' => $L['useradminInvalidUsername']);
	}

	// $message = $ua->users->changeUserName( $item['user_id'], $item['username']);
	if ( ($message = $ua->users->changeUserName( $item['user_id'], $item['username'])) !== true) {
		return array('message' => $message);
	}
	
	header('Location: users.php');
	exit();
	
}

function main() {
	global $L, $item, $user_id;

	if (is_array($item)) {
		$result = doSubmit();
		
		if ($result['message']) {
			
			doDisplay($user_id, $result['message']);
		} else {
			
			header('Location:users.php');
			exit();
		}
		
	} else {
		
		doDisplay($user_id);
	}
}

main();

?>