<?php
require_once("../../prepend.inc");
/**
 * Administrators can add, view, and edit users.
 * 
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @author Phil Calder
 * @package UserAdmin
 */

$mod =& $SERVICES->getService('Authentication');
$mod->adminRestrict();

$output =& $SERVICES->getService('Output');
$content = '';

$SERVICES->getService('Config');
$SERVICES->getService('Language');
$SERVICES->language->getLanguage('UserAdmin');

function main () {
	global $SERVICES, $USER, $L, $output, $content, $mod,  $delete;

	if ($delete > 0) { 
		$message = $mod->users->removeUser($delete); 
	} 
	
	// Phil 20040804 - Added Paging
	$total_count = sizeof($mod->users->getUsersList(true));
	$limit = $output->setPagingLimits('frontDefaultListSize', $total_count);
	$users = $mod->users->getUsersList(true, $limit); // true = show all
	$bcrm_ghost_user = $mod->users->ghost_user;
	
	// ---
	$action_links = array(
		'<a href="new_user.php">' . $L['LinkNew'] . '</a>', 
		'<a href="archived_users.php">' . $L['useradminAdminArchivedUsersList'] . '</a>', 
		
	);
	$output->toolbar_link_mode = true;
	$output->setActionLinksMenu((array)$action_links);
	$output->toolbar_link_mode = false;
	
	
	// $output->setTitle($L['useradminAdminUsersListAndMailAccounts']);
	if (isset($message) && $message) {
		$output->addMessage($message);
	}
	
	$content .= $output->getBeginTable();
	// $content .= $output->getTitleRow($L['useradminUsers'], '<a href="new_user.php">' . $L['LinkNew'] . '</a>');
	$content .= $output->getBeginNestedListTable();
	
	$menu = array(
		'username' => array('label' => $L['useradminUsername']), 
		'perms' => array('label' => $L['useradminPermissions']), 
		'groups' => array('label' => $L['useradminUserGroups']), 
		//'mail_accounts' => array('label' =>  $L['useradminMailAccounts']), 
		'prefs' => array('label' => $L['useradminPreferenceMany']), 
		'change_username' => array('label' => $L['useradminChangeUsername']), 
		'change_password' => array('label' => $L['useradminChangePassword']), 
		'delete' => array('label' => $L['LabelArchive'])
	);
	
	$content .= $output->getHeaderRow($menu);
	
	foreach($users as $id => $name) {
		if ( ($name != $bcrm_ghost_user) || ($USER['username'] == $bcrm_ghost_user) ) {
			$contact_id = $mod->users->getContactID($id);
			$cols = array();
			$cols[] = ( ($contact_id > 0 ) ? '<a href="'. $SERVICES->config->getModuleHref( 'Contact', 'view' ) .'?id=' . $contact_id . '">' . $name . '</a>' : $name);
			$cols[] = '<a href="user_permissions.php?id=' . $id . '">' . $L['useradminPermissions'] . '</a>';
			$cols[] = '<a href="user.php?id=' . $id . '">' . $L['useradminUserGroups'] . '</a>';
			
			/*
			if (($mod->readAccess($USER['user_id'], 'Mail'))) {
				$cols[] = '<a href="../Mail/pop_account_list.php?user_id=' . $id . '">' . $L['useradminMailAccounts'] . '</a>';
				$cols[] = '<a href="../Mail/smtp_account_list.php?user_id=' . $id . '">' . $L['useradminMailAccounts'] . '</a>';
			} else {
				$cols[] = $L['useradminMailAccounts'];
			}
			*/
			
			if ($name != 'Admin') {
				$cols[] = '<a href="../Front/preferences.php?user_id=' . $id . '">' . $L['useradminPreferenceMany'] . '</a>';
			} else {
				$cols[] = '';
			}
			
			if ($name != 'Admin') {
				$cols[] = '<a href="username.php?user_id=' . $id . '">' . $L['useradminChangeUsername'] . '</a>';
			} else {
				$cols[] = '';
			}
			
			$cols[] = '<a href="password.php?user_id=' . $id . '">' . $L['useradminChangePassword'] . '</a>';
			
			if ($name != 'Admin') {
				$cols[] = '[<a href="javascript:if (confirm(\'' . $L['useradminAreYouSureDeleteUser'] . '\')) { window.location.replace(\'users.php?delete=' . $id . '\');}">' . $L['LabelArchive'] . '</a>]';
			} else {
				$cols[] = '';
			}
			
			$content .= $output->getTableRow($cols);
		}
	}
	
	$content .= $output->getEndNestedTable();
	$content .= $output->getPagingRow();
	$content .= $output->getEndTable();
	
	// $output->addToBody($content);
	// $output->display();
	// exit();
	$padding = true;
	$window_layout = $output->getBeginTable('mainTbl', true);
	$window_layout .= $output->getTitleRow($L['useradminAdminUsersListAndMailAccounts'], array('bookmark'=>'off'), '<a href="new_user.php">' . $L['LinkNew'] . '</a>');
	$window_layout .= $output->getBeginRow('', true) . '<td id="bodyCell"' . ($padding ? 'style="padding: 10px"' : '') . '>';
	$window_layout .= $content;
	$window_layout .= '</td>' . $output->getEndRow(true);
	$window_layout .= $output->getEndTable(true);
	
	$output->addToBody($window_layout);
	$output->display();
	exit();
	
}


main();

?>