<?php
//error_reporting(0);
error_reporting(E_ALL^E_NOTICE);
// print __FILE__ . '<hr>';
if (isset($bcrm_pub_root)) {
	require_once($bcrm_pub_root . "/public_prepend.inc.php");
} else {
	require_once("./public_prepend.inc.php");
}
@include($BCRM_DOCUMENT_ROOT . '/config.inc.php'); // Phil 20051013
/**
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @access private
 * @author Phil Calder
 */

/**
 * @author Phil Calder
 */
class WebFormClientLogin extends BrowserCRMWebForm { 
	
	/**
	 * @access private
	 */
	var $login_pane = 'login_pane.php';
	
	/**
	 * Sets the webform identifier arg
	 */
	function WebFormClientLogin($args = array()) {
		// Default contact form
		$args['identifier'] = 'client.login';
		$this->init($args);
	}
	
	function main() {
		global $mod, $L, $PHP_SELF;
		
		$content = $this->getLoginContent();
		
		$page_content = $this->getTemplateContent($content);
		
		$page_content = str_replace('%content%', $content, $page_content);
		print $page_content;
		exit();
	}
	
	// Phil 20050315
	function printFormArray($array, $parent = '') {
		if (is_array($array)) {
			foreach ($array as $k => $v) { // Phil 20050315
				if ($k != 'submit') {
					if ($parent) {
						$k = $parent . '[' . $k . ']';
					}
					
					if (is_array($v)) {
						$v = $this->printFormArray($v, $k);
					} else {
						// make $k and $v quote safe:
						$k = str_replace( '\\\'', '\'', addslashes( $k ) );
						$v = str_replace( '\\\'', '\'', addslashes( $v ) );
						echo '<input type="hidden" name="' . $k . '" value="' . $v . '">';
					}
				}
			}
		}
	}
	
	function getLoginContent() {
		global $auth_message, $SCRIPT_FILENAME, $PHP_SELF, $HOST, $HTTP_HOST, $BCRM_DOCUMENT_ROOT;
		$query_str = $_SERVER['QUERY_STRING']; // Phil 20050315
		$form_address = $PHP_SELF . '?' . $query_str;
		$form_array = $this->printFormArray($_POST);
		
		global $login;
		$login_content = '';
		if (is_array($login)) {
			foreach ($login as $k => $v) {
				$login_content .= '
				<input type="hidden" name="login[' . $k . ']" value="' . $v . '">';
			}
		}
		
		$auth_msg_content = '';
		if ($auth_message) {
			$auth_msg_content = '
			<tr>
			<td colspan="2" align="center"><strong>' . $auth_message . '</strong></td>
			</tr>
			';
		}
		
		if (function_exists('file_get_contents') && file_exists($this->login_pane) && is_readable($this->login_pane)) {
			$content = file_get_contents($this->login_pane);
			if ($this->includeFixedLinksContent()) {
				$fixed_links = $this->getFixedLinksContent();
			}
			$content = str_replace('<!--%fixed_links%-->', $fixed_links, $content);
			$content = str_replace('<!--%auth_message%-->', $auth_message, $content);
			$content = str_replace('<!--%form_address%-->', $form_address, $content);
			$content = str_replace('<!--%login_content%-->', $login_content, $content);
			$content = str_replace('<!--%form_array%-->', $form_array, $content);
			
			
		} else {
			$content = '
			<html>
			<body>
			<p>' . $this->messages['form_unavailable'] . '</p>
			<p><a href="javascript:history.go(-1);">Back</a></p>
			</body>
			</html>
			';
		}
		return $content;
	}
}


$webformClientLogin = new WebFormClientLogin();
$webformClientLogin->main();


?>
