<?php
require_once("./public_prepend.inc.php");
/**
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 * @package BrowserCRM
 * @access private
 */

// This web form allows vistors to your site to 'unsubscribe'. 
$L['pubSignupPageLabel'] = 'Unsubscribe Form';
$L['pubEmailUnsubscribeMessage'] = 'To unsubscribe please enter your email address and uncheck the subscribe box';
$L['pubEmailSubscribe'] = 'Subscribe';

$L['pubEmailAddress'] = 'Email Address';


$L['pubError'] = 'Error';
$L['pubThankYouMessage'] = 'Thank you for unsubscribing';
$L['pubBack'] = 'Back';

$L['pubDescriptionMessage'] = 'This example web form is accessible without logging in to BrowserCRM. An email recipient can unsubscribe their email address.';

$L['pubCredits'] = 'Created by BrowserCRM Web Forms';

$L['pubSignupNoWritePermission'] = 'You dont have permission to access this page';



/* =================== Page Under Construction ==================== */
quickPage($L['pubDescriptionMessage']);
exit();

$SERVICES->getService('Preferences');

// Not a 'Module'. 
// This class provides us with access to the real functionality we want.
class WebForm {
	
	function unsubscribe($item) {
		global $SERVICES;
		$SERVICES->getService('Modules');
		$contact = $SERVICES->modules->getModule('Contact');
		$address_email = $SERVICES->modules->getModule('AddressEmail');
		
		$address_email->getContactsFor($item['email_address']);
		
		exit('---');
		
		$ids = $contact->getAddressIds(
			array(
				'type'=>'email', 
				'a_other'=>$item['email_address'])
		);
		// print_r($ids);
		// $result = $contact->updateAddress($item);
		
		if (is_array($ids)) {
			foreach ($ids as $k => $v) {
				// print '<div>id = ' . $v['id']. ', email = ' . $item['email_address'] . ', subscribed = ' . $item['subscribed'] . '</div>';
				$contact->updateAddress(
					array(
						'id'=>$v['id'], 
						'a_other'=>$item['email_address'], 
						'subscribed'=>'' . $item['subscribed'] . ''
					)
				);
			}
		}
		
		return true; // We dont want the user to know whether this process was successfull or not.
	}
	
}


$mod = new Webform(); // WebForm is not a full module, but we treat it as one.
$output =& $SERVICES->getService('Output');


// Redirect if the public user doesnt have rights to write to the CRM module
// (The page wont work even if we dont have this here - this just allows us to handle it more elegantly)
$ua =& $SERVICES->getService('Authentication');
if (!$ua->writeaccess($USER['user_id'], 'Contact') || !$ua->writeaccess($USER['user_id'], 'AddressEmail')) {
	quickPage($L['pubSignupNoWritePermission']);
	exit();
}


function getFormFields($item, $extras = array()) {
	global $L;
	
	//field definitions
	$fields =  array( 			
		array('label'=>$L['pubEmailAddress'], 'field_key'=>'email_address', 'type'=>'text',  'notnull'=>1), 
		array('label'=>$L['pubEmailSubscribe'], 'field_key'=>'subscribed', 'type'=>'checkbox')
		
	);
	
	foreach ($fields as $k => $v) {
		$fields[$k]['value'] = $item[$v['field_key']];
		$fields[$k]['tag_extras'] = $extras[$v['field_key']]['tag_extras'];
	}
	
	return $fields;
		
}

function doSubmit() {
	global $mod, $output, $PHP_SELF, $submit, $item, $L;
	
	if (isset($submit)) {
		
		// --- Validation -----
		
		$fields = getFormFields($item);	//get field definitions
		$output->validateFields($item, $fields, $error_msg); //validate $item based on the definitions in $fields; $item values will get updated
		if (is_array($error_msg)) {		//if server-side validation errors, return to form
			main( $item['id'], $item, $error_msg);
			exit();
		}
		
		
		if (!$item['subscribed']) { // User must have unchecked the subscribe checkbox
			if (! $mod->unsubscribe($item)) { // Unsubscribe
				
				$content = $L['pubError'];
				quickPage($content);
				exit();
			}
		}
		
		header ('Location: ' . $_PHP_SELF . '?action=done');
		exit();
		
	}
}


function main() {
	global $mod, $output, $L, $PHP_SELF, $item, $action;
	
	if (isset($action) && $action == 'done') {
		
		$title = $L['pubThankYouMessage'];
		
		$content .= $output->getBeginTable();	
		
		$content .= $output->getTitleRow($title, $title_links);	
		
		$content .= $output->getTextRow('<a href="' . $PHP_SELF . '">' . $L['pubBack'] . '</a>');
		
		$content .= $output->getEndTable();	
		
		quickPage($content);
		
		exit();
		
	}
	
	if (!$item) {
			
		// Create a new item
		$item = array(
			'email_address'=>'', 
			'subscribed'=>0
		);
	
	}
	
	$title_links = array('bookmark'=>'off');
	
	//initialise $content variable for the page
	$content = '';
	$content .= $output->getBeginTable();
	$content .= $output->getTitleRow($L['pubSignupPageLabel'], $title_links);
	$content .= $output->getTextRow($L['pubDescriptionMessage']);
	$content .= $output->getTextRow($L['pubEmailUnsubscribeMessage']);
	$content .= $output->getSpacerRow();
	
		//nested data table ------------------
		$content .= $output->getBeginNestedTable();
		
		//form
		$content .= $output->getBeginForm($PHP_SELF);  

		
		foreach (getFormFields($item) as $k => $v) {
			
			$content .= $output->getHtmlFieldRow($v, $error_msg[$v['field_key']]);
			
		}
		
		$content .= $output->getSpacerRow();
		$content .= $output->getSubmitRow();
		$content .= $output->getSpacerRow();
		
		$content .= $output->getEndForm();
		//end form
	
		$content .= $output->getEndNestedTable();
		//end nested data table ------------------
		
		$content .= $output->getTextRow($L['pubCredits']);
	
	$content .= $output->getEndTable();
	
	$output->addToBody($content);
	$output->display();	
}

doSubmit();
main();

?>
