<?php
/**
 * @license http://www.browsercrm.com/licence.php  BrowserCRM Software Licence
 * @copyright Copyright (c) 2003 - 2007 BrowserCRM Limited
 * @link http://www.browsercrm.com/
 */

/**
 * Base class for php setup upgrade scripts
 *
 * @author Phil Calder
 * @package SetupPhpUpgrade
 * @abstract
 */
class SetupStandardPhpUpgrade {
	
//############## debug section ##########
// As of v4.210, the /setup/index.php will call new functions which create instances of classes which extend this class.
// eg in /setup/index.php
//
// print '<p>Testing</p>';
// $item = array(
//	'mysql_host' => 'localhost', 
//	'mysql_root_username' => 'root', 
//	'mysql_root_password' => '' 
//);
// $current_version = '4.105';
// $link = false; // $link = @mysql_connect($item['mysql_host'], $item['mysql_root_username'], $item['mysql_root_password']);
// runPhpUpgradeScripts($item, $current_version, $link);
// print '<hr>End Test';
// exit();
// 
// These classes will be called like this:
//
// $tmp = new $class_name($args);
// // args includes the item array from the setup page, and a MySQL resource identifier (link)
// $tmp->main();
//############## debug section ##########
	
	/**
	 * Can store a MySQL link identifier
	 * @access private
	 */
	var $link = false;
	
	/**
	 * Can store the setup item array
	 * @access private
	 */
	var $item = false;
	
	/**
	 * Can store the current version of the application (prior to upgrade)
	 * @access private;
	 */
	var $current_version = false;
	
	/**
	 * Constructor calls init method, passes args parameter to init
	 * 
	 * If this class is extended (which it should be), 
	 * be sure to either call this contructor, or call the init method with the args parameter.
	 */ 
	function SetupStandardPhpUpgrade($args = array()) {
		// print '<p>DEBUG: constructor for ' . get_class($this) . '</p>';
		$this->init($args);
	}
	
	/**
	 * Initialises 'standard' class variables with values from the $args array
	 * @param array args The args for this class
	 * common args are 'link' and 'item', passed from the setup/index.php page.
	 */
	function init($args = array()) {
		// print '<p>DEBUG: init for ' . get_class($this) . '</p>';
		
		if (isset($args['link'])) {
			$this->link = $args['link'];
		}
		
		if (isset($args['item']) && is_array($args['item'])) {
			$this->item = $args['item'];
		}
		
		if (isset($args['current_version'])) {
			$this->current_version = $args['current_version'];
		}
	}
	
    /**
	 * executes the sql query
	 *
	 * @param string sql The sql query
	 * @param string type The sql query type (currently handles 'select' and 'insert')
	 * @return boolean|array|integer Possible values: true, false, insert id, an array of values
	 * @author Syed
	 */
	function executeQuery($sql, $type="select") {
		// Phil, changed below - we dont want the script to terminate here
		// $result=mysql_query($sql) or die(mysql_error()); 
		// Phil -- added resource identifier (link) to query
		if ( ($result = @mysql_query($sql, $this->link)) === false ) {
			return false;
		}
		
		switch($type) {
			case "select":
			
			while ($row = @mysql_fetch_assoc($result)) {
				$rows[]=$row;
			}
			return $rows;
			
			case "insert":
			return @mysql_insert_id();
			
			case "update": // Phil 20051101
			return ($result === true ? @mysql_affected_rows() : false);
			
			default :
			return true;
			
		}
	}

}

?>
