#
# STRUCTURE FOR TABLE: Calendar__access
#

CREATE TABLE `Calendar__access` (
  `id` int(11) NOT NULL auto_increment,
  `creator_id` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `access` int(1) NOT NULL default '0',
  `selected` tinyint(1) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;



#
# STRUCTURE FOR TABLE: Calendar__category_dropdown
#

CREATE TABLE `Calendar__category_dropdown` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL default '',
  `priority` int(3) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `active` (`active`),
  KEY `priority` (`priority`)
) TYPE=MyISAM;

#
# STRUCTURE FOR TABLE: Calendar__item
#

CREATE TABLE `Calendar__item` (
  `id` int(11) NOT NULL auto_increment,
  `creator_id` int(11) NOT NULL default '0',
  `contact_id` int(11) NOT NULL default '0',
  `created` int(11) unsigned NOT NULL default '0',
  `category_id` int(11) NOT NULL default '0',
  `type_id` int(11) NOT NULL default '0',
  `title` varchar(128) default NULL,
  `content` text,
  `date_start` int(11) NOT NULL default '0',
  `duration` int(11) NOT NULL default '0',
  `last_update` int(11) NOT NULL default '0',
  `last_update_user_id` int(11) NOT NULL default '0',
  `is_cancelled` tinyint(1) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `date_start` (`date_start`),
  KEY `date_end` (`duration`),
  KEY `creator_id` (`creator_id`),
  KEY `category_id` (`category_id`),
  KEY `active` (`active`),
  KEY `contact_id` (`contact_id`),
  KEY `title` (`title`),
  KEY `type_id` (`type_id`),
  KEY `is_cancelled` (`is_cancelled`)
) TYPE=MyISAM;

#
# STRUCTURE FOR TABLE: Calendar__item_seen
#

CREATE TABLE `Calendar__item_seen` (
  `item_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `seen` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`item_id`,`user_id`)
) TYPE=MyISAM;

#
# STRUCTURE FOR TABLE: Calendar__item_user
#

CREATE TABLE `Calendar__item_user` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL default '0',
  `item_id` int(11) NOT NULL default '0',
  `created` int(11) unsigned NOT NULL default '0',
  `seen` tinyint(1) NOT NULL default '0',
  `role_id` varchar(16) NOT NULL default '0',
  `status_id` varchar(16) NOT NULL default '0',
  `alert_in_advance` int(11) NOT NULL default '0',
  `alert_end` int(11) NOT NULL default '0',
  `alert_on` tinyint(1) NOT NULL default '0',
  `last_update` int(11) NOT NULL default '0',
  `last_update_user_id` int(11) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `item_id` (`item_id`),
  KEY `user_id` (`user_id`)
) TYPE=MyISAM;

#
# STRUCTURE FOR TABLE: Calendar__role_dropdown
#

CREATE TABLE `Calendar__role_dropdown` (
  `id` varchar(16) NOT NULL default '',
  `name` varchar(64) NOT NULL default '',
  `priority` int(3) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `active` (`active`),
  KEY `priority` (`priority`)
) TYPE=MyISAM;

#
# STRUCTURE FOR TABLE: Calendar__settings
#

CREATE TABLE `Calendar__settings` (
  `id` int(11) NOT NULL auto_increment,
  `creator_id` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `active` int(1) NOT NULL default '1',
  `day_starts` text NOT NULL,
  `day_ends` text NOT NULL,
  `slot` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

#
# STRUCTURE FOR TABLE: Calendar__slot_interval_dropdown
#

CREATE TABLE `Calendar__slot_interval_dropdown` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL default '',
  `priority` int(3) NOT NULL default '100',
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `priority` (`priority`),
  KEY `active` (`active`)
) TYPE=MyISAM;

#
# STRUCTURE FOR TABLE: Calendar__status_dropdown
#

CREATE TABLE `Calendar__status_dropdown` (
  `id` varchar(16) NOT NULL default '',
  `name` varchar(64) NOT NULL default '',
  `priority` int(3) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `active` (`active`),
  KEY `priority` (`priority`)
) TYPE=MyISAM;

#
# STRUCTURE FOR TABLE: Calendar__type_dropdown
#

CREATE TABLE `Calendar__type_dropdown` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL default '',
  `priority` int(3) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `active` (`active`),
  KEY `priority` (`priority`)
) TYPE=MyISAM;


#
# DATA FIELDS FOR MODULE: Calendar
#


#
# DATA OPTIONS FOR MODULE: Calendar
#

