#
# STRUCTURE FOR TABLE: ContactImport__field_mapping
#

CREATE TABLE `ContactImport__field_mapping` (
  `id` int(11) NOT NULL auto_increment,
  `template_id` int(11) NOT NULL default '0',
  `external_name` varchar(40) NOT NULL default '',
  `crm_field_name` varchar(100) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `owner_group_id` int(11) NOT NULL default '0',
  `view_group_id` int(11) NOT NULL default '0',
  `edit_group_id` int(11) NOT NULL default '0',
  `admin_group_id` int(11) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `field_id` (`crm_field_name`),
  KEY `template_id` (`template_id`)
) TYPE=MyISAM;



#
# STRUCTURE FOR TABLE: ContactImport__fields_enclosed_dropdown
#

CREATE TABLE `ContactImport__fields_enclosed_dropdown` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL default '',
  `priority` int(3) NOT NULL default '100',
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `priority` (`priority`),
  KEY `active` (`active`)
) TYPE=MyISAM;

#
# STRUCTURE FOR TABLE: ContactImport__fields_escaped_dropdown
#

CREATE TABLE `ContactImport__fields_escaped_dropdown` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL default '',
  `priority` int(3) NOT NULL default '100',
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `priority` (`priority`),
  KEY `active` (`active`)
) TYPE=MyISAM;

#
# STRUCTURE FOR TABLE: ContactImport__fields_terminated_dropdown
#

CREATE TABLE `ContactImport__fields_terminated_dropdown` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL default '',
  `priority` int(3) NOT NULL default '100',
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `priority` (`priority`),
  KEY `active` (`active`)
) TYPE=MyISAM;

#
# STRUCTURE FOR TABLE: ContactImport__file_types_dropdown
#

CREATE TABLE `ContactImport__file_types_dropdown` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL default '',
  `priority` int(3) NOT NULL default '100',
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `priority` (`priority`),
  KEY `active` (`active`)
) TYPE=MyISAM;

#
# STRUCTURE FOR TABLE: ContactImport__item
#

CREATE TABLE `ContactImport__item` (
  `id` int(11) NOT NULL auto_increment,
  `created` int(11) NOT NULL default '0',
  `creator_id` int(11) NOT NULL default '0',
  `last_update` int(11) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '0',
  `seen` tinyint(1) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `description` TEXT NOT NULL default '', 
  `owner_group_id` int(11) NOT NULL default '0',
  `view_group_id` int(11) NOT NULL default '0',
  `edit_group_id` int(11) NOT NULL default '0',
  `admin_group_id` int(11) NOT NULL default '0',
  `file_type` int(11) NOT NULL default '1',
  `has_header_row` tinyint(1) NOT NULL default '0',
  `field_terminator` varchar(255) NOT NULL default '',
  `field_enclosed_by` varchar(255) NOT NULL default '',
  `field_escaped_by` varchar(255) NOT NULL default '',
  `use_load_data_infile` tinyint(1) NOT NULL default '0',
  `reuse_companies` tinyint(1) NOT NULL default '0',
  `standalone_companies` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `view_group_id` (`view_group_id`),
  KEY `edit_group_id` (`edit_group_id`),
  KEY `owner_group_id` (`owner_group_id`),
  KEY `admin_group_id` (`admin_group_id`),
  KEY `active` (`active`),
  KEY `title` (`title`)
) TYPE=MyISAM;

#
# STRUCTURE FOR TABLE: ContactImport__item_seen
#

CREATE TABLE `ContactImport__item_seen` (
  `item_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `seen` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`item_id`,`user_id`)
) TYPE=MyISAM;


#
# DATA FIELDS FOR MODULE: ContactImport
#

INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'id', '', '', '', 0, 'integer', '', '', '', 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 100, 100, 1, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'created', '', '__LabelCreated', '', 0, 'date_time', '', '', '', 0, 0, 0, 6, 0, 0, 1, 0, 0, 0, 0, 0, 960, 960, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'creator_id', '', '__Creator', '', 0, 'dropdown', '__USERS__', '', '', 0, 0, 0, 6, 0, 0, 1, 0, 0, 0, 0, 0, 965, 965, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'last_update', '', '__LastUpdated', '', 0, 'date_time', '', '', '', 0, 0, 0, 6, 0, 0, 1, 0, 0, 0, 0, 0, 955, 955, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'active', '', '', '', 0, 'checkbox', '', '', '', 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 900, 900, 1, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'file_type', '__contactImportFileTypeExplanation', '__contactImportFileType', '', 0, 'dropdown', '__table(ContactImport.file_types_dropdown)__', '', '1', 0, 0, 0, 6, 0, 1, 0, 0, 0, 0, 0, 0, 510, 510, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'title', '', '__Title', '', 0, 'text', '', '', '', 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 480, 480, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'description', '', '__Description', '', 0, 'long_text', '', '', '', 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 485, 485, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'owner_group_id', '', '__OwnerGroup', '', 0, 'dropdown', '__GROUPS__', '', '0', 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 996, 996, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'view_group_id', '', '__ViewGroup', '', 0, 'dropdown', '__GROUPS__', '', '0', 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 994, 994, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'edit_group_id', '', '__EditGroup', '', 0, 'dropdown', '__GROUPS__', '', '0', 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 995, 995, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'admin_group_id', '', '__AdminGroup', '', 0, 'dropdown', '__GROUPS__', '', '0', 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 997, 997, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'has_header_row', '__contactImportHasHeaderRowExplanation', '__contactImportHasHeaderRow', '', 0, 'checkbox', '', '', '', 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 501, 501, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'field_terminator', '__contactImportFieldTerminatorExplanation', '__contactImportFieldTerminator', '', 0, 'dropdown', '__table(ContactImport.fields_terminated_dropdown)__', '', '2', 0, 0, 5, 6, 0, 1, 0, 0, 0, 0, 0, 0, 502, 502, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'field_enclosed_by', '__contactImportFieldEnclosedByExplanation', '__contactImportFieldEnclosedBy', '', 0, 'dropdown', '__table(ContactImport.fields_enclosed_dropdown)__', '', '1', 0, 0, 5, 6, 0, 1, 0, 0, 0, 0, 0, 0, 503, 503, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'field_escaped_by', '__contactImportFieldEscapedByExplanation', '__contactImportFieldEscapedBy', '', 0, 'dropdown', '__table(ContactImport.fields_escaped_dropdown)__', '', '1', 0, 0, 5, 6, 0, 1, 0, 0, 0, 0, 0, 0, 504, 504, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'use_load_data_infile', '__contactImportUseMysqlLoadDataInfileExplanation', '__contactImportUseMysqlLoadDataInfile', '', 0, 'checkbox', '', '', '0', 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 780, 780, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'reuse_companies', '__contactImportFieldReuseCompaniesExplanation', '__contactImportFieldReuseCompanies', '', 0, 'checkbox', '', '', '1', 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 785, 785, 0, 0, 0, 0, 0);
INSERT INTO `SystemDataDefinition__fields` (`field_table`, `field_is_custom`, `field_key`, `explanation`, `label`, `list_label`, `list_detail_length`, `type`, `dropdown_values`, `config_key`, `default_value`, `min`, `max`, `maxlength`, `rows`, `width`, `notnull`, `read_only`, `disable_filter`, `csv`, `calculated`, `foreign`, `multi_edit_width`, `field_priority`, `priority_edit`, `hidden`, `display_name`, `display_with_nbsp`, `append_only`, `hide_empty`) VALUES ('ContactImport__item', 0, 'standalone_companies', '__contactImportFieldStandaloneCompaniesExplanation', '__contactImportFieldStandaloneCompanies', '', 0, 'checkbox', '', '', '1', 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 790, 790, 0, 0, 0, 0, 0);



#
# DATA OPTIONS FOR MODULE: ContactImport
#

INSERT INTO `SystemDataDefinition__data_options` (`field_table`, `type`, `method`, `option_values`, `exclude_hidden`, `exclude_calculated`, `dropdown_values`, `no_trim`, `active`) VALUES ('ContactImport__item', 'list', 'include', 'title,description,owner_group_id', 1, 1, 1, 0, 1);
INSERT INTO `SystemDataDefinition__data_options` (`field_table`, `type`, `method`, `option_values`, `exclude_hidden`, `exclude_calculated`, `dropdown_values`, `no_trim`, `active`) VALUES ('ContactImport__item', 'edit', 'exclude', 'standalone_companies', 0, 1, 1, 0, 1);
INSERT INTO `SystemDataDefinition__data_options` (`field_table`, `type`, `method`, `option_values`, `exclude_hidden`, `exclude_calculated`, `dropdown_values`, `no_trim`, `active`) VALUES ('ContactImport__item', 'view', 'exclude', 'standalone_companies', 0, 1, 1, 0, 1);
INSERT INTO `SystemDataDefinition__data_options` (`field_table`, `type`, `method`, `option_values`, `exclude_hidden`, `exclude_calculated`, `dropdown_values`, `no_trim`, `active`) VALUES ('ContactImport__item', 'multi_edit', 'include', 'title,content', 1, 1, 1, 0, 1);
INSERT INTO `SystemDataDefinition__data_options` (`field_table`, `type`, `method`, `option_values`, `exclude_hidden`, `exclude_calculated`, `dropdown_values`, `no_trim`, `active`) VALUES ('ContactImport__item', 'mass_list', 'include', 'title,content', 1, 1, 1, 0, 1);
INSERT INTO `SystemDataDefinition__data_options` (`field_table`, `type`, `method`, `option_values`, `exclude_hidden`, `exclude_calculated`, `dropdown_values`, `no_trim`, `active`) VALUES ('ContactImport__item', 'load', '', '', 0, 1, 1, 0, 1);
INSERT INTO `SystemDataDefinition__data_options` (`field_table`, `type`, `method`, `option_values`, `exclude_hidden`, `exclude_calculated`, `dropdown_values`, `no_trim`, `active`) VALUES ('ContactImport__item', 'search_results', 'include', 'title', 0, 1, 1, 0, 1);
